SFML - Simple and Fast Multimedia Library

  • Main Page
  • Data Structures
  • Files

SFML Documentation

Welcome

Welcome to the official SFML documentation for C. Here you will find a detailed view of all the SFML functions, as well as source files.
If you are looking for tutorials, you can visit the official website at www.sfml-dev.org.

Short example

Here is a short example, to show you how simple it is to use SFML in C :

 #include <SFML/Audio.h>
 #include <SFML/Graphics.h>

 int main()
 {
     sfWindowSettings Settings = {24, 8, 0};
     sfVideoMode Mode = {800, 600, 32};
     sfRenderWindow* App;
     sfImage* Image;
     sfSprite* Sprite;
     sfFont* Font;
     sfString* Text;
     sfMusic* Music;
     sfEvent Event;

     /* Create the main window */
     App = sfRenderWindow_Create(Mode, "SFML window", sfResize | sfClose, Settings);
     if (!App)
         return EXIT_FAILURE;

     /* Load a sprite to display */
     Image = sfImage_CreateFromFile("cute_image.jpg");
     if (!Image)
         return EXIT_FAILURE;
     Sprite = sfSprite_Create();
     sfSprite_SetImage(Sprite, Image);

     /* Create a graphical string to display */
     Font = sfFont_CreateFromFile("arial.ttf", 50, NULL);
     if (!Font)
         return EXIT_FAILURE;
     Text = sfString_Create();
     sfString_SetText(Text, "Hello SFML");
     sfString_SetFont(Text, Font);
     sfString_SetSize(Text, 50);

     /* Load a music to play */
     Music = sfMusic_CreateFromFile("nice_music.ogg");
     if (!Music)
         return EXIT_FAILURE;

     /* Play the music */
     sfMusic_Play(Music);

     /* Start the game loop */
     while (sfRenderWindow_IsOpened(App))
     {
         /* Process events */
         while (sfRenderWindow_GetEvent(App, &Event))
         {
             /* Close window : exit */
             if (Event.Type == sfEvtClosed)
                 sfRenderWindow_Close(App);
         }

         /* Clear the screen */
         sfRenderWindow_Clear(App, sfBlack);

         /* Draw the sprite */
         sfRenderWindow_DrawSprite(App, Sprite);

         /* Draw the string */
         sfRenderWindow_DrawString(App, Text);

         /* Update the window */
         sfRenderWindow_Display(App);
     }

     /* Cleanup resources */
     sfMusic_Destroy(Music);
     sfString_Destroy(Text);
     sfFont_Destroy(Font);
     sfSprite_Destroy(Sprite);
     sfImage_Destroy(Image);
     sfRenderWindow_Destroy(App);

     return EXIT_SUCCESS;
 }

:: Copyright © 2007 Laurent Gomila, all rights reserved :: Documentation generated by doxygen 1.5.2 ::


  • Data Structures
  • Data Structure Index
  • Data Fields

Data Structures

Here are the data structures with brief descriptions:
sfColor | SfColor is an utility class for manipulating colors
sfEvent | SfEvent defines a system event and its parameters
sfFloatRect | SfFloatRect and sfIntRect are utility classes for manipulating rectangles
sfGlyph | SfGlyph describes a glyph (a visual character)
sfIntRect |
sfIPAddress | SfIPAddress provides easy manipulation of IP v4 addresses
sfJoyButtonEvent | Joystick buttons events parameters
sfJoyMoveEvent | Joystick axis move event parameters
sfKeyEvent | Keyboard event parameters
sfMouseButtonEvent | Mouse buttons events parameters
sfMouseMoveEvent | Mouse move event parameters
sfMouseWheelEvent | Mouse wheel events parameters
sfSizeEvent | Size events parameters
sfSoundStreamChunk | SfSoundStreamChunk defines the data to fill by the OnGetData callback
sfTextEvent | Text event parameters
sfVideoMode | SfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device
sfWindowSettings | Structure defining the window's creation settings


  • Data Structures
  • Data Structure Index
  • Data Fields

sfColor Struct Reference

sfColor is an utility class for manipulating colors More...

#include <Color.h>

Data Fields

sfUint8 | r
sfUint8 | g
sfUint8 | b
sfUint8 | a

Detailed Description

sfColor is an utility class for manipulating colors

Definition at line 37 of file Color.h.

Field Documentation

sfUint8 sfColor::a

Definition at line 42 of file Color.h.

sfUint8 sfColor::b

Definition at line 41 of file Color.h.

sfUint8 sfColor::g

Definition at line 40 of file Color.h.

sfUint8 sfColor::r

Definition at line 39 of file Color.h.

The documentation for this struct was generated from the following file:
  • Color.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfEvent Union Reference

sfEvent defines a system event and its parameters More...

#include <Event.h>

Data Fields

sfEventType Type
Type of the event.
struct sfKeyEvent | Key
struct sfTextEvent | Text
struct sfMouseMoveEvent | MouseMove
struct sfMouseButtonEvent | MouseButton
struct sfMouseWheelEvent | MouseWheel
struct sfJoyMoveEvent | JoyMove
struct sfJoyButtonEvent | JoyButton
struct sfSizeEvent | Size

Detailed Description

sfEvent defines a system event and its parameters

Definition at line 283 of file Event.h.

Field Documentation

struct sfJoyButtonEvent sfEvent::JoyButton [read]

Definition at line 295 of file Event.h.

struct sfJoyMoveEvent sfEvent::JoyMove [read]

Definition at line 294 of file Event.h.

struct sfKeyEvent sfEvent::Key [read]

Definition at line 289 of file Event.h.

struct sfMouseButtonEvent sfEvent::MouseButton [read]

Definition at line 292 of file Event.h.

struct sfMouseMoveEvent sfEvent::MouseMove [read]

Definition at line 291 of file Event.h.

struct sfMouseWheelEvent sfEvent::MouseWheel [read]

Definition at line 293 of file Event.h.

struct sfSizeEvent sfEvent::Size [read]

Definition at line 296 of file Event.h.

struct sfTextEvent sfEvent::Text [read]

Definition at line 290 of file Event.h.

sfEventType sfEvent::Type

Type of the event.

Definition at line 288 of file Event.h.

The documentation for this union was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfFloatRect Struct Reference

sfFloatRect and sfIntRect are utility classes for manipulating rectangles. More...

#include <Rect.h>

Data Fields

float | Left
float | Top
float | Right
float | Bottom

Detailed Description

sfFloatRect and sfIntRect are utility classes for manipulating rectangles.

Definition at line 38 of file Rect.h.

Field Documentation

float sfFloatRect::Bottom

Definition at line 43 of file Rect.h.

float sfFloatRect::Left

Definition at line 40 of file Rect.h.

float sfFloatRect::Right

Definition at line 42 of file Rect.h.

float sfFloatRect::Top

Definition at line 41 of file Rect.h.

The documentation for this struct was generated from the following file:
  • Rect.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfGlyph Struct Reference

sfGlyph describes a glyph (a visual character) More...

#include <Glyph.h>

Data Fields

int Advance
Offset to move horizontically to the next character.
sfIntRect Rectangle
Bounding rectangle of the glyph, in relative coordinates.
sfFloatRect TexCoords
Texture coordinates of the glyph inside the bitmap font.

Detailed Description

sfGlyph describes a glyph (a visual character)

Definition at line 37 of file Glyph.h.

Field Documentation

int sfGlyph::Advance

Offset to move horizontically to the next character.

Definition at line 39 of file Glyph.h.

sfIntRect sfGlyph::Rectangle

Bounding rectangle of the glyph, in relative coordinates.

Definition at line 40 of file Glyph.h.

sfFloatRect sfGlyph::TexCoords

Texture coordinates of the glyph inside the bitmap font.

Definition at line 41 of file Glyph.h.

The documentation for this struct was generated from the following file:
  • Glyph.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfIntRect Struct Reference

#include <Rect.h>

Data Fields

int | Left
int | Top
int | Right
int | Bottom

Detailed Description

Definition at line 46 of file Rect.h.

Field Documentation

int sfIntRect::Bottom

Definition at line 51 of file Rect.h.

int sfIntRect::Left

Definition at line 48 of file Rect.h.

int sfIntRect::Right

Definition at line 50 of file Rect.h.

int sfIntRect::Top

Definition at line 49 of file Rect.h.

The documentation for this struct was generated from the following file:
  • Rect.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfIPAddress Struct Reference

sfIPAddress provides easy manipulation of IP v4 addresses More...

#include <IPAddress.h>

Data Fields

char Address [16]

Detailed Description

sfIPAddress provides easy manipulation of IP v4 addresses

Definition at line 37 of file IPAddress.h.

Field Documentation

char sfIPAddress::Address[16]

Definition at line 39 of file IPAddress.h.

The documentation for this struct was generated from the following file:
  • IPAddress.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfJoyButtonEvent Struct Reference

Joystick buttons events parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
unsigned int | JoystickId
unsigned int | Button

Detailed Description

Joystick buttons events parameters.

Definition at line 262 of file Event.h.

Field Documentation

unsigned int sfJoyButtonEvent::Button

Definition at line 266 of file Event.h.

unsigned int sfJoyButtonEvent::JoystickId

Definition at line 265 of file Event.h.

sfEventType sfJoyButtonEvent::Type

Definition at line 264 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfJoyMoveEvent Struct Reference

Joystick axis move event parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
unsigned int | JoystickId
sfJoyAxis Axis
float | Position

Detailed Description

Joystick axis move event parameters.

Definition at line 251 of file Event.h.

Field Documentation

sfJoyAxis sfJoyMoveEvent::Axis

Definition at line 255 of file Event.h.

unsigned int sfJoyMoveEvent::JoystickId

Definition at line 254 of file Event.h.

float sfJoyMoveEvent::Position

Definition at line 256 of file Event.h.

sfEventType sfJoyMoveEvent::Type

Definition at line 253 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfKeyEvent Struct Reference

Keyboard event parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
sfKeyCode Code
sfBool Alt
sfBool Control
sfBool Shift

Detailed Description

Keyboard event parameters.

Definition at line 200 of file Event.h.

Field Documentation

sfBool sfKeyEvent::Alt

Definition at line 204 of file Event.h.

sfKeyCode sfKeyEvent::Code

Definition at line 203 of file Event.h.

sfBool sfKeyEvent::Control

Definition at line 205 of file Event.h.

sfBool sfKeyEvent::Shift

Definition at line 206 of file Event.h.

sfEventType sfKeyEvent::Type

Definition at line 202 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfMouseButtonEvent Struct Reference

Mouse buttons events parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
sfMouseButton Button
int | X
int | Y

Detailed Description

Mouse buttons events parameters.

Definition at line 231 of file Event.h.

Field Documentation

sfMouseButton sfMouseButtonEvent::Button

Definition at line 234 of file Event.h.

sfEventType sfMouseButtonEvent::Type

Definition at line 233 of file Event.h.

int sfMouseButtonEvent::X

Definition at line 235 of file Event.h.

int sfMouseButtonEvent::Y

Definition at line 236 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfMouseMoveEvent Struct Reference

Mouse move event parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
int | X
int | Y

Detailed Description

Mouse move event parameters.

Definition at line 221 of file Event.h.

Field Documentation

sfEventType sfMouseMoveEvent::Type

Definition at line 223 of file Event.h.

int sfMouseMoveEvent::X

Definition at line 224 of file Event.h.

int sfMouseMoveEvent::Y

Definition at line 225 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfMouseWheelEvent Struct Reference

Mouse wheel events parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
int Delta

Detailed Description

Mouse wheel events parameters.

Definition at line 242 of file Event.h.

Field Documentation

int sfMouseWheelEvent::Delta

Definition at line 245 of file Event.h.

sfEventType sfMouseWheelEvent::Type

Definition at line 244 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfSizeEvent Struct Reference

Size events parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
unsigned int | Width
unsigned int | Height

Detailed Description

Size events parameters.

Definition at line 272 of file Event.h.

Field Documentation

unsigned int sfSizeEvent::Height

Definition at line 276 of file Event.h.

sfEventType sfSizeEvent::Type

Definition at line 274 of file Event.h.

unsigned int sfSizeEvent::Width

Definition at line 275 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfSoundStreamChunk Struct Reference

sfSoundStreamChunk defines the data to fill by the OnGetData callback More...

#include <SoundStream.h>

Data Fields

sfInt16 * | Samples
Pointer to the audio samples.
unsigned int | NbSamples
Number of samples pointed by Samples.

Detailed Description

sfSoundStreamChunk defines the data to fill by the OnGetData callback

Definition at line 40 of file SoundStream.h.

Field Documentation

unsigned int sfSoundStreamChunk::NbSamples

Number of samples pointed by Samples.

Definition at line 43 of file SoundStream.h.

sfInt16* sfSoundStreamChunk::Samples

Pointer to the audio samples.

Definition at line 42 of file SoundStream.h.

The documentation for this struct was generated from the following file:
  • SoundStream.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfTextEvent Struct Reference

Text event parameters. More...

#include <Event.h>

Data Fields

sfEventType Type
sfUint32 Unicode

Detailed Description

Text event parameters.

Definition at line 212 of file Event.h.

Field Documentation

sfEventType sfTextEvent::Type

Definition at line 214 of file Event.h.

sfUint32 sfTextEvent::Unicode

Definition at line 215 of file Event.h.

The documentation for this struct was generated from the following file:
  • Event.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfVideoMode Struct Reference

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device More...

#include <VideoMode.h>

Data Fields

unsigned int | Width
Video mode width, in pixels.
unsigned int | Height
Video mode height, in pixels.
unsigned int | BitsPerPixel
Video mode pixel depth, in bits per pixels.

Detailed Description

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device

Definition at line 39 of file VideoMode.h.

Field Documentation

unsigned int sfVideoMode::BitsPerPixel

Video mode pixel depth, in bits per pixels.

Definition at line 43 of file VideoMode.h.

unsigned int sfVideoMode::Height

Video mode height, in pixels.

Definition at line 42 of file VideoMode.h.

unsigned int sfVideoMode::Width

Video mode width, in pixels.

Definition at line 41 of file VideoMode.h.

The documentation for this struct was generated from the following file:
  • VideoMode.h


  • Data Structures
  • Data Structure Index
  • Data Fields

sfWindowSettings Struct Reference

Structure defining the window's creation settings. More...

#include <Window.h>

Data Fields

unsigned int | DepthBits
Bits of the depth buffer.
unsigned int | StencilBits
Bits of the stencil buffer.
unsigned int | AntialiasingLevel
Level of antialiasing.

Detailed Description

Structure defining the window's creation settings.

Definition at line 55 of file Window/Window.h.

Field Documentation

unsigned int sfWindowSettings::AntialiasingLevel

Level of antialiasing.

Definition at line 59 of file Window/Window.h.

unsigned int sfWindowSettings::DepthBits

Bits of the depth buffer.

Definition at line 57 of file Window/Window.h.

unsigned int sfWindowSettings::StencilBits

Bits of the stencil buffer.

Definition at line 58 of file Window/Window.h.

The documentation for this struct was generated from the following file:
  • Window/Window.h


  • Data Structures
  • Data Structure Index
  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • g
  • h
  • j
  • k
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • w
  • x
  • y
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- a -

  • a : sfColor
  • Address : sfIPAddress
  • Advance : sfGlyph
  • Alt : sfKeyEvent
  • AntialiasingLevel : sfWindowSettings
  • Axis : sfJoyMoveEvent

- b -

  • b : sfColor
  • BitsPerPixel : sfVideoMode
  • Bottom : sfIntRect , sfFloatRect
  • Button : sfJoyButtonEvent , sfMouseButtonEvent

- c -

  • Code : sfKeyEvent
  • Control : sfKeyEvent

- d -

  • Delta : sfMouseWheelEvent
  • DepthBits : sfWindowSettings

- g -

  • g : sfColor

- h -

  • Height : sfSizeEvent , sfVideoMode

- j -

  • JoyButton : sfEvent
  • JoyMove : sfEvent
  • JoystickId : sfJoyMoveEvent , sfJoyButtonEvent

- k -

  • Key : sfEvent

- l -

  • Left : sfFloatRect , sfIntRect

- m -

  • MouseButton : sfEvent
  • MouseMove : sfEvent
  • MouseWheel : sfEvent

- n -

  • NbSamples : sfSoundStreamChunk

- p -

  • Position : sfJoyMoveEvent

- r -

  • r : sfColor
  • Rectangle : sfGlyph
  • Right : sfFloatRect , sfIntRect

- s -

  • Samples : sfSoundStreamChunk
  • Shift : sfKeyEvent
  • Size : sfEvent
  • StencilBits : sfWindowSettings

- t -

  • TexCoords : sfGlyph
  • Text : sfEvent
  • Top : sfIntRect , sfFloatRect
  • Type : sfJoyMoveEvent , sfMouseWheelEvent , sfMouseButtonEvent , sfMouseMoveEvent , sfTextEvent , sfKeyEvent , sfEvent , sfJoyButtonEvent , sfSizeEvent

- u -

  • Unicode : sfTextEvent

- w -

  • Width : sfSizeEvent , sfVideoMode

- x -

  • X : sfMouseMoveEvent , sfMouseButtonEvent

- y -

  • Y : sfMouseMoveEvent , sfMouseButtonEvent


  • File List
  • Globals

File List

Here is a list of all files with brief descriptions:
Audio.h [code]
BlendMode.h [code]
Clock.h [code]
Color.h [code]
Config.h [code]
Context.h [code]
Doxygen.hpp [code]
Event.h [code]
Font.h [code]
Ftp.h [code]
Glyph.h [code]
Graphics.h [code]
Http.h [code]
Image.h [code]
Input.h [code]
IPAddress.h [code]
Listener.h [code]
Music.h [code]
Mutex.h [code]
Network.h [code]
OpenGL.h [code]
Packet.h [code]
PostFX.h [code]
Randomizer.h [code]
Rect.h [code]
RenderWindow.h [code]
Selector.h [code]
Shape.h [code]
Sleep.h [code]
SocketStatus.h [code]
SocketTCP.h [code]
SocketUDP.h [code]
Sound.h [code]
SoundBuffer.h [code]
SoundBufferRecorder.h [code]
SoundRecorder.h [code]
SoundStatus.h [code]
SoundStream.h [code]
Sprite.h [code]
String.h [code]
System.h [code]
Thread.h [code]
Audio/Types.h [code]
Graphics/Types.h [code]
Network/Types.h [code]
System/Types.h [code]
Window/Types.h [code]
VideoMode.h [code]
View.h [code]
Window/Window.h [code]
Window.h [code]
WindowHandle.h [code]


Audio.h File Reference

#include <SFML/System.h>
#include <SFML/Audio/Listener.h>
#include <SFML/Audio/Music.h>
#include <SFML/Audio/Sound.h>
#include <SFML/Audio/SoundBuffer.h>
#include <SFML/Audio/SoundBufferRecorder.h>
#include <SFML/Audio/SoundRecorder.h>

Go to the source code of this file.


BlendMode.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Enumerations

enum sfBlendMode {
sfBlendAlpha,
sfBlendAdd,
sfBlendMultiply,
sfBlendNone
}
Enumerate the blending modes for drawable objects. More...

Enumeration Type Documentation

enum sfBlendMode

Enumerate the blending modes for drawable objects.

Enumerator:
sfBlendAlpha | Pixel = Src * a + Dest * (1 - a).
sfBlendAdd | Pixel = Src + Dest.
sfBlendMultiply | Pixel = Src * Dest.
sfBlendNone | No blending.

Definition at line 37 of file BlendMode.h.


Clock.h File Reference

#include <SFML/Config.h>
#include <SFML/System/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfClock * | sfClock_Create ()
Create a new clock and start it.
CSFML_API void | sfClock_Destroy (sfClock *Clock)
Destroy an existing clock.
CSFML_API float | sfClock_GetTime (sfClock *Clock)
Get the time elapsed for a clock.
CSFML_API void | sfClock_Reset (sfClock *Clock)
Restart a clock.

Function Documentation

CSFML_API sfClock* sfClock_Create ( )

Create a new clock and start it.

Returns:
A new sfClock object

CSFML_API void sfClock_Destroy ( sfClock * Clock )

Destroy an existing clock.

Parameters:
Clock : Clock to delete

CSFML_API float sfClock_GetTime ( sfClock * Clock )

Get the time elapsed for a clock.

Parameters:
Clock : Clock to get time from

CSFML_API void sfClock_Reset ( sfClock * Clock )

Restart a clock.

Parameters:
Clock : Clock to restart


Color.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Data Structures

struct | sfColor
sfColor is an utility class for manipulating colors More...

Functions

CSFML_API sfColor | sfColor_FromRGB (sfUint8 R, sfUint8 G, sfUint8 B)
Construct a color from its 3 RGB components.
CSFML_API sfColor | sfColor_FromRGBA (sfUint8 R, sfUint8 G, sfUint8 B, sfUint8 A)
Construct a color from its 4 RGBA components.
CSFML_API sfColor | sfColor_Add (sfColor Color1, sfColor Color2)
Add two colors.
CSFML_API sfColor | sfColor_Modulate (sfColor Color1, sfColor Color2)
Modulate two colors.

Variables

CSFML_API sfColor | sfBlack
Define some common colors.
CSFML_API sfColor | sfWhite
CSFML_API sfColor | sfRed
CSFML_API sfColor | sfGreen
CSFML_API sfColor | sfBlue
CSFML_API sfColor | sfYellow
CSFML_API sfColor | sfMagenta
CSFML_API sfColor | sfCyan

Function Documentation

CSFML_API sfColor sfColor_Add | ( | sfColor | Color1,
 |  | sfColor | Color2
 | ) |  |

Add two colors.

Parameters:
Color1 | : First color
Color2 | : Second color
Returns:
Component-wise saturated addition of the two colors

CSFML_API sfColor sfColor_FromRGB | ( | sfUint8 | R,
 |  | sfUint8 | G,
 |  | sfUint8 | B
 | ) |  |

Construct a color from its 3 RGB components.

Parameters:
R | : Red component (0 .. 255)
G | : Green component (0 .. 255)
B | : Blue component (0 .. 255)
Returns:
sfColor constructed from the components

CSFML_API sfColor sfColor_FromRGBA | ( | sfUint8 | R,
 |  | sfUint8 | G,
 |  | sfUint8 | B,
 |  | sfUint8 | A
 | ) |  |

Construct a color from its 4 RGBA components.

Parameters:
R | : Red component (0 .. 255)
G | : Green component (0 .. 255)
B | : Blue component (0 .. 255)
A | : Alpha component (0 .. 255)
Returns:
sfColor constructed from the components

CSFML_API sfColor sfColor_Modulate | ( | sfColor | Color1,
 |  | sfColor | Color2
 | ) |  |

Modulate two colors.

Parameters:
Color1 | : First color
Color2 | : Second color
Returns:
Component-wise multiplication of the two colors

Variable Documentation

CSFML_API sfColor sfBlack

Define some common colors.

Definition at line 49 of file Color.h.

CSFML_API sfColor sfBlue

Definition at line 53 of file Color.h.

CSFML_API sfColor sfCyan

Definition at line 56 of file Color.h.

CSFML_API sfColor sfGreen

Definition at line 52 of file Color.h.

CSFML_API sfColor sfMagenta

Definition at line 55 of file Color.h.

CSFML_API sfColor sfRed

Definition at line 51 of file Color.h.

CSFML_API sfColor sfWhite

Definition at line 50 of file Color.h.

CSFML_API sfColor sfYellow

Definition at line 54 of file Color.h.


Config.h File Reference

#include <stdlib.h>
#include <limits.h>

Go to the source code of this file.

Defines

#define | CSFML_API extern
#define | sfFalse 0
#define | sfTrue 1

Typedefs

typedef int | sfBool

Define Documentation

#define CSFML_API extern

Definition at line 69 of file Config.h.

#define sfFalse 0

Definition at line 78 of file Config.h.

#define sfTrue 1

Definition at line 79 of file Config.h.

Typedef Documentation

typedef int sfBool

Definition at line 77 of file Config.h.


Context.h File Reference

#include <SFML/Config.h>
#include <SFML/Window/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfContext * | sfContext_Create ()
Construct a new context.
CSFML_API void | sfContext_Destroy (sfContext *Context)
Destroy an existing context.
CSFML_API void | sfContext_SetActive (sfContext *Context, sfBool Active)
Activate or deactivate a context.

Function Documentation

CSFML_API sfContext* sfContext_Create ( )

Construct a new context.

Returns:
New context

CSFML_API void sfContext_Destroy ( sfContext * Context )

Destroy an existing context.

Parameters:
Context : Context to destroy

CSFML_API void sfContext_SetActive | ( | sfContext * | Context,
 |  | sfBool | Active
 | ) |  |

Activate or deactivate a context.

Parameters:
Context | : Context to activate or deactivate
Active | : sfTrue to activate, sfFalse to deactivate


Doxygen.hpp File Reference

Go to the source code of this file.


Event.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Data Structures

struct | sfKeyEvent
Keyboard event parameters. More...
struct | sfTextEvent
Text event parameters. More...
struct | sfMouseMoveEvent
Mouse move event parameters. More...
struct | sfMouseButtonEvent
Mouse buttons events parameters. More...
struct | sfMouseWheelEvent
Mouse wheel events parameters. More...
struct | sfJoyMoveEvent
Joystick axis move event parameters. More...
struct | sfJoyButtonEvent
Joystick buttons events parameters. More...
struct | sfSizeEvent
Size events parameters. More...
union | sfEvent
sfEvent defines a system event and its parameters More...

Enumerations

enum sfKeyCode {
sfKeyA = 'a',
sfKeyB = 'b',
sfKeyC = 'c',
sfKeyD = 'd',
sfKeyE = 'e',
sfKeyF = 'f',
sfKeyG = 'g',
sfKeyH = 'h',
sfKeyI = 'i',
sfKeyJ = 'j',
sfKeyK = 'k',
sfKeyL = 'l',
sfKeyM = 'm',
sfKeyN = 'n',
sfKeyO = 'o',
sfKeyP = 'p',
sfKeyQ = 'q',
sfKeyR = 'r',
sfKeyS = 's',
sfKeyT = 't',
sfKeyU = 'u',
sfKeyV = 'v',
sfKeyW = 'w',
sfKeyX = 'x',
sfKeyY = 'y',
sfKeyZ = 'z',
sfKeyNum0 = '0',
sfKeyNum1 = '1',
sfKeyNum2 = '2',
sfKeyNum3 = '3',
sfKeyNum4 = '4',
sfKeyNum5 = '5',
sfKeyNum6 = '6',
sfKeyNum7 = '7',
sfKeyNum8 = '8',
sfKeyNum9 = '9',
sfKeyEscape = 256,
sfKeyLControl,
sfKeyLShift,
sfKeyLAlt,
sfKeyLSystem,
sfKeyRControl,
sfKeyRShift,
sfKeyRAlt,
sfKeyRSystem,
sfKeyMenu,
sfKeyLBracket,
sfKeyRBracket,
sfKeySemiColon,
sfKeyComma,
sfKeyPeriod,
sfKeyQuote,
sfKeySlash,
sfKeyBackSlash,
sfKeyTilde,
sfKeyEqual,
sfKeyDash,
sfKeySpace,
sfKeyReturn,
sfKeyBack,
sfKeyTab,
sfKeyPageUp,
sfKeyPageDown,
sfKeyEnd,
sfKeyHome,
sfKeyInsert,
sfKeyDelete,
sfKeyAdd,
sfKeySubtract,
sfKeyMultiply,
sfKeyDivide,
sfKeyLeft,
sfKeyRight,
sfKeyUp,
sfKeyDown,
sfKeyNumpad0,
sfKeyNumpad1,
sfKeyNumpad2,
sfKeyNumpad3,
sfKeyNumpad4,
sfKeyNumpad5,
sfKeyNumpad6,
sfKeyNumpad7,
sfKeyNumpad8,
sfKeyNumpad9,
sfKeyF1,
sfKeyF2,
sfKeyF3,
sfKeyF4,
sfKeyF5,
sfKeyF6,
sfKeyF7,
sfKeyF8,
sfKeyF9,
sfKeyF10,
sfKeyF11,
sfKeyF12,
sfKeyF13,
sfKeyF14,
sfKeyF15,
sfKeyPause,
sfKeyCount
}
Definition of key codes for keyboard events. More...
enum sfMouseButton {
sfButtonLeft,
sfButtonRight,
sfButtonMiddle,
sfButtonX1,
sfButtonX2
}
Definition of button codes for mouse events. More...
enum sfJoyAxis {
sfJoyAxisX,
sfJoyAxisY,
sfJoyAxisZ,
sfJoyAxisR,
sfJoyAxisU,
sfJoyAxisV,
sfJoyAxisPOV
}
Definition of joystick axis for joystick events. More...
enum sfEventType {
sfEvtClosed,
sfEvtResized,
sfEvtLostFocus,
sfEvtGainedFocus,
sfEvtTextEntered,
sfEvtKeyPressed,
sfEvtKeyReleased,
sfEvtMouseWheelMoved,
sfEvtMouseButtonPressed,
sfEvtMouseButtonReleased,
sfEvtMouseMoved,
sfEvtMouseEntered,
sfEvtMouseLeft,
sfEvtJoyButtonPressed,
sfEvtJoyButtonReleased,
sfEvtJoyMoved
}
Definition of all the event types. More...

Enumeration Type Documentation

enum sfEventType

Definition of all the event types.

Enumerator:
sfEvtClosed
sfEvtResized
sfEvtLostFocus
sfEvtGainedFocus
sfEvtTextEntered
sfEvtKeyPressed
sfEvtKeyReleased
sfEvtMouseWheelMoved
sfEvtMouseButtonPressed
sfEvtMouseButtonReleased
sfEvtMouseMoved
sfEvtMouseEntered
sfEvtMouseLeft
sfEvtJoyButtonPressed
sfEvtJoyButtonReleased
sfEvtJoyMoved

Definition at line 176 of file Event.h.

enum sfJoyAxis

Definition of joystick axis for joystick events.

Enumerator:
sfJoyAxisX
sfJoyAxisY
sfJoyAxisZ
sfJoyAxisR
sfJoyAxisU
sfJoyAxisV
sfJoyAxisPOV

Definition at line 161 of file Event.h.

enum sfKeyCode

Definition of key codes for keyboard events.

Enumerator:
sfKeyA
sfKeyB
sfKeyC
sfKeyD
sfKeyE
sfKeyF
sfKeyG
sfKeyH
sfKeyI
sfKeyJ
sfKeyK
sfKeyL
sfKeyM
sfKeyN
sfKeyO
sfKeyP
sfKeyQ
sfKeyR
sfKeyS
sfKeyT
sfKeyU
sfKeyV
sfKeyW
sfKeyX
sfKeyY
sfKeyZ
sfKeyNum0
sfKeyNum1
sfKeyNum2
sfKeyNum3
sfKeyNum4
sfKeyNum5
sfKeyNum6
sfKeyNum7
sfKeyNum8
sfKeyNum9
sfKeyEscape
sfKeyLControl
sfKeyLShift
sfKeyLAlt
sfKeyLSystem | OS specific key (left side) : windows (Win and Linux), apple (MacOS), ...
sfKeyRControl
sfKeyRShift
sfKeyRAlt
sfKeyRSystem | OS specific key (right side) : windows (Win and Linux), apple (MacOS), ...
sfKeyMenu
sfKeyLBracket [
sfKeyRBracket ]
sfKeySemiColon ;
sfKeyComma ,
sfKeyPeriod
sfKeyQuote '
sfKeySlash /
sfKeyBackSlash
sfKeyTilde ~
sfKeyEqual =
sfKeyDash
sfKeySpace
sfKeyReturn
sfKeyBack
sfKeyTab
sfKeyPageUp
sfKeyPageDown
sfKeyEnd
sfKeyHome
sfKeyInsert
sfKeyDelete
sfKeyAdd +
sfKeySubtract
sfKeyMultiply *
sfKeyDivide /
sfKeyLeft | Left arrow.
sfKeyRight | Right arrow.
sfKeyUp | Up arrow.
sfKeyDown | Down arrow.
sfKeyNumpad0
sfKeyNumpad1
sfKeyNumpad2
sfKeyNumpad3
sfKeyNumpad4
sfKeyNumpad5
sfKeyNumpad6
sfKeyNumpad7
sfKeyNumpad8
sfKeyNumpad9
sfKeyF1
sfKeyF2
sfKeyF3
sfKeyF4
sfKeyF5
sfKeyF6
sfKeyF7
sfKeyF8
sfKeyF9
sfKeyF10
sfKeyF11
sfKeyF12
sfKeyF13
sfKeyF14
sfKeyF15
sfKeyPause
sfKeyCount

Definition at line 37 of file Event.h.

enum sfMouseButton

Definition of button codes for mouse events.

Enumerator:
sfButtonLeft
sfButtonRight
sfButtonMiddle
sfButtonX1
sfButtonX2

Definition at line 148 of file Event.h.


Font.h File Reference

#include <SFML/Graphics/Glyph.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfFont * | sfFont_Create ()
Create a new empty font.
CSFML_API sfFont * | sfFont_CreateFromFile (const char *Filename, unsigned int CharSize, const sfUint32 *Charset)
Create a new font from a file.
CSFML_API sfFont * | sfFont_CreateFromMemory (const char *Data, size_t SizeInBytes, unsigned int CharSize, const sfUint32 *Charset)
Create a new image font a file in memory.
CSFML_API void | sfFont_Destroy (sfFont *Font)
Destroy an existing font.
CSFML_API unsigned int | sfFont_GetCharacterSize (sfFont *Font)
Get the base size of characters in a font; All glyphs dimensions are based on this value.
CSFML_API sfFont * | sfFont_GetDefaultFont ()
Get the built-in default font (Arial).

Function Documentation

CSFML_API sfFont* sfFont_Create ( )

Create a new empty font.

Returns:
A new sfFont object, or NULL if it failed

CSFML_API sfFont* sfFont_CreateFromFile | ( | const char * | Filename,
 |  | unsigned int | CharSize,
 |  | const sfUint32 * | Charset
 | ) |  |

Create a new font from a file.

Parameters:
Filename | : Path of the font file to load
CharSize | : Size of characters in bitmap - the bigger, the higher quality
Charset | : Characters set to generate (just pass NULL to get the default charset)
Returns:
A new sfFont object, or NULL if it failed

CSFML_API sfFont* sfFont_CreateFromMemory | ( | const char * | Data,
 |  | size_t | SizeInBytes,
 |  | unsigned int | CharSize,
 |  | const sfUint32 * | Charset
 | ) |  |

Create a new image font a file in memory.

Parameters:
Data | : Pointer to the file data in memory
SizeInBytes | : Size of the data to load, in bytes
CharSize | : Size of characters in bitmap - the bigger, the higher quality
Charset | : Characters set to generate (just pass NULL to get the default charset)
Returns:
A new sfFont object, or NULL if it failed

CSFML_API void sfFont_Destroy ( sfFont * Font )

Destroy an existing font.

Parameters:
Font : Font to delete

CSFML_API unsigned int sfFont_GetCharacterSize ( sfFont * Font )

Get the base size of characters in a font; All glyphs dimensions are based on this value.

Parameters:
Font : Font object
Returns:
Base size of characters

CSFML_API sfFont* sfFont_GetDefaultFont ( )

Get the built-in default font (Arial).

Returns:
Pointer to the default font


Ftp.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/IPAddress.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Enumerations

enum sfFtpTransferMode {
sfFtpBinary,
sfFtpAscii,
sfFtpEbcdic
}
Enumerate all the FTP file transfer modes. More...
enum sfFtpStatus {
sfFtpRestartMarkerReply = 110,
sfFtpServiceReadySoon = 120,
sfFtpDataConnectionAlreadyOpened = 125,
sfFtpOpeningDataConnection = 150,
sfFtpOk = 200,
sfFtpPointlessCommand = 202,
sfFtpSystemStatus = 211,
sfFtpDirectoryStatus = 212,
sfFtpFileStatus = 213,
sfFtpHelpMessage = 214,
sfFtpSystemType = 215,
sfFtpServiceReady = 220,
sfFtpClosingConnection = 221,
sfFtpDataConnectionOpened = 225,
sfFtpClosingDataConnection = 226,
sfFtpEnteringPassiveMode = 227,
sfFtpLoggedIn = 230,
sfFtpFileActionOk = 250,
sfFtpDirectoryOk = 257,
sfFtpNeedPassword = 331,
sfFtpNeedAccountToLogIn = 332,
sfFtpNeedInformation = 350,
sfFtpServiceUnavailable = 421,
sfFtpDataConnectionUnavailable = 425,
sfFtpTransferAborted = 426,
sfFtpFileActionAborted = 450,
sfFtpLocalError = 451,
sfFtpInsufficientStorageSpace = 452,
sfFtpCommandUnknown = 500,
sfFtpParametersUnknown = 501,
sfFtpCommandNotImplemented = 502,
sfFtpBadCommandSequence = 503,
sfFtpParameterNotImplemented = 504,
sfFtpNotLoggedIn = 530,
sfFtpNeedAccountToStore = 532,
sfFtpFileUnavailable = 550,
sfFtpPageTypeUnknown = 551,
sfFtpNotEnoughMemory = 552,
sfFtpFilenameNotAllowed = 553,
sfFtpInvalidResponse = 1000,
sfFtpConnectionFailed = 1001,
sfFtpConnectionClosed = 1002,
sfFtpInvalidFile = 1003
}
Enumerate all the valid status codes returned in a FTP response. More...

Functions

CSFML_API void | sfFtpListingResponse_Destroy (sfFtpListingResponse *FtpListingResponse)
Destroy an existing Ftp listing response.
CSFML_API sfBool | sfFtpListingResponse_IsOk (sfFtpListingResponse *FtpListingResponse)
Convenience function to check if the response status code means a success.
CSFML_API sfFtpStatus | sfFtpListingResponse_GetStatus (sfFtpListingResponse *FtpListingResponse)
Get the response status code.
CSFML_API const char * | sfFtpListingResponse_GetMessage (sfFtpListingResponse *FtpListingResponse)
Get the full message contained in the response.
CSFML_API size_t | sfFtpListingResponse_GetCount (sfFtpListingResponse *FtpListingResponse)
Get the number of filenames in the listing.
CSFML_API const char * | sfFtpListingResponse_GetFilename (sfFtpListingResponse *FtpListingResponse, size_t Index)
Get the Index-th filename in the directory.
CSFML_API void | sfFtpDirectoryResponse_Destroy (sfFtpDirectoryResponse *FtpDirectoryResponse)
Destroy an existing Ftp directory response.
CSFML_API sfBool | sfFtpDirectoryResponse_IsOk (sfFtpDirectoryResponse *FtpDirectoryResponse)
Convenience function to check if the response status code means a success.
CSFML_API sfFtpStatus | sfFtpDirectoryResponse_GetStatus (sfFtpDirectoryResponse *FtpDirectoryResponse)
Get the response status code.
CSFML_API const char * | sfFtpDirectoryResponse_GetMessage (sfFtpDirectoryResponse *FtpDirectoryResponse)
Get the full message contained in the response.
CSFML_API const char * | sfFtpDirectoryResponse_GetDirectory (sfFtpDirectoryResponse *FtpDirectoryResponse)
Get the directory returned in the response.
CSFML_API void | sfFtpResponse_Destroy (sfFtpResponse *FtpResponse)
Destroy an existing Ftp response.
CSFML_API sfBool | sfFtpResponse_IsOk (sfFtpResponse *FtpResponse)
Convenience function to check if the response status code means a success.
CSFML_API sfFtpStatus | sfFtpResponse_GetStatus (sfFtpResponse *FtpResponse)
Get the response status code.
CSFML_API const char * | sfFtpResponse_GetMessage (sfFtpResponse *FtpResponse)
Get the full message contained in the response.
CSFML_API sfFtp * | sfFtp_Create ()
Construct a new Ftp.
CSFML_API void | sfFtp_Destroy (sfFtp *Ftp)
Destroy an existing Ftp.
CSFML_API sfFtpResponse * | sfFtp_Connect (sfFtp *Ftp, sfIPAddress Server, unsigned short Port, float Timeout)
Connect to the specified FTP server.
CSFML_API sfFtpResponse * | sfFtp_LoginAnonymous (sfFtp *Ftp)
Log in using anonymous account.
CSFML_API sfFtpResponse * | sfFtp_Login (sfFtp *Ftp, const char *UserName, const char *Password)
Log in using a username and a password.
CSFML_API sfFtpResponse * | sfFtp_Disconnect (sfFtp *Ftp)
Close the connection with FTP server.
CSFML_API sfFtpResponse * | sfFtp_KeepAlive (sfFtp *Ftp)
Send a null command just to prevent from being disconnected.
CSFML_API sfFtpDirectoryResponse * | sfFtp_GetWorkingDirectory (sfFtp *Ftp)
Get the current working directory.
CSFML_API sfFtpListingResponse * | sfFtp_GetDirectoryListing (sfFtp *Ftp, const char *Directory)
Get the contents of the given directory (subdirectories and files).
CSFML_API sfFtpResponse * | sfFtp_ChangeDirectory (sfFtp *Ftp, const char *Directory)
Change the current working directory.
CSFML_API sfFtpResponse * | sfFtp_ParentDirectory (sfFtp *Ftp)
Go to the parent directory of the current one.
CSFML_API sfFtpResponse * | sfFtp_MakeDirectory (sfFtp *Ftp, const char *Name)
Create a new directory.
CSFML_API sfFtpResponse * | sfFtp_DeleteDirectory (sfFtp *Ftp, const char *Name)
Remove an existing directory.
CSFML_API sfFtpResponse * | sfFtp_RenameFile (sfFtp *Ftp, const char *File, const char *NewName)
Rename a file.
CSFML_API sfFtpResponse * | sfFtp_DeleteFile (sfFtp *Ftp, const char *Name)
Remove an existing file.
CSFML_API sfFtpResponse * | sfFtp_Download (sfFtp *Ftp, const char *DistantFile, const char *DestPath, sfFtpTransferMode Mode)
Download a file from the server.
CSFML_API sfFtpResponse * | sfFtp_Upload (sfFtp *Ftp, const char *LocalFile, const char *DestPath, sfFtpTransferMode Mode)
Upload a file to the server.

Enumeration Type Documentation

enum sfFtpStatus

Enumerate all the valid status codes returned in a FTP response.

Enumerator:
sfFtpRestartMarkerReply | Restart marker reply.
sfFtpServiceReadySoon | Service ready in N minutes.
sfFtpDataConnectionAlreadyOpened | Data connection already opened, transfer starting.
sfFtpOpeningDataConnection | File status ok, about to open data connection.
sfFtpOk | Command ok.
sfFtpPointlessCommand | Command not implemented.
sfFtpSystemStatus | System status, or system help reply.
sfFtpDirectoryStatus | Directory status.
sfFtpFileStatus | File status.
sfFtpHelpMessage | Help message.
sfFtpSystemType | NAME system type, where NAME is an official system name from the list in the Assigned Numbers document.
sfFtpServiceReady | Service ready for new user.
sfFtpClosingConnection | Service closing control connection.
sfFtpDataConnectionOpened | Data connection open, no transfer in progress.
sfFtpClosingDataConnection | Closing data connection, requested file action successful.
sfFtpEnteringPassiveMode | Entering passive mode.
sfFtpLoggedIn | User logged in, proceed. Logged out if appropriate.
sfFtpFileActionOk | Requested file action ok.
sfFtpDirectoryOk | PATHNAME created.
sfFtpNeedPassword | User name ok, need password.
sfFtpNeedAccountToLogIn | Need account for login.
sfFtpNeedInformation | Requested file action pending further information.
sfFtpServiceUnavailable | Service not available, closing control connection.
sfFtpDataConnectionUnavailable | Can't open data connection.
sfFtpTransferAborted | Connection closed, transfer aborted.
sfFtpFileActionAborted | Requested file action not taken.
sfFtpLocalError | Requested action aborted, local error in processing.
sfFtpInsufficientStorageSpace | Requested action not taken; insufficient storage space in system, file unavailable.
sfFtpCommandUnknown | Syntax error, command unrecognized.
sfFtpParametersUnknown | Syntax error in parameters or arguments.
sfFtpCommandNotImplemented | Command not implemented.
sfFtpBadCommandSequence | Bad sequence of commands.
sfFtpParameterNotImplemented | Command not implemented for that parameter.
sfFtpNotLoggedIn | Not logged in.
sfFtpNeedAccountToStore | Need account for storing files.
sfFtpFileUnavailable | Requested action not taken, file unavailable.
sfFtpPageTypeUnknown | Requested action aborted, page type unknown.
sfFtpNotEnoughMemory | Requested file action aborted, exceeded storage allocation.
sfFtpFilenameNotAllowed | Requested action not taken, file name not allowed.
sfFtpInvalidResponse | Response is not a valid FTP one.
sfFtpConnectionFailed | Connection with server failed.
sfFtpConnectionClosed | Connection with server closed.
sfFtpInvalidFile | Invalid file to upload / download.

Definition at line 51 of file Ftp.h.

enum sfFtpTransferMode

Enumerate all the FTP file transfer modes.

Enumerator:
sfFtpBinary | Binary mode (file is transfered as a sequence of bytes).
sfFtpAscii | Text mode using ASCII encoding.
sfFtpEbcdic | Text mode using EBCDIC encoding.

Definition at line 39 of file Ftp.h.

Function Documentation

CSFML_API sfFtpResponse* sfFtp_ChangeDirectory | ( | sfFtp * | Ftp,
 |  | const char * | Directory
 | ) |  |

Change the current working directory.

Parameters:
Ftp | : Ftp instance
Directory | : New directory, relative to the current one
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_Connect | ( | sfFtp * | Ftp,
 |  | sfIPAddress | Server,
 |  | unsigned short | Port,
 |  | float | Timeout
 | ) |  |

Connect to the specified FTP server.

Parameters:
Ftp | : Ftp instance
Server | : FTP server to connect to
Port | : Port used for connection (21 by default, standard FTP port)
Timeout | : Maximum time to wait (0 to use no timeout)
Returns:
Server response to the request

CSFML_API sfFtp* sfFtp_Create ( )

Construct a new Ftp.

Returns:
Pointer to the new Ftp

CSFML_API sfFtpResponse* sfFtp_DeleteDirectory | ( | sfFtp * | Ftp,
 |  | const char * | Name
 | ) |  |

Remove an existing directory.

Parameters:
Ftp | : Ftp instance
Name | : Name of the directory to remove
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_DeleteFile | ( | sfFtp * | Ftp,
 |  | const char * | Name
 | ) |  |

Remove an existing file.

Parameters:
Ftp | : Ftp instance
Name | : File to remove
Returns:
Server response to the request

CSFML_API void sfFtp_Destroy ( sfFtp * Ftp )

Destroy an existing Ftp.

Parameters:
Ftp : Ftp to destroy

CSFML_API sfFtpResponse* sfFtp_Disconnect ( sfFtp * Ftp )

Close the connection with FTP server.

Parameters:
Ftp : Ftp instance
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_Download | ( | sfFtp * | Ftp,
 |  | const char * | DistantFile,
 |  | const char * | DestPath,
 |  | sfFtpTransferMode | Mode
 | ) |  |

Download a file from the server.

Parameters:
Ftp | : Ftp instance
DistantFile | : Path of the distant file to download
DestPath | : Where to put to file on the local computer
Mode | : Transfer mode (binary by default)
Returns:
Server response to the request

CSFML_API sfFtpListingResponse* sfFtp_GetDirectoryListing | ( | sfFtp * | Ftp,
 |  | const char * | Directory
 | ) |  |

Get the contents of the given directory (subdirectories and files).

Parameters:
Ftp | : Ftp instance
Directory | : Directory to list ("" by default, the current one)
Returns:
Server response to the request

CSFML_API sfFtpDirectoryResponse* sfFtp_GetWorkingDirectory ( sfFtp * Ftp )

Get the current working directory.

Parameters:
Ftp : Ftp instance
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_KeepAlive ( sfFtp * Ftp )

Send a null command just to prevent from being disconnected.

Parameters:
Ftp : Ftp instance
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_Login | ( | sfFtp * | Ftp,
 |  | const char * | UserName,
 |  | const char * | Password
 | ) |  |

Log in using a username and a password.

Parameters:
Ftp | : Ftp instance
UserName | : User name
Password | : Password
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_LoginAnonymous ( sfFtp * Ftp )

Log in using anonymous account.

Parameters:
Ftp : Ftp instance
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_MakeDirectory | ( | sfFtp * | Ftp,
 |  | const char * | Name
 | ) |  |

Create a new directory.

Parameters:
Ftp | : Ftp instance
Name | : Name of the directory to create
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_ParentDirectory ( sfFtp * Ftp )

Go to the parent directory of the current one.

Parameters:
Ftp : Ftp instance
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_RenameFile | ( | sfFtp * | Ftp,
 |  | const char * | File,
 |  | const char * | NewName
 | ) |  |

Rename a file.

Parameters:
Ftp | : Ftp instance
File | : File to rename
NewName | : New name
Returns:
Server response to the request

CSFML_API sfFtpResponse* sfFtp_Upload | ( | sfFtp * | Ftp,
 |  | const char * | LocalFile,
 |  | const char * | DestPath,
 |  | sfFtpTransferMode | Mode
 | ) |  |

Upload a file to the server.

Parameters:
Ftp | : Ftp instance
LocalFile | : Path of the local file to upload
DestPath | : Where to put to file on the server
Mode | : Transfer mode (binary by default)
Returns:
Server response to the request

CSFML_API void sfFtpDirectoryResponse_Destroy ( sfFtpDirectoryResponse * FtpDirectoryResponse )

Destroy an existing Ftp directory response.

Parameters:
FtpDirectoryResponse : Ftp directory response to destroy

CSFML_API const char* sfFtpDirectoryResponse_GetDirectory ( sfFtpDirectoryResponse * FtpDirectoryResponse )

Get the directory returned in the response.

Parameters:
FtpDirectoryResponse : Ftp directory response
Returns:
Directory name

CSFML_API const char* sfFtpDirectoryResponse_GetMessage ( sfFtpDirectoryResponse * FtpDirectoryResponse )

Get the full message contained in the response.

Parameters:
FtpDirectoryResponse : Ftp directory response
Returns:
The response message

CSFML_API sfFtpStatus sfFtpDirectoryResponse_GetStatus ( sfFtpDirectoryResponse * FtpDirectoryResponse )

Get the response status code.

Parameters:
FtpDirectoryResponse : Ftp directory response
Returns:
Status code

CSFML_API sfBool sfFtpDirectoryResponse_IsOk ( sfFtpDirectoryResponse * FtpDirectoryResponse )

Convenience function to check if the response status code means a success.

Parameters:
FtpDirectoryResponse : Ftp directory response
Returns:
sfTrue if status is success (code < 400)

CSFML_API void sfFtpListingResponse_Destroy ( sfFtpListingResponse * FtpListingResponse )

Destroy an existing Ftp listing response.

Parameters:
FtpResponse : Ftp listing response to destroy

CSFML_API size_t sfFtpListingResponse_GetCount ( sfFtpListingResponse * FtpListingResponse )

Get the number of filenames in the listing.

Parameters:
FtpListingResponse : Ftp listing response
Returns:
Total number of filenames

CSFML_API const char* sfFtpListingResponse_GetFilename | ( | sfFtpListingResponse * | FtpListingResponse,
 |  | size_t | Index
 | ) |  |

Get the Index-th filename in the directory.

Parameters:
FtpListingResponse | : Ftp listing response
Index | : Index of the filename to get
Returns:
Index-th filename

CSFML_API const char* sfFtpListingResponse_GetMessage ( sfFtpListingResponse * FtpListingResponse )

Get the full message contained in the response.

Parameters:
FtpListingResponse : Ftp listing response
Returns:
The response message

CSFML_API sfFtpStatus sfFtpListingResponse_GetStatus ( sfFtpListingResponse * FtpListingResponse )

Get the response status code.

Parameters:
FtpListingResponse : Ftp listing response
Returns:
Status code

CSFML_API sfBool sfFtpListingResponse_IsOk ( sfFtpListingResponse * FtpListingResponse )

Convenience function to check if the response status code means a success.

Parameters:
FtpListingResponse : Ftp listing response
Returns:
sfTrue if status is success (code < 400)

CSFML_API void sfFtpResponse_Destroy ( sfFtpResponse * FtpResponse )

Destroy an existing Ftp response.

Parameters:
FtpResponse : Ftp response to destroy

CSFML_API const char* sfFtpResponse_GetMessage ( sfFtpResponse * FtpResponse )

Get the full message contained in the response.

Parameters:
FtpResponse : Ftp response
Returns:
The response message

CSFML_API sfFtpStatus sfFtpResponse_GetStatus ( sfFtpResponse * FtpResponse )

Get the response status code.

Parameters:
FtpResponse : Ftp response
Returns:
Status code

CSFML_API sfBool sfFtpResponse_IsOk ( sfFtpResponse * FtpResponse )

Convenience function to check if the response status code means a success.

Parameters:
FtpResponse : Ftp response
Returns:
sfTrue if status is success (code < 400)


Glyph.h File Reference

#include <SFML/Graphics/Rect.h>

Go to the source code of this file.

Data Structures

struct sfGlyph
sfGlyph describes a glyph (a visual character) More...


Graphics.h File Reference

#include <SFML/Window.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Image.h>
#include <SFML/Graphics/PostFX.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/RenderWindow.h>
#include <SFML/Graphics/Shape.h>
#include <SFML/Graphics/Sprite.h>
#include <SFML/Graphics/String.h>
#include <SFML/Graphics/View.h>

Go to the source code of this file.


Http.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Enumerations

enum sfHttpMethod {
sfHttpGet,
sfHttpPost,
sfHttpHead
}
Enumerate the available HTTP methods for a request. More...
enum sfHttpStatus {
sfHttpOk = 200,
sfHttpCreated = 201,
sfHttpAccepted = 202,
sfHttpNoContent = 204,
sfHttpMultipleChoices = 300,
sfHttpMovedPermanently = 301,
sfHttpMovedTemporarily = 302,
sfHttpNotModified = 304,
sfHttpBadRequest = 400,
sfHttpUnauthorized = 401,
sfHttpForbidden = 403,
sfHttpNotFound = 404,
sfHttpInternalServerError = 500,
sfHttpNotImplemented = 501,
sfHttpBadGateway = 502,
sfHttpServiceNotAvailable = 503,
sfHttpInvalidResponse = 1000,
sfHttpConnectionFailed = 1001
}
Enumerate all the valid status codes returned in a HTTP response. More...

Functions

CSFML_API sfHttpRequest * | sfHttpRequest_Create ()
Construct a new Http request.
CSFML_API void | sfHttpRequest_Destroy (sfHttpRequest *HttpRequest)
Destroy an existing Http request.
CSFML_API void | sfHttpRequest_SetField (sfHttpRequest *HttpRequest, const char *Field, const char *Value)
Set the value of a field; the field is added if it doesn't exist.
CSFML_API void | sfHttpRequest_SetMethod (sfHttpRequest *HttpRequest, sfHttpMethod Method)
Set the request method.
CSFML_API void | sfHttpRequest_SetURI (sfHttpRequest *HttpRequest, const char *URI)
Set the target URI of the request.
CSFML_API void | sfHttpRequest_SetHttpVersion (sfHttpRequest *HttpRequest, unsigned int Major, unsigned int Minor)
Set the HTTP version of the request.
CSFML_API void | sfHttpRequest_SetBody (sfHttpRequest *HttpRequest, const char *Body)
Set the body of the request.
CSFML_API void | sfHttpResponse_Destroy (sfHttpResponse *HttpResponse)
Destroy an existing Http response.
CSFML_API const char * | sfHttpResponse_GetField (sfHttpResponse *HttpResponse, const char *Field)
Get the value of a field; returns NULL if the field doesn't exist.
CSFML_API sfHttpStatus | sfHttpResponse_GetStatus (sfHttpResponse *HttpResponse)
Get the status of a response.
CSFML_API unsigned int | sfHttpResponse_GetMajorVersion (sfHttpResponse *HttpResponse)
Get the major HTTP version of a response.
CSFML_API unsigned int | sfHttpResponse_GetMinorVersion (sfHttpResponse *HttpResponse)
Get the minor HTTP version of a response.
CSFML_API const char * | sfHttpResponse_GetBody (sfHttpResponse *HttpResponse)
Get the body of the response.
CSFML_API sfHttp * | sfHttp_Create ()
Construct a new Http object.
CSFML_API void | sfHttp_Destroy (sfHttp *Http)
Destroy an existing Http object.
CSFML_API void | sfHttp_SetHost (sfHttp *Http, const char *Host, unsigned short Port)
Set the target host of a Http server.
CSFML_API sfHttpResponse * | sfHttp_SendRequest (sfHttp *Http, sfHttpRequest *Request, float Timeout)
Send a HTTP request and return the server's response.

Enumeration Type Documentation

enum sfHttpMethod

Enumerate the available HTTP methods for a request.

Enumerator:
sfHttpGet | Request in get mode, standard method to retrieve a page.
sfHttpPost | Request in post mode, usually to send data to a page.
sfHttpHead | Request a page's header only.

Definition at line 38 of file Http.h.

enum sfHttpStatus

Enumerate all the valid status codes returned in a HTTP response.

Enumerator:
sfHttpOk | Most common code returned when operation was successful.
sfHttpCreated | The resource has successfully been created.
sfHttpAccepted | The request has been accepted, but will be processed later by the server.
sfHttpNoContent | Sent when the server didn't send any data in return.
sfHttpMultipleChoices | The requested page can be accessed from several locations.
sfHttpMovedPermanently | The requested page has permanently moved to a new location.
sfHttpMovedTemporarily | The requested page has temporarily moved to a new location.
sfHttpNotModified | For conditionnal requests, means the requested page hasn't changed and doesn't need to be refreshed.
sfHttpBadRequest | The server couldn't understand the request (syntax error).
sfHttpUnauthorized | The requested page needs an authentification to be accessed.
sfHttpForbidden | The requested page cannot be accessed at all, even with authentification.
sfHttpNotFound | The requested page doesn't exist.
sfHttpInternalServerError | The server encountered an unexpected error.
sfHttpNotImplemented | The server doesn't implement a requested feature.
sfHttpBadGateway | The gateway server has received an error from the source server.
sfHttpServiceNotAvailable | The server is temporarily unavailable (overloaded, in maintenance, ...).
sfHttpInvalidResponse | Response is not a valid HTTP one.
sfHttpConnectionFailed | Connection with server failed.

Definition at line 50 of file Http.h.

Function Documentation

CSFML_API sfHttp* sfHttp_Create ( )

Construct a new Http object.

Returns:
Pointer to the new Http

CSFML_API void sfHttp_Destroy ( sfHttp * Http )

Destroy an existing Http object.

Parameters:
Http : Http to destroy

CSFML_API sfHttpResponse* sfHttp_SendRequest | ( | sfHttp * | Http,
 |  | sfHttpRequest * | Request,
 |  | float | Timeout
 | ) |  |

Send a HTTP request and return the server's response.

You must be connected to a host before sending requests. Any missing mandatory header field will be added with an appropriate value. Warning : this function waits for the server's response and may not return instantly; use a thread if you don't want to block your application.

Parameters:
Http | : Http object
Request | : Request to send
Timeout | : Maximum time to wait (0 to use no timeout)
Returns:
Server's response, or NULL if request is invalid

CSFML_API void sfHttp_SetHost | ( | sfHttp * | Http,
 |  | const char * | Host,
 |  | unsigned short | Port
 | ) |  |

Set the target host of a Http server.

Parameters:
Http | : Http object
Host | : Web server to connect to
Port | : Port to use for connection (0 to use the standard port of the protocol used)

CSFML_API sfHttpRequest* sfHttpRequest_Create ( )

Construct a new Http request.

Returns:
Pointer to the new Http request

CSFML_API void sfHttpRequest_Destroy ( sfHttpRequest * HttpRequest )

Destroy an existing Http request.

Parameters:
HttpRequest : Http request to destroy

CSFML_API void sfHttpRequest_SetBody | ( | sfHttpRequest * | HttpRequest,
 |  | const char * | Body
 | ) |  |

Set the body of the request.

This parameter is optional and makes sense only for POST requests. This parameter is empty by default

Parameters:
HttpRequest | : Http request to modify
Body | : Content of the request body

CSFML_API void sfHttpRequest_SetField | ( | sfHttpRequest * | HttpRequest,
 |  | const char * | Field,
 |  | const char * | Value
 | ) |  |

Set the value of a field; the field is added if it doesn't exist.

Parameters:
HttpRequest | : Http request to modify
Field | : Name of the field to set (case-insensitive)
Value | : Value of the field

CSFML_API void sfHttpRequest_SetHttpVersion | ( | sfHttpRequest * | HttpRequest,
 |  | unsigned int | Major,
 |  | unsigned int | Minor
 | ) |  |

Set the HTTP version of the request.

This parameter is 1.0 by default

Parameters:
HttpRequest | : Http request to modify
Major | : Major version number
Minor | : Minor version number

CSFML_API void sfHttpRequest_SetMethod | ( | sfHttpRequest * | HttpRequest,
 |  | sfHttpMethod | Method
 | ) |  |

Set the request method.

This parameter is sfHttpGet by default

Parameters:
HttpRequest | : Http request to modify
RequestMethod | : Method to use for the request

CSFML_API void sfHttpRequest_SetURI | ( | sfHttpRequest * | HttpRequest,
 |  | const char * | URI
 | ) |  |

Set the target URI of the request.

This parameter is "/" by default

Parameters:
HttpRequest | : Http request to modify
URI | : URI to request, local to the host

CSFML_API void sfHttpResponse_Destroy ( sfHttpResponse * HttpResponse )

Destroy an existing Http response.

Parameters:
HttpResponse : Http response to destroy

CSFML_API const char* sfHttpResponse_GetBody ( sfHttpResponse * HttpResponse )

Get the body of the response.

The body can contain :

  • the requested page (for GET requests)
  • a response from the server (for POST requests)
  • nothing (for HEAD requests)
  • an error message (in case of an error)

Parameters:
HttpResponse : Http response
Returns:
Body of the response (empty string if no body)

CSFML_API const char* sfHttpResponse_GetField | ( | sfHttpResponse * | HttpResponse,
 |  | const char * | Field
 | ) |  |

Get the value of a field; returns NULL if the field doesn't exist.

Parameters:
HttpResponse | : Http response
Field | : Field to get
Returns:
Value of the field (NULL if it doesn't exist)

CSFML_API unsigned int sfHttpResponse_GetMajorVersion ( sfHttpResponse * HttpResponse )

Get the major HTTP version of a response.

Parameters:
HttpResponse : Http response
Returns:
HTTP major version of the response

CSFML_API unsigned int sfHttpResponse_GetMinorVersion ( sfHttpResponse * HttpResponse )

Get the minor HTTP version of a response.

Parameters:
HttpResponse : Http response
Returns:
HTTP minor version of the response

CSFML_API sfHttpStatus sfHttpResponse_GetStatus ( sfHttpResponse * HttpResponse )

Get the status of a response.

Parameters:
HttpResponse : Http response
Returns:
Status of the response


Image.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfImage * | sfImage_Create ()
Create a new empty image.
CSFML_API sfImage * | sfImage_CreateFromColor (unsigned int Width, unsigned int Height, sfColor Color)
Create a new image filled with a color.
CSFML_API sfImage * | sfImage_CreateFromPixels (unsigned int Width, unsigned int Height, const sfUint8 *Data)
Create a new image from an array of pixels in memory.
CSFML_API sfImage * | sfImage_CreateFromFile (const char *Filename)
Create a new image from a file.
CSFML_API sfImage * | sfImage_CreateFromMemory (const char *Data, size_t SizeInBytes)
Create a new image from a file in memory.
CSFML_API void | sfImage_Destroy (sfImage *Image)
Destroy an existing image.
CSFML_API sfBool | sfImage_SaveToFile (sfImage *Image, const char *Filename)
Save the content of an image to a file.
CSFML_API void | sfImage_CreateMaskFromColor (sfImage *Image, sfColor ColorKey, sfUint8 Alpha)
Create a transparency mask for an image from a specified colorkey.
CSFML_API void | sfImage_Copy (sfImage *Image, sfImage *Source, unsigned int DestX, unsigned int DestY, sfIntRect SourceRect)
Copy pixels from another image onto this one.
CSFML_API sfBool | sfImage_CopyScreen (sfImage *Image, sfRenderWindow *Window, sfIntRect SourceRect)
Create the image from the current contents of the given window.
CSFML_API void | sfImage_SetPixel (sfImage *Image, unsigned int X, unsigned int Y, sfColor Color)
Change the color of a pixel of an image Don't forget to call Update when you end modifying pixels.
CSFML_API sfColor | sfImage_GetPixel (sfImage *Image, unsigned int X, unsigned int Y)
Get a pixel from an image.
CSFML_API const sfUint8 * | sfImage_GetPixelsPtr (sfImage *Image)
Get a read-only pointer to the array of pixels of an image (8 bits integers RGBA) Array size is sfImage_GetWidth() x sfImage_GetHeight() x 4 This pointer becomes invalid if you reload or resize the image.
CSFML_API void | sfImage_Bind (sfImage *Image)
Bind the image for rendering.
CSFML_API void | sfImage_SetSmooth (sfImage *Image, sfBool Smooth)
Enable or disable image smooth filter.
CSFML_API unsigned int | sfImage_GetWidth (sfImage *Image)
Return the width of the image.
CSFML_API unsigned int | sfImage_GetHeight (sfImage *Image)
Return the height of the image.
CSFML_API sfBool | sfImage_IsSmooth (sfImage *Image)
Tells whether the smoothing filter is enabled or not on an image.

Function Documentation

CSFML_API void sfImage_Bind ( sfImage * Image )

Bind the image for rendering.

Parameters:
Image : Image to bind

CSFML_API void sfImage_Copy | ( | sfImage * | Image,
 |  | sfImage * | Source,
 |  | unsigned int | DestX,
 |  | unsigned int | DestY,
 |  | sfIntRect | SourceRect
 | ) |  |

Copy pixels from another image onto this one.

This function does a slow pixel copy and should only be used at initialization time

Parameters:
Image | : Destination image
Source | : Source image to copy
DestX | : X coordinate of the destination position
DestY | : Y coordinate of the destination position
SourceRect | : Sub-rectangle of the source image to copy

CSFML_API sfBool sfImage_CopyScreen | ( | sfImage * | Image,
 |  | sfRenderWindow * | Window,
 |  | sfIntRect | SourceRect
 | ) |  |

Create the image from the current contents of the given window.

Parameters:
Image | : Destination image
Window | : Window to capture
SourceRect | : Sub-rectangle of the screen to copy (empty by default - entire image)
Returns:
True if creation was successful

CSFML_API sfImage* sfImage_Create ( )

Create a new empty image.

Returns:
A new sfImage object, or NULL if it failed

CSFML_API sfImage* sfImage_CreateFromColor | ( | unsigned int | Width,
 |  | unsigned int | Height,
 |  | sfColor | Color
 | ) |  |

Create a new image filled with a color.

Parameters:
Width | : Image width
Height | : Image height
Col | : Image color
Returns:
A new sfImage object, or NULL if it failed

CSFML_API sfImage* sfImage_CreateFromFile ( const char * Filename )

Create a new image from a file.

Parameters:
Filename : Path of the image file to load
Returns:
A new sfImage object, or NULL if it failed

CSFML_API sfImage* sfImage_CreateFromMemory | ( | const char * | Data,
 |  | size_t | SizeInBytes
 | ) |  |

Create a new image from a file in memory.

Parameters:
Data | : Pointer to the file data in memory
SizeInBytes | : Size of the data to load, in bytes
Returns:
A new sfImage object, or NULL if it failed

CSFML_API sfImage* sfImage_CreateFromPixels | ( | unsigned int | Width,
 |  | unsigned int | Height,
 |  | const sfUint8 * | Data
 | ) |  |

Create a new image from an array of pixels in memory.

Parameters:
Width | : Image width
Height | : Image height
Data | : Pointer to the pixels in memory (assumed format is RGBA)
Returns:
A new sfImage object, or NULL if it failed

CSFML_API void sfImage_CreateMaskFromColor | ( | sfImage * | Image,
 |  | sfColor | ColorKey,
 |  | sfUint8 | Alpha
 | ) |  |

Create a transparency mask for an image from a specified colorkey.

Parameters:
Image | : Image to modify
ColorKey | : Color to become transparent
Alpha | : Alpha value to use for transparent pixels

CSFML_API void sfImage_Destroy ( sfImage * Image )

Destroy an existing image.

Parameters:
Image : Image to delete

CSFML_API unsigned int sfImage_GetHeight ( sfImage * Image )

Return the height of the image.

Parameters:
Image : Image to read
Returns:
Height in pixels

CSFML_API sfColor sfImage_GetPixel | ( | sfImage * | Image,
 |  | unsigned int | X,
 |  | unsigned int | Y
 | ) |  |

Get a pixel from an image.

Parameters:
Image | : Image to read
X | : X coordinate of pixel in the image
Y | : Y coordinate of pixel in the image
Returns:
Color of pixel (x, y)

CSFML_API const sfUint8* sfImage_GetPixelsPtr ( sfImage * Image )

Get a read-only pointer to the array of pixels of an image (8 bits integers RGBA) Array size is sfImage_GetWidth() x sfImage_GetHeight() x 4 This pointer becomes invalid if you reload or resize the image.

Parameters:
Image : Image to read
Returns:
Pointer to the array of pixels

CSFML_API unsigned int sfImage_GetWidth ( sfImage * Image )

Return the width of the image.

Parameters:
Image : Image to read
Returns:
Width in pixels

CSFML_API sfBool sfImage_IsSmooth ( sfImage * Image )

Tells whether the smoothing filter is enabled or not on an image.

Parameters:
Image : Image to read
Returns:
sfTrue if the smoothing filter is enabled

CSFML_API sfBool sfImage_SaveToFile | ( | sfImage * | Image,
 |  | const char * | Filename
 | ) |  |

Save the content of an image to a file.

Parameters:
Image | : Image to save
Filename | : Path of the file to save (overwritten if already exist)
Returns:
sfTrue if saving was successful

CSFML_API void sfImage_SetPixel | ( | sfImage * | Image,
 |  | unsigned int | X,
 |  | unsigned int | Y,
 |  | sfColor | Color
 | ) |  |

Change the color of a pixel of an image Don't forget to call Update when you end modifying pixels.

Parameters:
Image | : Image to modify
X | : X coordinate of pixel in the image
Y | : Y coordinate of pixel in the image
Col | : New color for pixel (X, Y)

CSFML_API void sfImage_SetSmooth | ( | sfImage * | Image,
 |  | sfBool | Smooth
 | ) |  |

Enable or disable image smooth filter.

Parameters:
Image | : Image to modify
Smooth | : sfTrue to enable smoothing filter, false to disable it


Input.h File Reference

#include <SFML/Config.h>
#include <SFML/Window/Event.h>
#include <SFML/Window/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfBool | sfInput_IsKeyDown (sfInput *Input, sfKeyCode KeyCode)
Get the state of a key.
CSFML_API sfBool | sfInput_IsMouseButtonDown (sfInput *Input, sfMouseButton Button)
Get the state of a mouse button.
CSFML_API sfBool | sfInput_IsJoystickButtonDown (sfInput *Input, unsigned int JoyId, unsigned int Button)
Get the state of a joystick button.
CSFML_API int | sfInput_GetMouseX (sfInput *Input)
Get the mouse X position.
CSFML_API int | sfInput_GetMouseY (sfInput *Input)
Get the mouse Y position.
CSFML_API float | sfInput_GetJoystickAxis (sfInput *Input, unsigned int JoyId, sfJoyAxis Axis)
Get the joystick position on a given axis.

Function Documentation

CSFML_API float sfInput_GetJoystickAxis | ( | sfInput * | Input,
 |  | unsigned int | JoyId,
 |  | sfJoyAxis | Axis
 | ) |  |

Get the joystick position on a given axis.

Parameters:
Input | : Input object
JoyId | : Identifier of the joystick to check (0 or 1)
Axis | : Identifier of the axis to read
Returns:
Current joystick position, in the range [-100, 100]

CSFML_API int sfInput_GetMouseX ( sfInput * Input )

Get the mouse X position.

Parameters:
Input : Input object
Returns:
Current mouse left position, relative to owner window

CSFML_API int sfInput_GetMouseY ( sfInput * Input )

Get the mouse Y position.

Parameters:
Input : Input object
Returns:
Current mouse top position, relative to owner window

CSFML_API sfBool sfInput_IsJoystickButtonDown | ( | sfInput * | Input,
 |  | unsigned int | JoyId,
 |  | unsigned int | Button
 | ) |  |

Get the state of a joystick button.

Parameters:
Input | : Input object
JoyId | : Identifier of the joystick to check (0 or 1)
Button | : Button to check
Returns:
sfTrue if button is down, sfFalse if button is up

CSFML_API sfBool sfInput_IsKeyDown | ( | sfInput * | Input,
 |  | sfKeyCode | KeyCode
 | ) |  |

Get the state of a key.

Parameters:
Input | : Input object
KeyCode | : Key to check
Returns:
sfTrue if key is down, sfFalse if key is up

CSFML_API sfBool sfInput_IsMouseButtonDown | ( | sfInput * | Input,
 |  | sfMouseButton | Button
 | ) |  |

Get the state of a mouse button.

Parameters:
Input | : Input object
Button | : Button to check
Returns:
sfTrue if button is down, sfFalse if button is up


IPAddress.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Data Structures

struct | sfIPAddress
sfIPAddress provides easy manipulation of IP v4 addresses More...

Functions

CSFML_API sfIPAddress | sfIPAddress_FromString (const char *String)
Construct an address from a string.
CSFML_API sfIPAddress | sfIPAddress_FromBytes (sfUint8 Byte0, sfUint8 Byte1, sfUint8 Byte2, sfUint8 Byte3)
Construct an address from 4 bytes.
CSFML_API sfIPAddress | sfIPAddress_FromInteger (sfUint32 Address)
Construct the address from a 32-bits integer.
CSFML_API sfBool | sfIPAddress_IsValid (sfIPAddress Address)
Tell if an address is a valid one.
CSFML_API void | sfIPAddress_ToString (sfIPAddress Address, char *String)
Get a string representation of an address.
CSFML_API sfUint32 | sfIPAddress_ToInteger (sfIPAddress Address)
Get an integer representation of the address.
CSFML_API sfIPAddress | sfIPAddress_GetLocalAddress ()
Get the computer's local IP address (from the LAN point of view).
CSFML_API sfIPAddress | sfIPAddress_GetPublicAddress (float Timeout)
Get the computer's public IP address (from the web point of view).
CSFML_API sfIPAddress | sfIPAddress_LocalHost ()
Get the computer's loopback address.

Function Documentation

CSFML_API sfIPAddress sfIPAddress_FromBytes | ( | sfUint8 | Byte0,
 |  | sfUint8 | Byte1,
 |  | sfUint8 | Byte2,
 |  | sfUint8 | Byte3
 | ) |  |

Construct an address from 4 bytes.

Parameters:
Byte0 | : First byte of the address
Byte1 | : Second byte of the address
Byte2 | : Third byte of the address
Byte3 | : Fourth byte of the address
Returns:
Resulting address

CSFML_API sfIPAddress sfIPAddress_FromInteger ( sfUint32 Address )

Construct the address from a 32-bits integer.

Parameters:
Address : 4 bytes of the address packed into a 32-bits integer

CSFML_API sfIPAddress sfIPAddress_FromString ( const char * String )

Construct an address from a string.

Parameters:
String : IP address ("xxx.xxx.xxx.xxx") or network name
Returns:
Resulting address

CSFML_API sfIPAddress sfIPAddress_GetLocalAddress ( )

Get the computer's local IP address (from the LAN point of view).

Returns:
Local IP address

CSFML_API sfIPAddress sfIPAddress_GetPublicAddress ( float Timeout )

Get the computer's public IP address (from the web point of view).

The only way to get a public address is to ask it to a distant website ; as a consequence, this function may be very slow -- use it as few as possible !

Parameters:
Timeout : Maximum time to wait, in seconds (use 0 for no timeout)
Returns:
Public IP address

CSFML_API sfBool sfIPAddress_IsValid ( sfIPAddress Address )

Tell if an address is a valid one.

Parameters:
Address : Address to check
Returns:
sfTrue if address has a valid syntax

CSFML_API sfIPAddress sfIPAddress_LocalHost ( )

Get the computer's loopback address.

Returns:
Local host IP address (127.0.0.1, or "localhost")

CSFML_API sfUint32 sfIPAddress_ToInteger ( sfIPAddress Address )

Get an integer representation of the address.

Parameters:
Address : Address to convert
Returns:
32-bits integer containing the 4 bytes of the address, in system endianness

CSFML_API void sfIPAddress_ToString | ( | sfIPAddress | Address,
 |  | char * | String
 | ) |  |

Get a string representation of an address.

Parameters:
Address | : Address to convert
String | : Char array to fill (size must be >= 16)


Listener.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Functions

CSFML_API void | sfListener_SetGlobalVolume (float Volume)
Change the global volume of all the sounds.
CSFML_API float | sfListener_GetGlobalVolume ()
Get the current value of the global volume of all the sounds.
CSFML_API void | sfListener_SetPosition (float PosX, float PosY, float PosZ)
Change the position of the listener.
CSFML_API void | sfListener_GetPosition (float *PosX, float *PosY, float *PosZ)
Get the current position of the listener.
CSFML_API void | sfListener_SetTarget (float TargetX, float TargetY, float TargetZ)
Change the orientation of the listener (the point he must look at).
CSFML_API void | sfListener_GetTarget (float *TargetX, float *TargetY, float *TargetZ)
Get the current orientation of the listener (the point he's looking at).

Function Documentation

CSFML_API float sfListener_GetGlobalVolume ( )

Get the current value of the global volume of all the sounds.

Returns:
Current global volume, in the range [0, 100]

CSFML_API void sfListener_GetPosition | ( | float * | PosX,
 |  | float * | PosY,
 |  | float * | PosZ
 | ) |  |

Get the current position of the listener.

Parameters:
PosX | : X position of the listener in the world
PosY | : Y position of the listener in the world
PosZ | : Z position of the listener in the world

CSFML_API void sfListener_GetTarget | ( | float * | TargetX,
 |  | float * | TargetY,
 |  | float * | TargetZ
 | ) |  |

Get the current orientation of the listener (the point he's looking at).

Parameters:
TargetX | : X position of the point the listener is looking at
TargetY | : X position of the point the listener is looking at
TargetZ | : X position of the point the listener is looking at

CSFML_API void sfListener_SetGlobalVolume ( float Volume )

Change the global volume of all the sounds.

Parameters:
Volume : New global volume, in the range [0, 100]

CSFML_API void sfListener_SetPosition | ( | float | PosX,
 |  | float | PosY,
 |  | float | PosZ
 | ) |  |

Change the position of the listener.

Parameters:
PosX | : X position of the listener in the world
PosY | : Y position of the listener in the world
PosZ | : Z position of the listener in the world

CSFML_API void sfListener_SetTarget | ( | float | TargetX,
 |  | float | TargetY,
 |  | float | TargetZ
 | ) |  |

Change the orientation of the listener (the point he must look at).

Parameters:
TargetX | : X position of the point the listener must look at
TargetY | : X position of the point the listener must look at
TargetZ | : X position of the point the listener must look at


Music.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/SoundStatus.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfMusic * | sfMusic_CreateFromFile (const char *Filename)
Create a new music and load it from a file.
CSFML_API sfMusic * | sfMusic_CreateFromMemory (const char *Data, size_t SizeInBytes)
Create a new music and load it from a file in memory.
CSFML_API void | sfMusic_Destroy (sfMusic *Music)
Destroy an existing music.
CSFML_API void | sfMusic_SetLoop (sfMusic *Music, sfBool Loop)
Set a music loop state.
CSFML_API sfBool | sfMusic_GetLoop (sfMusic *Music)
Tell whether or not a music is looping.
CSFML_API float | sfMusic_GetDuration (sfMusic *Music)
Get a music duration.
CSFML_API void | sfMusic_Play (sfMusic *Music)
Start playing a music.
CSFML_API void | sfMusic_Pause (sfMusic *Music)
Pause a music.
CSFML_API void | sfMusic_Stop (sfMusic *Music)
Stop playing a music.
CSFML_API unsigned int | sfMusic_GetChannelsCount (sfMusic *Music)
Return the number of channels of a music (1 = mono, 2 = stereo).
CSFML_API unsigned int | sfMusic_GetSampleRate (sfMusic *Music)
Get the stream sample rate of a music.
CSFML_API sfSoundStatus | sfMusic_GetStatus (sfMusic *Music)
Get the status of a music (stopped, paused, playing).
CSFML_API float | sfMusic_GetPlayingOffset (sfMusic *Music)
Get the current playing position of a music.
CSFML_API void | sfMusic_SetPitch (sfMusic *Music, float Pitch)
Set the pitch of a music.
CSFML_API void | sfMusic_SetVolume (sfMusic *Music, float Volume)
Set the volume of a music.
CSFML_API void | sfMusic_SetPosition (sfMusic *Music, float X, float Y, float Z)
Set the position of a music.
CSFML_API void | sfMusic_SetRelativeToListener (sfMusic *Music, sfBool Relative)
Make the music's position relative to the listener's position, or absolute.
CSFML_API void | sfMusic_SetMinDistance (sfMusic *Music, float MinDistance)
Set the minimum distance - closer than this distance, the listener will hear the music at its maximum volume.
CSFML_API void | sfMusic_SetAttenuation (sfMusic *Music, float Attenuation)
Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.
CSFML_API float | sfMusic_GetPitch (sfMusic *Music)
Get the pitch of a music.
CSFML_API float | sfMusic_GetVolume (sfMusic *Music)
Get the volume of a music.
CSFML_API void | sfMusic_GetPosition (sfMusic *Music, float *X, float *Y, float *Z)
Get the position of a music.
CSFML_API sfBool | sfMusic_IsRelativeToListener (sfMusic *Music)
Tell if the music's position is relative to the listener's position, or if it's absolute.
CSFML_API float | sfMusic_GetMinDistance (sfMusic *Music)
Get the minimum distance of a music.
CSFML_API float | sfMusic_GetAttenuation (sfMusic *Music)
Get the attenuation factor of a music.

Function Documentation

CSFML_API sfMusic* sfMusic_CreateFromFile ( const char * Filename )

Create a new music and load it from a file.

Parameters:
Filename : Path of the music file to open
Returns:
A new sfMusic object (NULL if failed)

CSFML_API sfMusic* sfMusic_CreateFromMemory | ( | const char * | Data,
 |  | size_t | SizeInBytes
 | ) |  |

Create a new music and load it from a file in memory.

Parameters:
Data | : Pointer to the file data in memory
SizeInBytes | : Size of the data to load, in bytes
Returns:
A new sfMusic object (NULL if failed)

CSFML_API void sfMusic_Destroy ( sfMusic * Music )

Destroy an existing music.

Parameters:
Music : Music to delete

CSFML_API float sfMusic_GetAttenuation ( sfMusic * Music )

Get the attenuation factor of a music.

Parameters:
Music : Music to get the attenuation factor from
Returns:
Attenuation factor for the a music

CSFML_API unsigned int sfMusic_GetChannelsCount ( sfMusic * Music )

Return the number of channels of a music (1 = mono, 2 = stereo).

Parameters:
Music : Music to get the channels count from
Returns:
Number of channels

CSFML_API float sfMusic_GetDuration ( sfMusic * Music )

Get a music duration.

Parameters:
Music : Music to get the duration from
Returns:
Music duration, in seconds

CSFML_API sfBool sfMusic_GetLoop ( sfMusic * Music )

Tell whether or not a music is looping.

Parameters:
Music : Music to get the loop state from
Returns:
sfTrue if the music is looping, sfFalse otherwise

CSFML_API float sfMusic_GetMinDistance ( sfMusic * Music )

Get the minimum distance of a music.

Parameters:
Music : Music to get the minimum distance from
Returns:
Minimum distance for the music

CSFML_API float sfMusic_GetPitch ( sfMusic * Music )

Get the pitch of a music.

Parameters:
Music : Music to get the pitch from
Returns:
Pitch value

CSFML_API float sfMusic_GetPlayingOffset ( sfMusic * Music )

Get the current playing position of a music.

Parameters:
Music : Music to get the position from
Returns:
Current playing position, expressed in seconds

CSFML_API void sfMusic_GetPosition | ( | sfMusic * | Music,
 |  | float * | X,
 |  | float * | Y,
 |  | float * | Z
 | ) |  |

Get the position of a music.

Parameters:
Music | : Music to get the position from
X | : X position of the sound in the world
Y | : Y position of the sound in the world
Z | : Z position of the sound in the world

CSFML_API unsigned int sfMusic_GetSampleRate ( sfMusic * Music )

Get the stream sample rate of a music.

Parameters:
Music : Music to get the sample rate from
Returns:
Stream frequency (number of samples per second)

CSFML_API sfSoundStatus sfMusic_GetStatus ( sfMusic * Music )

Get the status of a music (stopped, paused, playing).

Parameters:
Music : Music to get the status from
Returns:
Current status of the sound

CSFML_API float sfMusic_GetVolume ( sfMusic * Music )

Get the volume of a music.

Parameters:
Music : Music to get the volume from
Returns:
Volume value (in range [1, 100])

CSFML_API sfBool sfMusic_IsRelativeToListener ( sfMusic * Music )

Tell if the music's position is relative to the listener's position, or if it's absolute.

Parameters:
Music : Music to check
Returns:
sfTrue if the position is relative, sfFalse if it's absolute

CSFML_API void sfMusic_Pause ( sfMusic * Music )

Pause a music.

Parameters:
Music : Music to pause

CSFML_API void sfMusic_Play ( sfMusic * Music )

Start playing a music.

Parameters:
Music : Music to play

CSFML_API void sfMusic_SetAttenuation | ( | sfMusic * | Music,
 |  | float | Attenuation
 | ) |  |

Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.

The default attenuation factor 1.0

Parameters:
Sound | : Sound to modify
Attenuation | : New attenuation factor for the sound

CSFML_API void sfMusic_SetLoop | ( | sfMusic * | Music,
 |  | sfBool | Loop
 | ) |  |

Set a music loop state.

Parameters:
Music | : Music to set the loop state
Loop | : sfTrue to play in loop, sfFalse to play once

CSFML_API void sfMusic_SetMinDistance | ( | sfMusic * | Music,
 |  | float | MinDistance
 | ) |  |

Set the minimum distance - closer than this distance, the listener will hear the music at its maximum volume.

The default minimum distance is 1.0

Parameters:
Music | : Music to modify
MinDistance | : New minimum distance for the music

CSFML_API void sfMusic_SetPitch | ( | sfMusic * | Music,
 |  | float | Pitch
 | ) |  |

Set the pitch of a music.

Parameters:
Music | : Music to modify
Pitch | : New pitch

CSFML_API void sfMusic_SetPosition | ( | sfMusic * | Music,
 |  | float | X,
 |  | float | Y,
 |  | float | Z
 | ) |  |

Set the position of a music.

Parameters:
Music | : Music to modify
X | : X position of the sound in the world
Y | : Y position of the sound in the world
Z | : Z position of the sound in the world

CSFML_API void sfMusic_SetRelativeToListener | ( | sfMusic * | Music,
 |  | sfBool | Relative
 | ) |  |

Make the music's position relative to the listener's position, or absolute.

The default value is false (absolute)

Parameters:
Music | : Music to modify
Relative | : True to set the position relative, false to set it absolute

CSFML_API void sfMusic_SetVolume | ( | sfMusic * | Music,
 |  | float | Volume
 | ) |  |

Set the volume of a music.

Parameters:
Music | : Music to modify
Volume | : Volume (in range [0, 100])

CSFML_API void sfMusic_Stop ( sfMusic * Music )

Stop playing a music.

Parameters:
Music : Music to stop


Mutex.h File Reference

#include <SFML/Config.h>
#include <SFML/System/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfMutex * | sfMutex_Create ()
Create a new mutex.
CSFML_API void | sfMutex_Destroy (sfMutex *Mutex)
Destroy an existing mutex.
CSFML_API void | sfMutex_Lock (sfMutex *Mutex)
Lock a mutex.
CSFML_API void | sfMutex_Unlock (sfMutex *Mutex)
Unlock a mutex.

Function Documentation

CSFML_API sfMutex* sfMutex_Create ( )

Create a new mutex.

Returns:
A new sfMutex object

CSFML_API void sfMutex_Destroy ( sfMutex * Mutex )

Destroy an existing mutex.

Parameters:
Mutex : Mutex to delete

CSFML_API void sfMutex_Lock ( sfMutex * Mutex )

Lock a mutex.

Parameters:
Mutex : Mutex to lock

CSFML_API void sfMutex_Unlock ( sfMutex * Mutex )

Unlock a mutex.

Parameters:
Mutex : Mutex to unlock


Network.h File Reference

#include <SFML/System.h>
#include <SFML/Network/IPAddress.h>
#include <SFML/Network/Packet.h>
#include <SFML/Network/Selector.h>
#include <SFML/Network/SocketTCP.h>
#include <SFML/Network/SocketUDP.h>

Go to the source code of this file.


OpenGL.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.


Packet.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfPacket * | sfPacket_Create ()
Create a new empty packet.
CSFML_API void | sfPacket_Destroy (sfPacket *Packet)
Destroy an existing packet.
CSFML_API void | sfPacket_Append (sfPacket *Packet, void *Data, size_t SizeInBytes)
Append data to the end of a packet.
CSFML_API void | sfPacket_Clear (sfPacket *Packet)
Clear all the data of a packet.
CSFML_API const char * | sfPacket_GetData (sfPacket *Packet)
Get a pointer to the data contained in a packet Warning : the returned pointer may be invalid after you append data to the packet.
CSFML_API size_t | sfPacket_GetDataSize (sfPacket *Packet)
Get the size of the data contained in a packet.
CSFML_API sfBool | sfPacket_EndOfPacket (sfPacket *Packet)
Tell if the reading position has reached the end of the packet.
CSFML_API sfBool | sfPacket_CanRead (sfPacket *Packet)
Return the validity of packet.
CSFML_API sfBool | sfPacket_ReadBool (sfPacket *Packet)
Functions to extract data from a packet.
CSFML_API sfInt8 | sfPacket_ReadInt8 (sfPacket *Packet)
CSFML_API sfUint8 | sfPacket_ReadUint8 (sfPacket *Packet)
CSFML_API sfInt16 | sfPacket_ReadInt16 (sfPacket *Packet)
CSFML_API sfUint16 | sfPacket_ReadUint16 (sfPacket *Packet)
CSFML_API sfInt32 | sfPacket_ReadInt32 (sfPacket *Packet)
CSFML_API sfUint32 | sfPacket_ReadUint32 (sfPacket *Packet)
CSFML_API float | sfPacket_ReadFloat (sfPacket *Packet)
CSFML_API double | sfPacket_ReadDouble (sfPacket *Packet)
CSFML_API void | sfPacket_ReadString (sfPacket *Packet, char *String)
CSFML_API void | sfPacket_ReadWideString (sfPacket *Packet, wchar_t *String)
CSFML_API void | sfPacket_WriteBool (sfPacket *Packet, sfBool)
Functions to insert data into a packet.
CSFML_API void | sfPacket_WriteInt8 (sfPacket *Packet, sfInt8)
CSFML_API void | sfPacket_WriteUint8 (sfPacket *Packet, sfUint8)
CSFML_API void | sfPacket_WriteInt16 (sfPacket *Packet, sfInt16)
CSFML_API void | sfPacket_WriteUint16 (sfPacket *Packet, sfUint16)
CSFML_API void | sfPacket_WriteInt32 (sfPacket *Packet, sfInt32)
CSFML_API void | sfPacket_WriteUint32 (sfPacket *Packet, sfUint32)
CSFML_API void | sfPacket_WriteFloat (sfPacket *Packet, float)
CSFML_API void | sfPacket_WriteDouble (sfPacket *Packet, double)
CSFML_API void | sfPacket_WriteString (sfPacket *Packet, const char *String)
CSFML_API void | sfPacket_WriteWideString (sfPacket *Packet, const wchar_t *String)

Function Documentation

CSFML_API void sfPacket_Append | ( | sfPacket * | Packet,
 |  | void * | Data,
 |  | size_t | SizeInBytes
 | ) |  |

Append data to the end of a packet.

Parameters:
Packet | : Packet to fill
Data | : Pointer to the bytes to append
SizeInBytes | : Number of bytes to append

CSFML_API sfBool sfPacket_CanRead ( sfPacket * Packet )

Return the validity of packet.

Parameters:
Packet : Packet to check
Returns:
sfTrue if last data extraction from packet was successful

CSFML_API void sfPacket_Clear ( sfPacket * Packet )

Clear all the data of a packet.

Parameters:
Packet : Packet to clear

CSFML_API sfPacket* sfPacket_Create ( )

Create a new empty packet.

Returns:
A new sfPacket object

CSFML_API void sfPacket_Destroy ( sfPacket * Packet )

Destroy an existing packet.

Parameters:
Packet : Packet to delete

CSFML_API sfBool sfPacket_EndOfPacket ( sfPacket * Packet )

Tell if the reading position has reached the end of the packet.

Parameters:
Packet : Packet to check
Returns:
sfTrue if all data have been read into the packet

CSFML_API const char* sfPacket_GetData ( sfPacket * Packet )

Get a pointer to the data contained in a packet Warning : the returned pointer may be invalid after you append data to the packet.

Parameters:
Packet : Packet to get data from
Returns:
Pointer to the data

CSFML_API size_t sfPacket_GetDataSize ( sfPacket * Packet )

Get the size of the data contained in a packet.

Parameters:
Packet : Packet to get data size from
Returns:
Data size, in bytes

CSFML_API sfBool sfPacket_ReadBool ( sfPacket * Packet )

Functions to extract data from a packet.

Parameters:
Packet : Packet to read

CSFML_API double sfPacket_ReadDouble ( sfPacket * Packet )

CSFML_API float sfPacket_ReadFloat ( sfPacket * Packet )

CSFML_API sfInt16 sfPacket_ReadInt16 ( sfPacket * Packet )

CSFML_API sfInt32 sfPacket_ReadInt32 ( sfPacket * Packet )

CSFML_API sfInt8 sfPacket_ReadInt8 ( sfPacket * Packet )

CSFML_API void sfPacket_ReadString | ( | sfPacket * | Packet,
 |  | char * | String
 | ) |  |

CSFML_API sfUint16 sfPacket_ReadUint16 ( sfPacket * Packet )

CSFML_API sfUint32 sfPacket_ReadUint32 ( sfPacket * Packet )

CSFML_API sfUint8 sfPacket_ReadUint8 ( sfPacket * Packet )

CSFML_API void sfPacket_ReadWideString | ( | sfPacket * | Packet,
 |  | wchar_t * | String
 | ) |  |

CSFML_API void sfPacket_WriteBool | ( | sfPacket * | Packet,
 |  | sfBool |
 | ) |  |

Functions to insert data into a packet.

Parameters:
Packet : Packet to write

CSFML_API void sfPacket_WriteDouble | ( | sfPacket * | Packet,
 |  | double |
 | ) |  |

CSFML_API void sfPacket_WriteFloat | ( | sfPacket * | Packet,
 |  | float |
 | ) |  |

CSFML_API void sfPacket_WriteInt16 | ( | sfPacket * | Packet,
 |  | sfInt16 |
 | ) |  |

CSFML_API void sfPacket_WriteInt32 | ( | sfPacket * | Packet,
 |  | sfInt32 |
 | ) |  |

CSFML_API void sfPacket_WriteInt8 | ( | sfPacket * | Packet,
 |  | sfInt8 |
 | ) |  |

CSFML_API void sfPacket_WriteString | ( | sfPacket * | Packet,
 |  | const char * | String
 | ) |  |

CSFML_API void sfPacket_WriteUint16 | ( | sfPacket * | Packet,
 |  | sfUint16 |
 | ) |  |

CSFML_API void sfPacket_WriteUint32 | ( | sfPacket * | Packet,
 |  | sfUint32 |
 | ) |  |

CSFML_API void sfPacket_WriteUint8 | ( | sfPacket * | Packet,
 |  | sfUint8 |
 | ) |  |

CSFML_API void sfPacket_WriteWideString | ( | sfPacket * | Packet,
 |  | const wchar_t * | String
 | ) |  |


PostFX.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfPostFX * | sfPostFX_CreateFromFile (const char *Filename)
Create a new post-fx from a file.
CSFML_API sfPostFX * | sfPostFX_CreateFromMemory (const char *Effect)
Create a new post-fx from an effect source code.
CSFML_API void | sfPostFX_Destroy (sfPostFX *PostFX)
Destroy an existing post-fx.
CSFML_API void | sfPostFX_SetParameter1 (sfPostFX *PostFX, const char *Name, float X)
Change a parameter of a post-fx (1 float).
CSFML_API void | sfPostFX_SetParameter2 (sfPostFX *PostFX, const char *Name, float X, float Y)
Change a parameter of a post-fx (2 floats).
CSFML_API void | sfPostFX_SetParameter3 (sfPostFX *PostFX, const char *Name, float X, float Y, float Z)
Change a parameter of a post-fx (3 floats).
CSFML_API void | sfPostFX_SetParameter4 (sfPostFX *PostFX, const char *Name, float X, float Y, float Z, float W)
Change a parameter of a post-fx (4 floats).
CSFML_API void | sfPostFX_SetTexture (sfPostFX *PostFX, const char *Name, sfImage *Texture)
Set a texture parameter in a post-fx.
CSFML_API sfBool | sfPostFX_CanUsePostFX ()
Tell whether or not the system supports post-effects.

Function Documentation

CSFML_API sfBool sfPostFX_CanUsePostFX ( )

Tell whether or not the system supports post-effects.

Returns:
sfTrue if the system can use post-effects

CSFML_API sfPostFX* sfPostFX_CreateFromFile ( const char * Filename )

Create a new post-fx from a file.

Parameters:
Filename : File to load
Returns:
A new sfPostFX object, or NULL if it failed

CSFML_API sfPostFX* sfPostFX_CreateFromMemory ( const char * Effect )

Create a new post-fx from an effect source code.

Parameters:
Effect : Source code of the effect
Returns:
A new sfPostFX object, or NULL if it failed

CSFML_API void sfPostFX_Destroy ( sfPostFX * PostFX )

Destroy an existing post-fx.

Parameters:
PostFX : PostFX to delete

CSFML_API void sfPostFX_SetParameter1 | ( | sfPostFX * | PostFX,
 |  | const char * | Name,
 |  | float | X
 | ) |  |

Change a parameter of a post-fx (1 float).

Parameters:
PostFX | : Post-effect to modify
Name | : Parameter name in the effect
X | : Value to assign

CSFML_API void sfPostFX_SetParameter2 | ( | sfPostFX * | PostFX,
 |  | const char * | Name,
 |  | float | X,
 |  | float | Y
 | ) |  |

Change a parameter of a post-fx (2 floats).

Parameters:
PostFX | : Post-effect to modify
Name | : Parameter name in the effect
X,Y | : Values to assign

CSFML_API void sfPostFX_SetParameter3 | ( | sfPostFX * | PostFX,
 |  | const char * | Name,
 |  | float | X,
 |  | float | Y,
 |  | float | Z
 | ) |  |

Change a parameter of a post-fx (3 floats).

Parameters:
PostFX | : Post-effect to modify
Name | : Parameter name in the effect
X,Y,Z | : Values to assign

CSFML_API void sfPostFX_SetParameter4 | ( | sfPostFX * | PostFX,
 |  | const char * | Name,
 |  | float | X,
 |  | float | Y,
 |  | float | Z,
 |  | float | W
 | ) |  |

Change a parameter of a post-fx (4 floats).

Parameters:
PostFX | : Post-effect to modify
Name | : Parameter name in the effect
X,Y,Z,W | : Values to assign

CSFML_API void sfPostFX_SetTexture | ( | sfPostFX * | PostFX,
 |  | const char * | Name,
 |  | sfImage * | Texture
 | ) |  |

Set a texture parameter in a post-fx.

Parameters:
PostFX | : Post-effect to modify
Name | : Texture name in the effect
Texture | : Image to set (pass NULL to use content of current framebuffer)


Randomizer.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Functions

CSFML_API void | sfRandom_SetSeed (unsigned int Seed)
Set the seed for the random numbers generator.
CSFML_API unsigned int | sfRandom_GetSeed ()
Get the seed used to generate random numbers the generator.
CSFML_API float | sfRandom_Float (float Begin, float End)
Get a random float number in a given range.
CSFML_API int | sfRandom_Int (int Begin, int End)
Get a random integer number in a given range.

Function Documentation

CSFML_API float sfRandom_Float | ( | float | Begin,
 |  | float | End
 | ) |  |

Get a random float number in a given range.

Returns:
Start : Start of the range

End : End of the range

Random number in [Begin, End]

CSFML_API unsigned int sfRandom_GetSeed ( )

Get the seed used to generate random numbers the generator.

Returns:
Current seed

CSFML_API int sfRandom_Int | ( | int | Begin,
 |  | int | End
 | ) |  |

Get a random integer number in a given range.

Returns:
Start : Start of the range

End : End of the range

Random number in [Begin, End]

CSFML_API void sfRandom_SetSeed ( unsigned int Seed )

Set the seed for the random numbers generator.

Using a known seed allows you to reproduce the same sequence of random numbers

Parameters:
Seed : Number to use as the seed


Rect.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Data Structures

struct | sfFloatRect
sfFloatRect and sfIntRect are utility classes for manipulating rectangles. More...
struct | sfIntRect

Functions

CSFML_API void | sfFloatRect_Offset (sfFloatRect *Rect, float OffsetX, float OffsetY)
Move a rectangle by the given offset.
CSFML_API void | sfIntRect_Offset (sfIntRect *Rect, int OffsetX, int OffsetY)
CSFML_API sfBool | sfFloatRect_Contains (sfFloatRect *Rect, float X, float Y)
Check if a point is inside a rectangle's area.
CSFML_API sfBool | sfIntRect_Contains (sfIntRect *Rect, int X, int Y)
CSFML_API sfBool | sfFloatRect_Intersects (sfFloatRect *Rect1, sfFloatRect *Rect2, sfFloatRect *OverlappingRect)
Check intersection between two rectangles.
CSFML_API sfBool | sfIntRect_Intersects (sfIntRect *Rect1, sfIntRect *Rect2, sfIntRect *OverlappingRect)

Function Documentation

CSFML_API sfBool sfFloatRect_Contains | ( | sfFloatRect * | Rect,
 |  | float | X,
 |  | float | Y
 | ) |  |

Check if a point is inside a rectangle's area.

Parameters:
Rect | : Rectangle to test
X | : X coordinate of the point to test
Y | : Y coordinate of the point to test
Returns:
sfTrue if the point is inside

CSFML_API sfBool sfFloatRect_Intersects | ( | sfFloatRect * | Rect1,
 |  | sfFloatRect * | Rect2,
 |  | sfFloatRect * | OverlappingRect
 | ) |  |

Check intersection between two rectangles.

Parameters:
Rect1 | : First rectangle to test
Rect2 | : Second rectangle to test
OverlappingRect | : Rectangle to be filled with overlapping rect (can be NULL)
Returns:
sfTrue if rectangles overlap

CSFML_API void sfFloatRect_Offset | ( | sfFloatRect * | Rect,
 |  | float | OffsetX,
 |  | float | OffsetY
 | ) |  |

Move a rectangle by the given offset.

Parameters:
Rect | : Rectangle to move
OffsetX | : Horizontal offset
OffsetY | : Vertical offset

CSFML_API sfBool sfIntRect_Contains | ( | sfIntRect * | Rect,
 |  | int | X,
 |  | int | Y
 | ) |  |

CSFML_API sfBool sfIntRect_Intersects | ( | sfIntRect * | Rect1,
 |  | sfIntRect * | Rect2,
 |  | sfIntRect * | OverlappingRect
 | ) |  |

CSFML_API void sfIntRect_Offset | ( | sfIntRect * | Rect,
 |  | int | OffsetX,
 |  | int | OffsetY
 | ) |  |


RenderWindow.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/Types.h>
#include <SFML/Window/Event.h>
#include <SFML/Window/VideoMode.h>
#include <SFML/Window/WindowHandle.h>
#include <SFML/Window/Window.h>

Go to the source code of this file.

Functions

CSFML_API sfRenderWindow * | sfRenderWindow_Create (sfVideoMode Mode, const char *Title, unsigned long Style, sfWindowSettings Params)
Construct a new renderwindow.
CSFML_API sfRenderWindow * | sfRenderWindow_CreateFromHandle (sfWindowHandle Handle, sfWindowSettings Params)
Construct a renderwindow from an existing control.
CSFML_API void | sfRenderWindow_Destroy (sfRenderWindow *RenderWindow)
Destroy an existing renderwindow.
CSFML_API void | sfRenderWindow_Close (sfRenderWindow *RenderWindow)
Close a renderwindow (but doesn't destroy the internal data).
CSFML_API sfBool | sfRenderWindow_IsOpened (sfRenderWindow *RenderWindow)
Tell whether or not a renderwindow is opened.
CSFML_API unsigned int | sfRenderWindow_GetWidth (sfRenderWindow *RenderWindow)
Get the width of the rendering region of a window.
CSFML_API unsigned int | sfRenderWindow_GetHeight (sfRenderWindow *RenderWindow)
Get the height of the rendering region of a window.
CSFML_API sfWindowSettings | sfRenderWindow_GetSettings (sfRenderWindow *RenderWindow)
Get the creation settings of a window.
CSFML_API sfBool | sfRenderWindow_GetEvent (sfRenderWindow *RenderWindow, sfEvent *Event)
Get the event on top of events stack of a window, if any, and pop it.
CSFML_API void | sfRenderWindow_UseVerticalSync (sfRenderWindow *RenderWindow, sfBool Enabled)
Enable / disable vertical synchronization on a window.
CSFML_API void | sfRenderWindow_ShowMouseCursor (sfRenderWindow *RenderWindow, sfBool Show)
Show or hide the mouse cursor on a window.
CSFML_API void | sfRenderWindow_SetCursorPosition (sfRenderWindow *RenderWindow, unsigned int Left, unsigned int Top)
Change the position of the mouse cursor on a window.
CSFML_API void | sfRenderWindow_SetPosition (sfRenderWindow *RenderWindow, int Left, int Top)
Change the position of a window on screen.
CSFML_API void | sfRenderWindow_SetSize (sfRenderWindow *RenderWindow, unsigned int Width, unsigned int Height)
Change the size of the rendering region of a window.
CSFML_API void | sfRenderWindow_Show (sfRenderWindow *RenderWindow, sfBool State)
Show or hide a window.
CSFML_API void | sfRenderWindow_EnableKeyRepeat (sfRenderWindow *RenderWindow, sfBool Enabled)
Enable or disable automatic key-repeat for keydown events.
CSFML_API void | sfRenderWindow_SetIcon (sfRenderWindow *RenderWindow, unsigned int Width, unsigned int Height, sfUint8 *Pixels)
Change the window's icon.
CSFML_API sfBool | sfRenderWindow_SetActive (sfRenderWindow *RenderWindow, sfBool Active)
Activate or deactivate a window as the current target for rendering.
CSFML_API void | sfRenderWindow_Display (sfRenderWindow *RenderWindow)
Display a window on screen.
CSFML_API sfInput * | sfRenderWindow_GetInput (sfRenderWindow *RenderWindow)
Get the input manager of a window.
CSFML_API void | sfRenderWindow_SetFramerateLimit (sfRenderWindow *RenderWindow, unsigned int Limit)
Limit the framerate to a maximum fixed frequency for a window.
CSFML_API float | sfRenderWindow_GetFrameTime (sfRenderWindow *RenderWindow)
Get time elapsed since last frame of a window.
CSFML_API void | sfRenderWindow_SetJoystickThreshold (sfRenderWindow *RenderWindow, float Threshold)
Change the joystick threshold, ie.
CSFML_API void | sfRenderWindow_DrawPostFX (sfRenderWindow *RenderWindow, sfPostFX *PostFX)
Draw something on a renderwindow.
CSFML_API void | sfRenderWindow_DrawSprite (sfRenderWindow *RenderWindow, sfSprite *Sprite)
CSFML_API void | sfRenderWindow_DrawShape (sfRenderWindow *RenderWindow, sfShape *Shape)
CSFML_API void | sfRenderWindow_DrawString (sfRenderWindow *RenderWindow, sfString *String)
CSFML_API sfImage * | sfRenderWindow_Capture (sfRenderWindow *RenderWindow)
Save the content of a renderwindow to an image.
CSFML_API void | sfRenderWindow_Clear (sfRenderWindow *RenderWindow, sfColor Color)
Clear the screen with the given color.
CSFML_API void | sfRenderWindow_SetView (sfRenderWindow *RenderWindow, sfView *View)
Change the current active view of a renderwindow.
CSFML_API const sfView * | sfRenderWindow_GetView (sfRenderWindow *RenderWindow)
Get the current active view of a renderwindow.
CSFML_API sfView * | sfRenderWindow_GetDefaultView (sfRenderWindow *RenderWindow)
Get the default view of a renderwindow.
CSFML_API void | sfRenderWindow_ConvertCoords (sfRenderWindow *RenderWindow, unsigned int WindowX, unsigned int WindowY, float *ViewX, float *ViewY, sfView *TargetView)
Convert a point in window coordinates into view coordinates.
CSFML_API void | sfRenderWindow_PreserveOpenGLStates (sfRenderWindow *RenderWindow, sfBool Preserve)
Tell SFML to preserve external OpenGL states, at the expense of more CPU charge.

Function Documentation

CSFML_API sfImage* sfRenderWindow_Capture ( sfRenderWindow * RenderWindow )

Save the content of a renderwindow to an image.

Parameters:
RenderWindow : Renderwindow to capture
Returns:
Image instance containing the contents of the screen

CSFML_API void sfRenderWindow_Clear | ( | sfRenderWindow * | RenderWindow,
 |  | sfColor | Color
 | ) |  |

Clear the screen with the given color.

Parameters:
RenderWindow | : Renderwindow to modify
Color | : Fill color

CSFML_API void sfRenderWindow_Close ( sfRenderWindow * RenderWindow )

Close a renderwindow (but doesn't destroy the internal data).

Parameters:
RenderWindow : Renderwindow to close

CSFML_API void sfRenderWindow_ConvertCoords | ( | sfRenderWindow * | RenderWindow,
 |  | unsigned int | WindowX,
 |  | unsigned int | WindowY,
 |  | float * | ViewX,
 |  | float * | ViewY,
 |  | sfView * | TargetView
 | ) |  |

Convert a point in window coordinates into view coordinates.

Parameters:
RenderWindow | : Target Renderwindow
WindowX | : X coordinate of the point to convert, relative to the window
WindowY | : Y coordinate of the point to convert, relative to the window
ViewX | : Pointer to fill with the X coordinate of the converted point
ViewY | : Pointer to fill with the Y coordinate of the converted point
TargetView | : Target view to convert the point to (pass NULL to use the current view)

CSFML_API sfRenderWindow* sfRenderWindow_Create | ( | sfVideoMode | Mode,
 |  | const char * | Title,
 |  | unsigned long | Style,
 |  | sfWindowSettings | Params
 | ) |  |

Construct a new renderwindow.

Parameters:
Mode | : Video mode to use
Title | : Title of the window
Style | : Window style
Params | : Creation settings

CSFML_API sfRenderWindow* sfRenderWindow_CreateFromHandle | ( | sfWindowHandle | Handle,
 |  | sfWindowSettings | Params
 | ) |  |

Construct a renderwindow from an existing control.

Parameters:
Handle | : Platform-specific handle of the control
Params | : Creation settings

CSFML_API void sfRenderWindow_Destroy ( sfRenderWindow * RenderWindow )

Destroy an existing renderwindow.

Parameters:
RenderWindow : Renderwindow to destroy

CSFML_API void sfRenderWindow_Display ( sfRenderWindow * RenderWindow )

Display a window on screen.

Parameters:
RenderWindow : Renderwindow object

CSFML_API void sfRenderWindow_DrawPostFX | ( | sfRenderWindow * | RenderWindow,
 |  | sfPostFX * | PostFX
 | ) |  |

Draw something on a renderwindow.

Parameters:
RenderWindow | : Renderwindow to draw in
PostFX | / Sprite / String / shape : Object to draw

CSFML_API void sfRenderWindow_DrawShape | ( | sfRenderWindow * | RenderWindow,
 |  | sfShape * | Shape
 | ) |  |

CSFML_API void sfRenderWindow_DrawSprite | ( | sfRenderWindow * | RenderWindow,
 |  | sfSprite * | Sprite
 | ) |  |

CSFML_API void sfRenderWindow_DrawString | ( | sfRenderWindow * | RenderWindow,
 |  | sfString * | String
 | ) |  |

CSFML_API void sfRenderWindow_EnableKeyRepeat | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | Enabled
 | ) |  |

Enable or disable automatic key-repeat for keydown events.

Automatic key-repeat is enabled by default

Parameters:
RenderWindow | : Renderwindow object
Enabled | : sfTrue to enable, sfFalse to disable

CSFML_API sfView* sfRenderWindow_GetDefaultView ( sfRenderWindow * RenderWindow )

Get the default view of a renderwindow.

Parameters:
RenderWindow : Renderwindow
Returns:
Default view of the render window

CSFML_API sfBool sfRenderWindow_GetEvent | ( | sfRenderWindow * | RenderWindow,
 |  | sfEvent * | Event
 | ) |  |

Get the event on top of events stack of a window, if any, and pop it.

Parameters:
RenderWindow | : Renderwindow object
Event | : Event to fill, if any
Returns:
sfTrue if an event was returned, sfFalse if events stack was empty

CSFML_API float sfRenderWindow_GetFrameTime ( sfRenderWindow * RenderWindow )

Get time elapsed since last frame of a window.

Parameters:
RenderWindow : Renderwindow object
Returns:
Time elapsed, in seconds

CSFML_API unsigned int sfRenderWindow_GetHeight ( sfRenderWindow * RenderWindow )

Get the height of the rendering region of a window.

Parameters:
RenderWindow : Renderwindow object
Returns:
Height in pixels

CSFML_API sfInput* sfRenderWindow_GetInput ( sfRenderWindow * RenderWindow )

Get the input manager of a window.

Parameters:
RenderWindow : Renderwindow object
Returns:
Reference to the input

CSFML_API sfWindowSettings sfRenderWindow_GetSettings ( sfRenderWindow * RenderWindow )

Get the creation settings of a window.

Parameters:
RenderWindow : Renderwindow object
Returns:
Settings used to create the window

CSFML_API const sfView* sfRenderWindow_GetView ( sfRenderWindow * RenderWindow )

Get the current active view of a renderwindow.

Parameters:
RenderWindow : Renderwindow
Returns:
Current active view

CSFML_API unsigned int sfRenderWindow_GetWidth ( sfRenderWindow * RenderWindow )

Get the width of the rendering region of a window.

Parameters:
RenderWindow : Renderwindow object
Returns:
Width in pixels

CSFML_API sfBool sfRenderWindow_IsOpened ( sfRenderWindow * RenderWindow )

Tell whether or not a renderwindow is opened.

Parameters:
RenderWindow : Renderwindow object

CSFML_API void sfRenderWindow_PreserveOpenGLStates | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | Preserve
 | ) |  |

Tell SFML to preserve external OpenGL states, at the expense of more CPU charge.

Use this function if you don't want SFML to mess up your own OpenGL states (if any). Don't enable state preservation if not needed, as it will allow SFML to do internal optimizations and improve performances. This parameter is false by default

Parameters:
RenderWindow | : Target Renderwindow
Preserve | : True to preserve OpenGL states, false to let SFML optimize

CSFML_API sfBool sfRenderWindow_SetActive | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | Active
 | ) |  |

Activate or deactivate a window as the current target for rendering.

Parameters:
RenderWindow | : Renderwindow object
Active | : sfTrue to activate, sfFalse to deactivate
Returns:
True if operation was successful, false otherwise

CSFML_API void sfRenderWindow_SetCursorPosition | ( | sfRenderWindow * | RenderWindow,
 |  | unsigned int | Left,
 |  | unsigned int | Top
 | ) |  |

Change the position of the mouse cursor on a window.

Parameters:
RenderWindow | : Renderwindow object
Left | : Left coordinate of the cursor, relative to the window
Top | : Top coordinate of the cursor, relative to the window

CSFML_API void sfRenderWindow_SetFramerateLimit | ( | sfRenderWindow * | RenderWindow,
 |  | unsigned int | Limit
 | ) |  |

Limit the framerate to a maximum fixed frequency for a window.

Parameters:
RenderWindow | : Renderwindow object
Limit | : Framerate limit, in frames per seconds (use 0 to disable limit)

CSFML_API void sfRenderWindow_SetIcon | ( | sfRenderWindow * | RenderWindow,
 |  | unsigned int | Width,
 |  | unsigned int | Height,
 |  | sfUint8 * | Pixels
 | ) |  |

Change the window's icon.

Parameters:
RenderWindow | : Renderwindow object
Width | : Icon's width, in pixels
Height | : Icon's height, in pixels
Pixels | : Pointer to the pixels in memory, format must be RGBA 32 bits

CSFML_API void sfRenderWindow_SetJoystickThreshold | ( | sfRenderWindow * | RenderWindow,
 |  | float | Threshold
 | ) |  |

Change the joystick threshold, ie.

the value below which no move event will be generated

Parameters:
RenderWindow | : Renderwindow object
Threshold | : New threshold, in range [0, 100]

CSFML_API void sfRenderWindow_SetPosition | ( | sfRenderWindow * | RenderWindow,
 |  | int | Left,
 |  | int | Top
 | ) |  |

Change the position of a window on screen.

Only works for top-level windows

Parameters:
RenderWindow | : Renderwindow object
Left | : Left position
Top | : Top position

CSFML_API void sfRenderWindow_SetSize | ( | sfRenderWindow * | RenderWindow,
 |  | unsigned int | Width,
 |  | unsigned int | Height
 | ) |  |

Change the size of the rendering region of a window.

Parameters:
RenderWindow | : Renderwindow object
Width | : New Width
Height | : New Height

CSFML_API void sfRenderWindow_SetView | ( | sfRenderWindow * | RenderWindow,
 |  | sfView * | View
 | ) |  |

Change the current active view of a renderwindow.

Parameters:
RenderWindow | : Renderwindow to modify
NewView | : Pointer to the new view

CSFML_API void sfRenderWindow_Show | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | State
 | ) |  |

Show or hide a window.

Parameters:
RenderWindow | : Renderwindow object
State | : sfTrue to show, sfFalse to hide

CSFML_API void sfRenderWindow_ShowMouseCursor | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | Show
 | ) |  |

Show or hide the mouse cursor on a window.

Parameters:
RenderWindow | : RenderWindow object
Show | : sfTrue to show, sfFalse to hide

CSFML_API void sfRenderWindow_UseVerticalSync | ( | sfRenderWindow * | RenderWindow,
 |  | sfBool | Enabled
 | ) |  |

Enable / disable vertical synchronization on a window.

Parameters:
RenderWindow | : Renderwindow object
Enabled | : sfTrue to enable v-sync, sfFalse to deactivate


Selector.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSelectorTCP * | sfSelectorTCP_Create ()
Create a new selector.
CSFML_API sfSelectorUDP * | sfSelectorUDP_Create ()
CSFML_API void | sfSelectorTCP_Destroy (sfSelectorTCP *Selector)
Destroy an existing selector.
CSFML_API void | sfSelectorUDP_Destroy (sfSelectorUDP *Selector)
CSFML_API void | sfSelectorTCP_Add (sfSelectorTCP *Selector, sfSocketTCP *Socket)
Add a socket to watch to a selector.
CSFML_API void | sfSelectorUDP_Add (sfSelectorUDP *Selector, sfSocketUDP *Socket)
CSFML_API void | sfSelectorTCP_Remove (sfSelectorTCP *Selector, sfSocketTCP *Socket)
Remove a socket from a selector.
CSFML_API void | sfSelectorUDP_Remove (sfSelectorUDP *Selector, sfSocketUDP *Socket)
CSFML_API void | sfSelectorTCP_Clear (sfSelectorTCP *Selector)
Remove all sockets from a selector.
CSFML_API void | sfSelectorUDP_Clear (sfSelectorUDP *Selector)
CSFML_API unsigned int | sfSelectorTCP_Wait (sfSelectorTCP *Selector, float Timeout)
Wait and collect sockets which are ready for reading.
CSFML_API unsigned int | sfSelectorUDP_Wait (sfSelectorUDP *Selector, float Timeout)
CSFML_API sfSocketTCP * | sfSelectorTCP_GetSocketReady (sfSelectorTCP *Selector, unsigned int Index)
After a call to Wait(), get the Index-th socket which is ready for reading.
CSFML_API sfSocketUDP * | sfSelectorUDP_GetSocketReady (sfSelectorUDP *Selector, unsigned int Index)

Function Documentation

CSFML_API void sfSelectorTCP_Add | ( | sfSelectorTCP * | Selector,
 |  | sfSocketTCP * | Socket
 | ) |  |

Add a socket to watch to a selector.

Parameters:
Selector | : Selector to add the socket to
Socket | : Socket to add

CSFML_API void sfSelectorTCP_Clear ( sfSelectorTCP * Selector )

Remove all sockets from a selector.

Parameters:
Selector : Selector to remove the socket from

CSFML_API sfSelectorTCP* sfSelectorTCP_Create ( )

Create a new selector.

Returns:
A new sfSelector object

CSFML_API void sfSelectorTCP_Destroy ( sfSelectorTCP * Selector )

Destroy an existing selector.

Parameters:
Selector : Selector to delete

CSFML_API sfSocketTCP* sfSelectorTCP_GetSocketReady | ( | sfSelectorTCP * | Selector,
 |  | unsigned int | Index
 | ) |  |

After a call to Wait(), get the Index-th socket which is ready for reading.

The total number of sockets ready is the integer returned by the previous call to Wait()

Parameters:
Selector | : Selector to check
Index | : Index of the socket to get
Returns:
The Index-th socket

CSFML_API void sfSelectorTCP_Remove | ( | sfSelectorTCP * | Selector,
 |  | sfSocketTCP * | Socket
 | ) |  |

Remove a socket from a selector.

Parameters:
Selector | : Selector to remove the socket from
Socket | : Socket to remove

CSFML_API unsigned int sfSelectorTCP_Wait | ( | sfSelectorTCP * | Selector,
 |  | float | Timeout
 | ) |  |

Wait and collect sockets which are ready for reading.

This functions will return either when at least one socket is ready, or when the given time is out

Parameters:
Selector | : Selector to check
Timeout | : Maximum time to wait, in seconds (0 to disable timeout)
Returns:
Number of sockets ready

CSFML_API void sfSelectorUDP_Add | ( | sfSelectorUDP * | Selector,
 |  | sfSocketUDP * | Socket
 | ) |  |

CSFML_API void sfSelectorUDP_Clear ( sfSelectorUDP * Selector )

CSFML_API sfSelectorUDP* sfSelectorUDP_Create ( )

CSFML_API void sfSelectorUDP_Destroy ( sfSelectorUDP * Selector )

CSFML_API sfSocketUDP* sfSelectorUDP_GetSocketReady | ( | sfSelectorUDP * | Selector,
 |  | unsigned int | Index
 | ) |  |

CSFML_API void sfSelectorUDP_Remove | ( | sfSelectorUDP * | Selector,
 |  | sfSocketUDP * | Socket
 | ) |  |

CSFML_API unsigned int sfSelectorUDP_Wait | ( | sfSelectorUDP * | Selector,
 |  | float | Timeout
 | ) |  |


Shape.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/BlendMode.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfShape * | sfShape_Create ()
Create a new shape.
CSFML_API sfShape * | sfShape_CreateLine (float P1X, float P1Y, float P2X, float P2Y, float Thickness, sfColor Col, float Outline, sfColor OutlineCol)
Create a new shape made of a single line.
CSFML_API sfShape * | sfShape_CreateRectangle (float P1X, float P1Y, float P2X, float P2Y, sfColor Col, float Outline, sfColor OutlineCol)
Create a new shape made of a single rectangle.
CSFML_API sfShape * | sfShape_CreateCircle (float X, float Y, float Radius, sfColor Col, float Outline, sfColor OutlineCol)
Create a new shape made of a single circle.
CSFML_API void | sfShape_Destroy (sfShape *Shape)
Destroy an existing Shape.
CSFML_API void | sfShape_SetX (sfShape *Shape, float X)
Set the X position of a shape.
CSFML_API void | sfShape_SetY (sfShape *Shape, float Y)
Set the Y position of a shape.
CSFML_API void | sfShape_SetPosition (sfShape *Shape, float X, float Y)
Set the position of a shape.
CSFML_API void | sfShape_SetScaleX (sfShape *Shape, float Scale)
Set the horizontal scale of a shape.
CSFML_API void | sfShape_SetScaleY (sfShape *Shape, float Scale)
Set the vertical scale of a shape.
CSFML_API void | sfShape_SetScale (sfShape *Shape, float ScaleX, float ScaleY)
Set the scale of a shape.
CSFML_API void | sfShape_SetRotation (sfShape *Shape, float Rotation)
Set the orientation of a shape.
CSFML_API void | sfShape_SetCenter (sfShape *Shape, float X, float Y)
Set the center of a shape, in coordinates relative to its left-top corner.
CSFML_API void | sfShape_SetColor (sfShape *Shape, sfColor Color)
Set the color of a shape.
CSFML_API void | sfShape_SetBlendMode (sfShape *Shape, sfBlendMode Mode)
Set the blending mode for a shape.
CSFML_API float | sfShape_GetX (sfShape *Shape)
Get the X position of a shape.
CSFML_API float | sfShape_GetY (sfShape *Shape)
Get the Y position of a shape.
CSFML_API float | sfShape_GetScaleX (sfShape *Shape)
Get the horizontal scale of a shape.
CSFML_API float | sfShape_GetScaleY (sfShape *Shape)
Get the vertical scale of a shape.
CSFML_API float | sfShape_GetRotation (sfShape *Shape)
Get the orientation of a shape.
CSFML_API float | sfShape_GetCenterX (sfShape *Shape)
Get the X position of the center a shape.
CSFML_API float | sfShape_GetCenterY (sfShape *Shape)
Get the Y position of the center a shape.
CSFML_API sfColor | sfShape_GetColor (sfShape *Shape)
Get the color of a shape.
CSFML_API sfBlendMode | sfShape_GetBlendMode (sfShape *Shape)
Get the current blending mode of a shape.
CSFML_API void | sfShape_Move (sfShape *Shape, float OffsetX, float OffsetY)
Move a shape.
CSFML_API void | sfShape_Scale (sfShape *Shape, float FactorX, float FactorY)
Scale a shape.
CSFML_API void | sfShape_Rotate (sfShape *Shape, float Angle)
Rotate a shape.
CSFML_API void | sfShape_TransformToLocal (sfShape *Shape, float PointX, float PointY, float *X, float *Y)
Transform a point from global coordinates into the shape's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).
CSFML_API void | sfShape_TransformToGlobal (sfShape *Shape, float PointX, float PointY, float *X, float *Y)
Transform a point from the shape's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).
CSFML_API void | sfShape_AddPoint (sfShape *Shape, float X, float Y, sfColor Col, sfColor OutlineCol)
Add a point to a shape.
CSFML_API void | sfShape_EnableFill (sfShape *Shape, sfBool Enable)
Enable or disable filling a shape.
CSFML_API void | sfShape_EnableOutline (sfShape *Shape, sfBool Enable)
Enable or disable drawing a shape outline.
CSFML_API void | sfShape_SetOutlineWidth (sfShape *Shape, float Width)
Change the width of a shape outline.
CSFML_API float | sfShape_GetOutlineWidth (sfShape *Shape)
Get the width of a shape outline.
CSFML_API unsigned int | sfShape_GetNbPoints (sfShape *Shape)
Get the number of points composing a shape.
CSFML_API void | sfShape_GetPointPosition (sfShape *Shape, unsigned int Index, float *X, float *Y)
Get a the position of a shape's point.
CSFML_API sfColor | sfShape_GetPointColor (sfShape *Shape, unsigned int Index)
Get a the color of a shape's point.
CSFML_API sfColor | sfShape_GetPointOutlineColor (sfShape *Shape, unsigned int Index)
Get a the outline color of a shape's point.
CSFML_API void | sfShape_SetPointPosition (sfShape *Shape, unsigned int Index, float X, float Y)
Set a the position of a shape's point.
CSFML_API void | sfShape_SetPointColor (sfShape *Shape, unsigned int Index, sfColor Color)
Set a the color of a shape's point.
CSFML_API void | sfShape_SetPointOutlineColor (sfShape *Shape, unsigned int Index, sfColor Color)
Set a the outline color of a shape's point.

Function Documentation

CSFML_API void sfShape_AddPoint | ( | sfShape * | Shape,
 |  | float | X,
 |  | float | Y,
 |  | sfColor | Col,
 |  | sfColor | OutlineCol
 | ) |  |

Add a point to a shape.

Parameters:
Shape | : Shape to modify
X,Y | : Position of the point
Col | : Color of the point
OutlineCol | : Outline color of the point

CSFML_API sfShape* sfShape_Create ( )

Create a new shape.

Returns:
A new sfShape object, or NULL if it failed

CSFML_API sfShape* sfShape_CreateCircle | ( | float | X,
 |  | float | Y,
 |  | float | Radius,
 |  | sfColor | Col,
 |  | float | Outline,
 |  | sfColor | OutlineCol
 | ) |  |

Create a new shape made of a single circle.

Parameters:
X,Y | : Position of the center
Radius | : Radius
Col | : Color used to fill the circle
Outline | : Outline width
OutlineCol | : Color used to draw the outline

CSFML_API sfShape* sfShape_CreateLine | ( | float | P1X,
 |  | float | P1Y,
 |  | float | P2X,
 |  | float | P2Y,
 |  | float | Thickness,
 |  | sfColor | Col,
 |  | float | Outline,
 |  | sfColor | OutlineCol
 | ) |  |

Create a new shape made of a single line.

Parameters:
P1X,P1Y | : Position of the first point
P2X,P2Y | : Position second point
Thickness | : Line thickness
Col | : Color used to draw the line
Outline | : Outline width
OutlineCol | : Color used to draw the outline

CSFML_API sfShape* sfShape_CreateRectangle | ( | float | P1X,
 |  | float | P1Y,
 |  | float | P2X,
 |  | float | P2Y,
 |  | sfColor | Col,
 |  | float | Outline,
 |  | sfColor | OutlineCol
 | ) |  |

Create a new shape made of a single rectangle.

Parameters:
P1X,P1Y | : Position of the first point
P2X,P2Y | : Position second point
Col | : Color used to fill the rectangle
Outline | : Outline width
OutlineCol | : Color used to draw the outline

CSFML_API void sfShape_Destroy ( sfShape * Shape )

Destroy an existing Shape.

Parameters:
Shape : Shape to delete

CSFML_API void sfShape_EnableFill | ( | sfShape * | Shape,
 |  | sfBool | Enable
 | ) |  |

Enable or disable filling a shape.

Fill is enabled by default

Parameters:
Enable : True to enable, false to disable

CSFML_API void sfShape_EnableOutline | ( | sfShape * | Shape,
 |  | sfBool | Enable
 | ) |  |

Enable or disable drawing a shape outline.

Outline is enabled by default

Parameters:
Shape | : Shape to modify
Enable | : True to enable, false to disable

CSFML_API sfBlendMode sfShape_GetBlendMode ( sfShape * Shape )

Get the current blending mode of a shape.

Parameters:
Shape : Shape to read
Returns:
Current blending mode

CSFML_API float sfShape_GetCenterX ( sfShape * Shape )

Get the X position of the center a shape.

Parameters:
Shape : Shape to read
Returns:
Current X center

CSFML_API float sfShape_GetCenterY ( sfShape * Shape )

Get the Y position of the center a shape.

Parameters:
Shape : Shape to read
Returns:
Current Y center

CSFML_API sfColor sfShape_GetColor ( sfShape * Shape )

Get the color of a shape.

Parameters:
Shape : Shape to read
Returns:
Current color

CSFML_API unsigned int sfShape_GetNbPoints ( sfShape * Shape )

Get the number of points composing a shape.

Parameters:
Shape : Shape to read
Returns:
Total number of points

CSFML_API float sfShape_GetOutlineWidth ( sfShape * Shape )

Get the width of a shape outline.

Parameters:
Shape | : Shape to read
return | Current outline width

CSFML_API sfColor sfShape_GetPointColor | ( | sfShape * | Shape,
 |  | unsigned int | Index
 | ) |  |

Get a the color of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
Returns:
Color of the point

CSFML_API sfColor sfShape_GetPointOutlineColor | ( | sfShape * | Shape,
 |  | unsigned int | Index
 | ) |  |

Get a the outline color of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
Returns:
Outline color of the point

CSFML_API void sfShape_GetPointPosition | ( | sfShape * | Shape,
 |  | unsigned int | Index,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Get a the position of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
X | : Variable to fill with the X coordinate of the point
Y | : Variable to fill with the Y coordinate of the point

CSFML_API float sfShape_GetRotation ( sfShape * Shape )

Get the orientation of a shape.

Parameters:
Shape : Shape to read
Returns:
Current rotation, in degrees

CSFML_API float sfShape_GetScaleX ( sfShape * Shape )

Get the horizontal scale of a shape.

Parameters:
Shape : Shape to read
Returns:
Current X scale factor (always positive)

CSFML_API float sfShape_GetScaleY ( sfShape * Shape )

Get the vertical scale of a shape.

Parameters:
Shape : Shape to read
Returns:
Current Y scale factor (always positive)

CSFML_API float sfShape_GetX ( sfShape * Shape )

Get the X position of a shape.

Parameters:
Shape : Shape to read
Returns:
Current X position

CSFML_API float sfShape_GetY ( sfShape * Shape )

Get the Y position of a shape.

Parameters:
Shape : Shape to read
Returns:
Current Y position

CSFML_API void sfShape_Move | ( | sfShape * | Shape,
 |  | float | OffsetX,
 |  | float | OffsetY
 | ) |  |

Move a shape.

Parameters:
Shape | : Shape to modify
OffsetX | : Offset on the X axis
OffsetY | : Offset on the Y axis

CSFML_API void sfShape_Rotate | ( | sfShape * | Shape,
 |  | float | Angle
 | ) |  |

Rotate a shape.

Parameters:
Shape | : Shape to modify
Angle | : Angle of rotation, in degrees

CSFML_API void sfShape_Scale | ( | sfShape * | Shape,
 |  | float | FactorX,
 |  | float | FactorY
 | ) |  |

Scale a shape.

Parameters:
Shape | : Shape to modify
FactorX | : Horizontal scaling factor (must be strictly positive)
FactorY | : Vertical scaling factor (must be strictly positive)

CSFML_API void sfShape_SetBlendMode | ( | sfShape * | Shape,
 |  | sfBlendMode | Mode
 | ) |  |

Set the blending mode for a shape.

Parameters:
Shape | : Shape to modify
Mode | : New blending mode

CSFML_API void sfShape_SetCenter | ( | sfShape * | Shape,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set the center of a shape, in coordinates relative to its left-top corner.

Parameters:
Shape | : Shape to modify
X | : X coordinate of the center
Y | : Y coordinate of the center

CSFML_API void sfShape_SetColor | ( | sfShape * | Shape,
 |  | sfColor | Color
 | ) |  |

Set the color of a shape.

Parameters:
Shape | : Shape to modify
Color | : New color

CSFML_API void sfShape_SetOutlineWidth | ( | sfShape * | Shape,
 |  | float | Width
 | ) |  |

Change the width of a shape outline.

Parameters:
Shape | : Shape to modify
Width | : New width

CSFML_API void sfShape_SetPointColor | ( | sfShape * | Shape,
 |  | unsigned int | Index,
 |  | sfColor | Color
 | ) |  |

Set a the color of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
Color | : Color of the point

CSFML_API void sfShape_SetPointOutlineColor | ( | sfShape * | Shape,
 |  | unsigned int | Index,
 |  | sfColor | Color
 | ) |  |

Set a the outline color of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
Color | : Outline color of the point

CSFML_API void sfShape_SetPointPosition | ( | sfShape * | Shape,
 |  | unsigned int | Index,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set a the position of a shape's point.

Parameters:
Shape | : Shape to read
Index | : Index of the point to get
X | : X coordinate of the point
Y | : Y coordinate of the point

CSFML_API void sfShape_SetPosition | ( | sfShape * | Shape,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set the position of a shape.

Parameters:
Shape | : Shape to modify
X | : New X coordinate
Y | : New Y coordinate

CSFML_API void sfShape_SetRotation | ( | sfShape * | Shape,
 |  | float | Rotation
 | ) |  |

Set the orientation of a shape.

Parameters:
Shape | : Shape to modify
Rotation | : Angle of rotation, in degrees

CSFML_API void sfShape_SetScale | ( | sfShape * | Shape,
 |  | float | ScaleX,
 |  | float | ScaleY
 | ) |  |

Set the scale of a shape.

Parameters:
Shape | : Shape to modify
ScaleX | : New horizontal scale (must be strictly positive)
ScaleY | : New vertical scale (must be strictly positive)

CSFML_API void sfShape_SetScaleX | ( | sfShape * | Shape,
 |  | float | Scale
 | ) |  |

Set the horizontal scale of a shape.

Parameters:
Shape | : Shape to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfShape_SetScaleY | ( | sfShape * | Shape,
 |  | float | Scale
 | ) |  |

Set the vertical scale of a shape.

Parameters:
Shape | : Shape to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfShape_SetX | ( | sfShape * | Shape,
 |  | float | X
 | ) |  |

Set the X position of a shape.

Parameters:
Shape | : Shape to modify
X | : New X coordinate

CSFML_API void sfShape_SetY | ( | sfShape * | Shape,
 |  | float | Y
 | ) |  |

Set the Y position of a shape.

Parameters:
Shape | : Shape to modify
Y | : New Y coordinate

CSFML_API void sfShape_TransformToGlobal | ( | sfShape * | Shape,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from the shape's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).

Parameters:
Shape | : Shape object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point

CSFML_API void sfShape_TransformToLocal | ( | sfShape * | Shape,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from global coordinates into the shape's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).

Parameters:
Shape | : Shape object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point


Sleep.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Functions

CSFML_API void sfSleep (float Duration)
Make the current thread sleep for a given time.

Function Documentation

CSFML_API void sfSleep ( float Duration )

Make the current thread sleep for a given time.

Parameters:
Duration : Time to sleep, in seconds


SocketStatus.h File Reference

Go to the source code of this file.

Enumerations

enum sfSocketStatus {
sfSocketDone,
sfSocketNotReady,
sfSocketDisconnected,
sfSocketError
}
Define the status that can be returned by the socket functions. More...

Enumeration Type Documentation

enum sfSocketStatus

Define the status that can be returned by the socket functions.

Enumerator:
sfSocketDone
sfSocketNotReady
sfSocketDisconnected
sfSocketError

Definition at line 33 of file SocketStatus.h.


SocketTCP.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/IPAddress.h>
#include <SFML/Network/SocketStatus.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSocketTCP * | sfSocketTCP_Create ()
Construct a new TCP socket.
CSFML_API void | sfSocketTCP_Destroy (sfSocketTCP *Socket)
Destroy an existing TCP socket.
CSFML_API void | sfSocketTCP_SetBlocking (sfSocketTCP *Socket, sfBool Blocking)
Change the blocking state of a TCP socket.
CSFML_API sfSocketStatus | sfSocketTCP_Connect (sfSocketTCP *Socket, unsigned short Port, sfIPAddress HostAddress, float Timeout)
Connect a TCP socket to another computer on a specified port.
CSFML_API sfBool | sfSocketTCP_Listen (sfSocketTCP *Socket, unsigned short Port)
Listen to a specified port for incoming data or connections.
CSFML_API sfSocketStatus | sfSocketTCP_Accept (sfSocketTCP *Socket, sfSocketTCP **Connected, sfIPAddress *Address)
Wait for a connection (must be listening to a port).
CSFML_API sfSocketStatus | sfSocketTCP_Send (sfSocketTCP *Socket, const char *Data, size_t Size)
Send an array of bytes to the host (must be connected first).
CSFML_API sfSocketStatus | sfSocketTCP_Receive (sfSocketTCP *Socket, char *Data, size_t MaxSize, size_t *SizeReceived)
Receive an array of bytes from the host (must be connected first).
CSFML_API sfSocketStatus | sfSocketTCP_SendPacket (sfSocketTCP *Socket, sfPacket *Packet)
Send a packet of data to the host (must be connected first).
CSFML_API sfSocketStatus | sfSocketTCP_ReceivePacket (sfSocketTCP *Socket, sfPacket *Packet)
Receive a packet from the host (must be connected first).
CSFML_API sfBool | sfSocketTCP_IsValid (sfSocketTCP *Socket)
Check if a socket is in a valid state ; this function can be called any time to check if the socket is OK.

Function Documentation

CSFML_API sfSocketStatus sfSocketTCP_Accept | ( | sfSocketTCP * | Socket,
 |  | sfSocketTCP ** | Connected,
 |  | sfIPAddress * | Address
 | ) |  |

Wait for a connection (must be listening to a port).

This function is blocking, ie. it won't return before a connection has been accepted

Parameters:
Socket | : Socket to use for accepting
Connected | : Pointer to a socket pointer that will be filled with the connected client
Address | : Pointer to an address to fill with client infos
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketTCP_Connect | ( | sfSocketTCP * | Socket,
 |  | unsigned short | Port,
 |  | sfIPAddress | HostAddress,
 |  | float | Timeout
 | ) |  |

Connect a TCP socket to another computer on a specified port.

Parameters:
Socket | : Socket to use for connecting
Port | : Port to use for transfers (warning : ports < 1024 are reserved)
HostAddress | : IP Address of the host to connect to
Timeout | : Maximum time to wait (0 to use no timeout)
Returns:
sfTrue if operation has been successful

CSFML_API sfSocketTCP* sfSocketTCP_Create ( )

Construct a new TCP socket.

Returns:
Pointer to the new socket

CSFML_API void sfSocketTCP_Destroy ( sfSocketTCP * Socket )

Destroy an existing TCP socket.

Parameters:
Socket : Socket to destroy

CSFML_API sfBool sfSocketTCP_IsValid ( sfSocketTCP * Socket )

Check if a socket is in a valid state ; this function can be called any time to check if the socket is OK.

Parameters:
Socket : Socket to check
Returns:
True if the socket is valid

CSFML_API sfBool sfSocketTCP_Listen | ( | sfSocketTCP * | Socket,
 |  | unsigned short | Port
 | ) |  |

Listen to a specified port for incoming data or connections.

Parameters:
Socket | : Socket to use for listening
Port | : Port to listen to
Returns:
sfTrue if operation has been successful

CSFML_API sfSocketStatus sfSocketTCP_Receive | ( | sfSocketTCP * | Socket,
 |  | char * | Data,
 |  | size_t | MaxSize,
 |  | size_t * | SizeReceived
 | ) |  |

Receive an array of bytes from the host (must be connected first).

Parameters:
Socket | : Socket to use for receiving
Data | : Pointer to a byte array to fill (make sure it is big enough)
MaxSize | : Maximum number of bytes to read
SizeReceived | : Number of bytes received
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketTCP_ReceivePacket | ( | sfSocketTCP * | Socket,
 |  | sfPacket * | Packet
 | ) |  |

Receive a packet from the host (must be connected first).

Parameters:
Socket | : Socket to use for receiving
Packet | : Packet to fill with received data
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketTCP_Send | ( | sfSocketTCP * | Socket,
 |  | const char * | Data,
 |  | size_t | Size
 | ) |  |

Send an array of bytes to the host (must be connected first).

Parameters:
Socket | : Socket to use for sending
Data | : Pointer to the bytes to send
Size | : Number of bytes to send
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketTCP_SendPacket | ( | sfSocketTCP * | Socket,
 |  | sfPacket * | Packet
 | ) |  |

Send a packet of data to the host (must be connected first).

Parameters:
Socket | : Socket to use for sending
Packet | : Packet to send
Returns:
Socket status

CSFML_API void sfSocketTCP_SetBlocking | ( | sfSocketTCP * | Socket,
 |  | sfBool | Blocking
 | ) |  |

Change the blocking state of a TCP socket.

The default behaviour of a socket is blocking

Parameters:
Socket | : Socket to modify
Blocking | : Pass sfTrue to set the socket as blocking, or false for non-blocking


SocketUDP.h File Reference

#include <SFML/Config.h>
#include <SFML/Network/IPAddress.h>
#include <SFML/Network/SocketStatus.h>
#include <SFML/Network/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSocketUDP * | sfSocketUDP_Create ()
Construct a new UDP socket.
CSFML_API void | sfSocketUDP_Destroy (sfSocketUDP *Socket)
Destroy an existing UDP socket.
CSFML_API void | sfSocketUDP_SetBlocking (sfSocketUDP *Socket, sfBool Blocking)
Change the blocking state of a UDP socket.
CSFML_API sfBool | sfSocketUDP_Bind (sfSocketUDP *Socket, unsigned short Port)
Bind a socket to a specific port.
CSFML_API sfBool | sfSocketUDP_Unbind (sfSocketUDP *Socket)
Unbind a socket from its previous port, if any.
CSFML_API sfSocketStatus | sfSocketUDP_Send (sfSocketUDP *Socket, const char *Data, size_t Size, sfIPAddress Address, unsigned short Port)
Send an array of bytes.
CSFML_API sfSocketStatus | sfSocketUDP_Receive (sfSocketUDP *Socket, char *Data, size_t MaxSize, size_t *SizeReceived, sfIPAddress *Address, unsigned short *Port)
Receive an array of bytes.
CSFML_API sfSocketStatus | sfSocketUDP_SendPacket (sfSocketUDP *Socket, sfPacket *Packet, sfIPAddress Address, unsigned short Port)
Send a packet of data.
CSFML_API sfSocketStatus | sfSocketUDP_ReceivePacket (sfSocketUDP *Socket, sfPacket *Packet, sfIPAddress *Address, unsigned short *Port)
Receive a packet.
CSFML_API sfBool | sfSocketUDP_IsValid (sfSocketUDP *Socket)
Check if a socket is in a valid state ; this function can be called any time to check if the socket is OK.

Function Documentation

CSFML_API sfBool sfSocketUDP_Bind | ( | sfSocketUDP * | Socket,
 |  | unsigned short | Port
 | ) |  |

Bind a socket to a specific port.

Parameters:
Socket | : Socket to bind
Port | : Port to bind the socket to
Returns:
True if operation has been successful

CSFML_API sfSocketUDP* sfSocketUDP_Create ( )

Construct a new UDP socket.

Returns:
Pointer to the new socket

CSFML_API void sfSocketUDP_Destroy ( sfSocketUDP * Socket )

Destroy an existing UDP socket.

Parameters:
Socket : Socket to destroy

CSFML_API sfBool sfSocketUDP_IsValid ( sfSocketUDP * Socket )

Check if a socket is in a valid state ; this function can be called any time to check if the socket is OK.

Parameters:
Socket : Socket to check
Returns:
sfTrue if the socket is valid

CSFML_API sfSocketStatus sfSocketUDP_Receive | ( | sfSocketUDP * | Socket,
 |  | char * | Data,
 |  | size_t | MaxSize,
 |  | size_t * | SizeReceived,
 |  | sfIPAddress * | Address,
 |  | unsigned short * | Port
 | ) |  |

Receive an array of bytes.

This function is blocking, ie. it won't return before some bytes have been received

Parameters:
Socket | : Socket to use for receiving
Data | : Pointer to a byte array to fill (make sure it is big enough)
MaxSize | : Maximum number of bytes to read
SizeReceived | : Number of bytes received
Address | : Address of the computer which sent the data
Port | : Port on which the remote computer sent the data
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketUDP_ReceivePacket | ( | sfSocketUDP * | Socket,
 |  | sfPacket * | Packet,
 |  | sfIPAddress * | Address,
 |  | unsigned short * | Port
 | ) |  |

Receive a packet.

This function is blocking, ie. it won't return before a packet is received

Parameters:
Socket | : Socket to use for receiving
Packet | : Packet to fill with received data
Address | : Address of the computer which sent the packet
Port | : Port on which the remote computer sent the data
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketUDP_Send | ( | sfSocketUDP * | Socket,
 |  | const char * | Data,
 |  | size_t | Size,
 |  | sfIPAddress | Address,
 |  | unsigned short | Port
 | ) |  |

Send an array of bytes.

Parameters:
Socket | : Socket to use for sending
Data | : Pointer to the bytes to send
Size | : Number of bytes to send
Address | : Address of the computer to send the packet to
Port | : Port to use for communication
Returns:
Socket status

CSFML_API sfSocketStatus sfSocketUDP_SendPacket | ( | sfSocketUDP * | Socket,
 |  | sfPacket * | Packet,
 |  | sfIPAddress | Address,
 |  | unsigned short | Port
 | ) |  |

Send a packet of data.

Parameters:
Socket | : Socket to use for sending
Packet | : Packet to send
Address | : Address of the computer to send the packet to
Port | : Port to use for communication
Returns:
Socket status

CSFML_API void sfSocketUDP_SetBlocking | ( | sfSocketUDP * | Socket,
 |  | sfBool | Blocking
 | ) |  |

Change the blocking state of a UDP socket.

The default behaviour of a socket is blocking

Parameters:
Socket | : Socket to modify
Blocking | : Pass sfTrue to set the socket as blocking, or false for non-blocking

CSFML_API sfBool sfSocketUDP_Unbind ( sfSocketUDP * Socket )

Unbind a socket from its previous port, if any.

Parameters:
Socket : Socket to unbind
Returns:
sfTrue if operation has been successful


Sound.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/SoundStatus.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSound * | sfSound_Create ()
Construct a new sound.
CSFML_API void | sfSound_Destroy (sfSound *Sound)
Destroy an existing sound.
CSFML_API void | sfSound_Play (sfSound *Sound)
Start playing a sound.
CSFML_API void | sfSound_Pause (sfSound *Sound)
Pause a sound.
CSFML_API void | sfSound_Stop (sfSound *Sound)
Stop playing a sound.
CSFML_API void | sfSound_SetBuffer (sfSound *Sound, sfSoundBuffer *Buffer)
Bind a sound buffer to a sound.
CSFML_API sfSoundBuffer * | sfSound_GetBuffer (sfSound *Sound)
Get the sound buffer bound to a sound.
CSFML_API void | sfSound_SetLoop (sfSound *Sound, sfBool Loop)
Set a sound loop state.
CSFML_API sfBool | sfSound_GetLoop (sfSound *Sound)
Tell whether or not a sound is looping.
CSFML_API sfSoundStatus | sfSound_GetStatus (sfSound *Sound)
Get the status of a sound (stopped, paused, playing).
CSFML_API void | sfSound_SetPitch (sfSound *Sound, float Pitch)
Set the pitch of a sound.
CSFML_API void | sfSound_SetVolume (sfSound *Sound, float Volume)
Set the volume of a sound.
CSFML_API void | sfSound_SetPosition (sfSound *Sound, float X, float Y, float Z)
Set the position of a sound.
CSFML_API void | sfSound_SetRelativeToListener (sfSound *Sound, sfBool Relative)
Make the sound's position relative to the listener's position, or absolute.
CSFML_API void | sfSound_SetMinDistance (sfSound *Sound, float MinDistance)
Set the minimum distance - closer than this distance, the listener will hear the sound at its maximum volume.
CSFML_API void | sfSound_SetAttenuation (sfSound *Sound, float Attenuation)
Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.
CSFML_API void | sfSound_SetPlayingOffset (sfSound *Sound, float TimeOffset)
Set the current playing position of a sound.
CSFML_API float | sfSound_GetPitch (sfSound *Sound)
Get the pitch of a sound.
CSFML_API float | sfSound_GetVolume (sfSound *Sound)
Get the volume of a sound.
CSFML_API void | sfSound_GetPosition (sfSound *Sound, float *X, float *Y, float *Z)
Get the position of a sound.
CSFML_API sfBool | sfSound_IsRelativeToListener (sfSound *Sound)
Tell if the sound's position is relative to the listener's position, or if it's absolute.
CSFML_API float | sfSound_GetMinDistance (sfSound *Sound)
Get the minimum distance of a sound.
CSFML_API float | sfSound_GetAttenuation (sfSound *Sound)
Get the attenuation factor of a sound.
CSFML_API float | sfSound_GetPlayingOffset (sfSound *Sound)
Get the current playing position of a sound.

Function Documentation

CSFML_API sfSound* sfSound_Create ( )

Construct a new sound.

Returns:
A new sfSound object (NULL if failed)

CSFML_API void sfSound_Destroy ( sfSound * Sound )

Destroy an existing sound.

Parameters:
Sound : Sound to delete

CSFML_API float sfSound_GetAttenuation ( sfSound * Sound )

Get the attenuation factor of a sound.

Parameters:
Sound : Sound to get the attenuation factor from
Returns:
Attenuation factor for the sound

CSFML_API sfSoundBuffer* sfSound_GetBuffer ( sfSound * Sound )

Get the sound buffer bound to a sound.

Parameters:
Sound : Sound to get the buffer from
Returns:
Pointer to the sound's buffer

CSFML_API sfBool sfSound_GetLoop ( sfSound * Sound )

Tell whether or not a sound is looping.

Parameters:
Sound : Sound to get the loop state from
Returns:
sfTrue if the sound is looping, sfFalse otherwise

CSFML_API float sfSound_GetMinDistance ( sfSound * Sound )

Get the minimum distance of a sound.

Parameters:
Sound : Sound to get the minimum distance from
Returns:
Minimum distance for the sound

CSFML_API float sfSound_GetPitch ( sfSound * Sound )

Get the pitch of a sound.

Parameters:
Sound : Sound to get the pitch from
Returns:
Pitch value

CSFML_API float sfSound_GetPlayingOffset ( sfSound * Sound )

Get the current playing position of a sound.

Parameters:
Sound : Sound to get the position from
Returns:
Current playing position, expressed in seconds

CSFML_API void sfSound_GetPosition | ( | sfSound * | Sound,
 |  | float * | X,
 |  | float * | Y,
 |  | float * | Z
 | ) |  |

Get the position of a sound.

Parameters:
Sound | : Sound to get the position from
X | : X position of the sound in the world
Y | : Y position of the sound in the world
Z | : Z position of the sound in the world

CSFML_API sfSoundStatus sfSound_GetStatus ( sfSound * Sound )

Get the status of a sound (stopped, paused, playing).

Parameters:
Sound : Sound to get the status from
Returns:
Current status of the sound

CSFML_API float sfSound_GetVolume ( sfSound * Sound )

Get the volume of a sound.

Parameters:
Sound : Sound to get the volume from
Returns:
Volume value (in range [1, 100])

CSFML_API sfBool sfSound_IsRelativeToListener ( sfSound * Sound )

Tell if the sound's position is relative to the listener's position, or if it's absolute.

Parameters:
Sound : Sound to check
Returns:
sfTrue if the position is relative, sfFalse if it's absolute

CSFML_API void sfSound_Pause ( sfSound * Sound )

Pause a sound.

Parameters:
Sound : Sound to pause

CSFML_API void sfSound_Play ( sfSound * Sound )

Start playing a sound.

Parameters:
Sound : Sound to play

CSFML_API void sfSound_SetAttenuation | ( | sfSound * | Sound,
 |  | float | Attenuation
 | ) |  |

Set the attenuation factor - the higher the attenuation, the more the sound will be attenuated with distance from listener.

The default attenuation factor is 1.0

Parameters:
Sound | : Sound to modify
Attenuation | : New attenuation factor for the sound

CSFML_API void sfSound_SetBuffer | ( | sfSound * | Sound,
 |  | sfSoundBuffer * | Buffer
 | ) |  |

Bind a sound buffer to a sound.

Parameters:
Sound | : Sound to set the loop state
Buffer | : Buffer to bind

CSFML_API void sfSound_SetLoop | ( | sfSound * | Sound,
 |  | sfBool | Loop
 | ) |  |

Set a sound loop state.

Parameters:
Sound | : Sound to set the loop state
Loop | : sfTrue to play in loop, sfFalse to play once

CSFML_API void sfSound_SetMinDistance | ( | sfSound * | Sound,
 |  | float | MinDistance
 | ) |  |

Set the minimum distance - closer than this distance, the listener will hear the sound at its maximum volume.

The default minimum distance is 1.0

Parameters:
Sound | : Sound to modify
MinDistance | : New minimum distance for the sound

CSFML_API void sfSound_SetPitch | ( | sfSound * | Sound,
 |  | float | Pitch
 | ) |  |

Set the pitch of a sound.

Parameters:
Sound | : Sound to modify
Pitch | : New pitch

CSFML_API void sfSound_SetPlayingOffset | ( | sfSound * | Sound,
 |  | float | TimeOffset
 | ) |  |

Set the current playing position of a sound.

Parameters:
Sound | : Sound to modify
TimeOffset | : New playing position, expressed in seconds

CSFML_API void sfSound_SetPosition | ( | sfSound * | Sound,
 |  | float | X,
 |  | float | Y,
 |  | float | Z
 | ) |  |

Set the position of a sound.

Parameters:
Sound | : Sound to modify
X | : X position of the sound in the world
Y | : Y position of the sound in the world
Z | : Z position of the sound in the world

CSFML_API void sfSound_SetRelativeToListener | ( | sfSound * | Sound,
 |  | sfBool | Relative
 | ) |  |

Make the sound's position relative to the listener's position, or absolute.

The default value is false (absolute)

Parameters:
Sound | : Sound to modify
Relative | : True to set the position relative, false to set it absolute

CSFML_API void sfSound_SetVolume | ( | sfSound * | Sound,
 |  | float | Volume
 | ) |  |

Set the volume of a sound.

Parameters:
Sound | : Sound to modify
Volume | : Volume (in range [0, 100])

CSFML_API void sfSound_Stop ( sfSound * Sound )

Stop playing a sound.

Parameters:
Sound : Sound to stop


SoundBuffer.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSoundBuffer * | sfSoundBuffer_CreateFromFile (const char *Filename)
Create a new sound buffer and load it from a file.
CSFML_API sfSoundBuffer * | sfSoundBuffer_CreateFromMemory (const char *Data, size_t SizeInBytes)
Create a new sound buffer and load it from a file in memory.
CSFML_API sfSoundBuffer * | sfSoundBuffer_CreateFromSamples (const sfInt16 *Samples, size_t SamplesCount, unsigned int ChannelsCount, unsigned int SampleRate)
Create a new sound buffer and load it from an array of samples in memory - assumed format for samples is 16 bits signed integer.
CSFML_API void | sfSoundBuffer_Destroy (sfSoundBuffer *SoundBuffer)
Destroy an existing sound buffer.
CSFML_API sfBool | sfSoundBuffer_SaveToFile (sfSoundBuffer *SoundBuffer, const char *Filename)
Save a sound buffer to a file.
CSFML_API const sfInt16 * | sfSoundBuffer_GetSamples (sfSoundBuffer *SoundBuffer)
Return the samples contained in a sound buffer.
CSFML_API size_t | sfSoundBuffer_GetSamplesCount (sfSoundBuffer *SoundBuffer)
Return the number of samples contained in a sound buffer.
CSFML_API unsigned int | sfSoundBuffer_GetSampleRate (sfSoundBuffer *SoundBuffer)
Get the sample rate of a sound buffer.
CSFML_API unsigned int | sfSoundBuffer_GetChannelsCount (sfSoundBuffer *SoundBuffer)
Return the number of channels of a sound buffer (1 = mono, 2 = stereo, .
CSFML_API float | sfSoundBuffer_GetDuration (sfSoundBuffer *SoundBuffer)
Get the duration of a sound buffer.

Function Documentation

CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromFile ( const char * Filename )

Create a new sound buffer and load it from a file.

Parameters:
Filename : Path of the music file to open
Returns:
A new sfSoundBuffer object (NULL if failed)

CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromMemory | ( | const char * | Data,
 |  | size_t | SizeInBytes
 | ) |  |

Create a new sound buffer and load it from a file in memory.

Parameters:
Data | : Pointer to the file data in memory
SizeInBytes | : Size of the data to load, in bytes
Returns:
A new sfSoundBuffer object (NULL if failed)

CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromSamples | ( | const sfInt16 * | Samples,
 |  | size_t | SamplesCount,
 |  | unsigned int | ChannelsCount,
 |  | unsigned int | SampleRate
 | ) |  |

Create a new sound buffer and load it from an array of samples in memory - assumed format for samples is 16 bits signed integer.

Parameters:
Samples | : Pointer to the samples in memory
SamplesCount | : Number of samples pointed by Samples
ChannelsCount | : Number of channels (1 = mono, 2 = stereo, ...)
SampleRate | : Frequency (number of samples to play per second)
Returns:
A new sfSoundBuffer object (NULL if failed)

CSFML_API void sfSoundBuffer_Destroy ( sfSoundBuffer * SoundBuffer )

Destroy an existing sound buffer.

Parameters:
SoundBuffer : Sound buffer to delete

CSFML_API unsigned int sfSoundBuffer_GetChannelsCount ( sfSoundBuffer * SoundBuffer )

Return the number of channels of a sound buffer (1 = mono, 2 = stereo, .

..)

Parameters:
SoundBuffer : Sound buffer to get channels count from
Returns:
Number of channels

CSFML_API float sfSoundBuffer_GetDuration ( sfSoundBuffer * SoundBuffer )

Get the duration of a sound buffer.

Parameters:
SoundBuffer : Sound buffer to get duration from
Returns:
Sound duration, in seconds

CSFML_API unsigned int sfSoundBuffer_GetSampleRate ( sfSoundBuffer * SoundBuffer )

Get the sample rate of a sound buffer.

Parameters:
SoundBuffer : Sound buffer to get sample rate from
Returns:
Sound frequency (number of samples per second)

CSFML_API const sfInt16* sfSoundBuffer_GetSamples ( sfSoundBuffer * SoundBuffer )

Return the samples contained in a sound buffer.

Parameters:
SoundBuffer : Sound buffer to get samples from
Returns:
Pointer to the array of sound samples, in 16 bits signed integer format

CSFML_API size_t sfSoundBuffer_GetSamplesCount ( sfSoundBuffer * SoundBuffer )

Return the number of samples contained in a sound buffer.

Parameters:
SoundBuffer : Sound buffer to get samples count from
Returns:
Number of samples

CSFML_API sfBool sfSoundBuffer_SaveToFile | ( | sfSoundBuffer * | SoundBuffer,
 |  | const char * | Filename
 | ) |  |

Save a sound buffer to a file.

Parameters:
SoundBuffer | : Sound buffer to save
Filename | : Path of the sound file to write
Returns:
sfTrue if saving has been successful


SoundBufferRecorder.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSoundBufferRecorder * | sfSoundBufferRecorder_Create ()
Construct a new sound buffer recorder.
CSFML_API void | sfSoundBufferRecorder_Destroy (sfSoundBufferRecorder *SoundBufferRecorder)
Destroy an existing sound buffer recorder.
CSFML_API void | sfSoundBufferRecorder_Start (sfSoundBufferRecorder *SoundBufferRecorder, unsigned int SampleRate)
Start the capture.
CSFML_API void | sfSoundBufferRecorder_Stop (sfSoundBufferRecorder *SoundBufferRecorder)
Stop the capture.
CSFML_API unsigned int | sfSoundBufferRecorder_GetSampleRate (sfSoundBufferRecorder *SoundBufferRecorder)
Get the sample rate of a sound buffer recorder.
CSFML_API sfSoundBuffer * | sfSoundBufferRecorder_GetBuffer (sfSoundBufferRecorder *SoundBufferRecorder)
Get the sound buffer containing the captured audio data of a sound buffer recorder.

Function Documentation

CSFML_API sfSoundBufferRecorder* sfSoundBufferRecorder_Create ( )

Construct a new sound buffer recorder.

Returns:
A new sfSoundBufferRecorder object (NULL if failed)

CSFML_API void sfSoundBufferRecorder_Destroy ( sfSoundBufferRecorder * SoundBufferRecorder )

Destroy an existing sound buffer recorder.

Parameters:
SoundBufferRecorder : Sound buffer recorder to delete

CSFML_API sfSoundBuffer* sfSoundBufferRecorder_GetBuffer ( sfSoundBufferRecorder * SoundBufferRecorder )

Get the sound buffer containing the captured audio data of a sound buffer recorder.

Parameters:
SoundBufferRecorder : Sound buffer recorder to get the sound buffer from
Returns:
Pointer to the sound buffer (you don't need to destroy it after use)

CSFML_API unsigned int sfSoundBufferRecorder_GetSampleRate ( sfSoundBufferRecorder * SoundBufferRecorder )

Get the sample rate of a sound buffer recorder.

Parameters:
SoundBufferRecorder : Sound buffer recorder to get sample rate from
Returns:
Frequency, in samples per second

CSFML_API void sfSoundBufferRecorder_Start | ( | sfSoundBufferRecorder * | SoundBufferRecorder,
 |  | unsigned int | SampleRate
 | ) |  |

Start the capture.

Warning : only one capture can happen at the same time

Parameters:
SoundBufferRecorder | : Sound bufferrecorder to start
SampleRate | : Sound frequency (the more samples, the higher the quality)

CSFML_API void sfSoundBufferRecorder_Stop ( sfSoundBufferRecorder * SoundBufferRecorder )

Stop the capture.

Parameters:
SoundBufferRecorder : Sound buffer recorder to stop


SoundRecorder.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Typedefs

typedef sfBool(* | sfSoundRecorderStartCallback )(void *)
Type of the callback used when starting a capture.
typedef sfBool(* | sfSoundRecorderProcessCallback )(const sfInt16 *, size_t, void *)
Type of the callback used to process audio data.
typedef void(* | sfSoundRecorderStopCallback )(void *)
Type of the callback used when stopping a capture.

Functions

CSFML_API sfSoundRecorder * | sfSoundRecorder_Create (sfSoundRecorderStartCallback OnStart, sfSoundRecorderProcessCallback OnProcess, sfSoundRecorderStopCallback OnStop, void *UserData)
Construct a new sound recorder with callback functions for processing captured samples.
CSFML_API void | sfSoundRecorder_Destroy (sfSoundRecorder *SoundRecorder)
Destroy an existing sound recorder.
CSFML_API void | sfSoundRecorder_Start (sfSoundRecorder *SoundRecorder, unsigned int SampleRate)
Start the capture.
CSFML_API void | sfSoundRecorder_Stop (sfSoundRecorder *SoundRecorder)
Stop the capture.
CSFML_API unsigned int | sfSoundRecorder_GetSampleRate (sfSoundRecorder *SoundRecorder)
Get the sample rate of a sound recorder.
CSFML_API sfBool | sfSoundRecorder_CanCapture ()
Tell if the system supports sound capture.

Typedef Documentation

typedef sfBool(* sfSoundRecorderProcessCallback)(const sfInt16 *, size_t, void *)

Type of the callback used to process audio data.

Definition at line 36 of file SoundRecorder.h.

typedef sfBool(* sfSoundRecorderStartCallback)(void *)

Type of the callback used when starting a capture.

Definition at line 35 of file SoundRecorder.h.

typedef void(* sfSoundRecorderStopCallback)(void *)

Type of the callback used when stopping a capture.

Definition at line 37 of file SoundRecorder.h.

Function Documentation

CSFML_API sfBool sfSoundRecorder_CanCapture ( )

Tell if the system supports sound capture.

If not, this class won't be usable

Returns:
sfTrue if audio capture is supported

CSFML_API sfSoundRecorder* sfSoundRecorder_Create | ( | sfSoundRecorderStartCallback | OnStart,
 |  | sfSoundRecorderProcessCallback | OnProcess,
 |  | sfSoundRecorderStopCallback | OnStop,
 |  | void * | UserData
 | ) |  |

Construct a new sound recorder with callback functions for processing captured samples.

Parameters:
OnStart | : Callback function which will be called when a new capture starts (can be NULL)
OnProcess | : Callback function which will be called each time there's audio data to process
OnStop | : Callback function which will be called when the current capture stops (can be NULL)
UserData | : Data to pass to the callback function (can be NULL)
Returns:
A new sfSoundRecorder object (NULL if failed)

CSFML_API void sfSoundRecorder_Destroy ( sfSoundRecorder * SoundRecorder )

Destroy an existing sound recorder.

Parameters:
SoundRecorder : Sound recorder to delete

CSFML_API unsigned int sfSoundRecorder_GetSampleRate ( sfSoundRecorder * SoundRecorder )

Get the sample rate of a sound recorder.

Parameters:
SoundRecorder : Sound recorder to get sample rate from
Returns:
Frequency, in samples per second

CSFML_API void sfSoundRecorder_Start | ( | sfSoundRecorder * | SoundRecorder,
 |  | unsigned int | SampleRate
 | ) |  |

Start the capture.

Warning : only one capture can happen at the same time

Parameters:
SoundRecorder | : Sound recorder to start
SampleRate | : Sound frequency (the more samples, the higher the quality)

CSFML_API void sfSoundRecorder_Stop ( sfSoundRecorder * SoundRecorder )

Stop the capture.

Parameters:
SoundRecorder : Sound recorder to stop


SoundStatus.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Enumerations

enum sfSoundStatus {
sfStopped,
sfPaused,
sfPlaying
}

Enumeration Type Documentation

enum sfSoundStatus

Enumerator:
sfStopped | Sound / music is not playing.
sfPaused | Sound / music is paused.
sfPlaying | Sound / music is playing.

Definition at line 34 of file SoundStatus.h.


SoundStream.h File Reference

#include <SFML/Config.h>
#include <SFML/Audio/SoundStatus.h>
#include <SFML/Audio/Types.h>

Go to the source code of this file.

Data Structures

struct | sfSoundStreamChunk
sfSoundStreamChunk defines the data to fill by the OnGetData callback More...

Typedefs

typedef sfBool(* | sfSoundStreamStartCallback )(void *)
Type of the callback used to start a sound stream.
typedef sfBool(* | sfSoundStreamGetDataCallback )(sfSoundStreamChunk *, void *)
Type of the callback used to get a sound stream data.

Functions

CSFML_API sfSoundStream * | sfSoundStream_Create (sfSoundStreamStartCallback OnStart, sfSoundStreamGetDataCallback OnGetData, unsigned int ChannelsCount, unsigned int SampleRate, void *UserData)
Construct a new sound stream.
CSFML_API void | sfSoundStream_Destroy (sfSoundStream *SoundStreamStream)
Destroy an existing sound stream.
CSFML_API void | sfSoundStream_Play (sfSoundStream *SoundStream)
Start playing a sound stream.
CSFML_API void | sfSoundStream_Pause (sfSoundStream *SoundStream)
Pause a sound stream.
CSFML_API void | sfSoundStream_Stop (sfSoundStream *SoundStream)
Stop playing a sound stream.
CSFML_API sfSoundStatus | sfSoundStream_GetStatus (sfSoundStream *SoundStream)
Get the status of a sound stream (stopped, paused, playing).
CSFML_API unsigned int | sfSoundStream_GetChannelsCount (sfSoundStream *SoundStream)
Return the number of channels of a sound stream (1 = mono, 2 = stereo).
CSFML_API unsigned int | sfSoundStream_GetSampleRate (sfSoundStream *SoundStream)
Get the sample rate of a sound stream.
CSFML_API void | sfSoundStream_SetPitch (sfSoundStream *SoundStream, float Pitch)
Set the pitch of a sound stream.
CSFML_API void | sfSoundStream_SetVolume (sfSoundStream *SoundStream, float Volume)
Set the volume of a sound stream.
CSFML_API void | sfSoundStream_SetPosition (sfSoundStream *SoundStream, float X, float Y, float Z)
Set the position of a sound stream.
CSFML_API void | sfSoundStream_SetRelativeToListener (sfSoundStream *SoundStream, sfBool Relative)
Make the sound stream's position relative to the listener's position, or absolute.
CSFML_API void | sfSoundStream_SetMinDistance (sfSoundStream *SoundStream, float MinDistance)
Set the minimum distance - closer than this distance, the listener will hear the sound stream at its maximum volume.
CSFML_API void | sfSoundStream_SetAttenuation (sfSoundStream *SoundStream, float Attenuation)
Set the attenuation factor - the higher the attenuation, the more the sound stream will be attenuated with distance from listener.
CSFML_API void | sfSoundStream_SetLoop (sfSoundStream *SoundStream, sfBool Loop)
Set a stream loop state.
CSFML_API float | sfSoundStream_GetPitch (sfSoundStream *SoundStream)
Get the pitch of a sound stream.
CSFML_API float | sfSoundStream_GetVolume (sfSoundStream *SoundStream)
Get the volume of a sound stream.
CSFML_API void | sfSoundStream_GetPosition (sfSoundStream *SoundStream, float *X, float *Y, float *Z)
Get the position of a sound stream.
CSFML_API sfBool | sfSoundStream_IsRelativeToListener (sfSoundStream *SoundStream)
Tell if the sound stream's position is relative to the listener's position, or if it's absolute.
CSFML_API float | sfSoundStream_GetMinDistance (sfSoundStream *SoundStream)
Get the minimum distance of a sound stream.
CSFML_API float | sfSoundStream_GetAttenuation (sfSoundStream *SoundStream)
Get the attenuation factor of a sound stream.
CSFML_API sfBool | sfSoundStream_GetLoop (sfSoundStream *SoundStream)
Tell whether or not a stream is looping.
CSFML_API float | sfSoundStream_GetPlayingOffset (sfSoundStream *SoundStream)
Get the current playing position of a sound stream.

Typedef Documentation

typedef sfBool(* sfSoundStreamGetDataCallback)(sfSoundStreamChunk *, void *)

Type of the callback used to get a sound stream data.

Definition at line 47 of file SoundStream.h.

typedef sfBool(* sfSoundStreamStartCallback)(void *)

Type of the callback used to start a sound stream.

Definition at line 46 of file SoundStream.h.

Function Documentation

CSFML_API sfSoundStream* sfSoundStream_Create | ( | sfSoundStreamStartCallback | OnStart,
 |  | sfSoundStreamGetDataCallback | OnGetData,
 |  | unsigned int | ChannelsCount,
 |  | unsigned int | SampleRate,
 |  | void * | UserData
 | ) |  |

Construct a new sound stream.

Parameters:
OnStart | : Function called when the stream starts (can be NULL)
OnGetData | : Function called when the stream needs more data (can't be NULL)
ChannelsCount | : Number of channels to use (1 = mono, 2 = stereo)
SampleRate | : Sample rate of the sound (44100 = CD quality)
UserData | : Data to pass to the callback functions
Returns:
A new sfSoundStream object (NULL if failed)

CSFML_API void sfSoundStream_Destroy ( sfSoundStream * SoundStreamStream )

Destroy an existing sound stream.

Parameters:
SoundStream : Sound stream to delete

CSFML_API float sfSoundStream_GetAttenuation ( sfSoundStream * SoundStream )

Get the attenuation factor of a sound stream.

Parameters:
SoundStream : Sound stream to get the attenuation factor from
Returns:
Attenuation factor for the sound stream

CSFML_API unsigned int sfSoundStream_GetChannelsCount ( sfSoundStream * SoundStream )

Return the number of channels of a sound stream (1 = mono, 2 = stereo).

Parameters:
SoundStream : Sound stream to get the channels count from
Returns:
Number of channels

CSFML_API sfBool sfSoundStream_GetLoop ( sfSoundStream * SoundStream )

Tell whether or not a stream is looping.

Parameters:
SoundStream : Soundstream to get the loop state from
Returns:
sfTrue if the stream is looping, sfFalse otherwise

CSFML_API float sfSoundStream_GetMinDistance ( sfSoundStream * SoundStream )

Get the minimum distance of a sound stream.

Parameters:
SoundStream : Sound stream to get the minimum distance from
Returns:
Minimum distance for the sound stream

CSFML_API float sfSoundStream_GetPitch ( sfSoundStream * SoundStream )

Get the pitch of a sound stream.

Parameters:
SoundStream : Sound stream to get the pitch from
Returns:
Pitch value

CSFML_API float sfSoundStream_GetPlayingOffset ( sfSoundStream * SoundStream )

Get the current playing position of a sound stream.

Parameters:
SoundStream : Sound stream to get the position from
Returns:
Current playing position, expressed in seconds

CSFML_API void sfSoundStream_GetPosition | ( | sfSoundStream * | SoundStream,
 |  | float * | X,
 |  | float * | Y,
 |  | float * | Z
 | ) |  |

Get the position of a sound stream.

Parameters:
SoundStream | : Sound stream to get the position from
X | : X position of the sound stream in the world
Y | : Y position of the sound stream in the world
Z | : Z position of the sound stream in the world

CSFML_API unsigned int sfSoundStream_GetSampleRate ( sfSoundStream * SoundStream )

Get the sample rate of a sound stream.

Parameters:
SoundStream : Sound stream to get the sample rate from
Returns:
Stream frequency (number of samples per second)

CSFML_API sfSoundStatus sfSoundStream_GetStatus ( sfSoundStream * SoundStream )

Get the status of a sound stream (stopped, paused, playing).

Parameters:
SoundStream : Sound stream to get the status from
Returns:
Current status of the sound stream

CSFML_API float sfSoundStream_GetVolume ( sfSoundStream * SoundStream )

Get the volume of a sound stream.

Parameters:
SoundStream : Sound stream to get the volume from
Returns:
Volume value (in range [1, 100])

CSFML_API sfBool sfSoundStream_IsRelativeToListener ( sfSoundStream * SoundStream )

Tell if the sound stream's position is relative to the listener's position, or if it's absolute.

Parameters:
SoundStream : Sound stream to check
Returns:
sfTrue if the position is relative, sfFalse if it's absolute

CSFML_API void sfSoundStream_Pause ( sfSoundStream * SoundStream )

Pause a sound stream.

Parameters:
SoundStream : Sound stream to pause

CSFML_API void sfSoundStream_Play ( sfSoundStream * SoundStream )

Start playing a sound stream.

Parameters:
SoundStream : Sound stream to play

CSFML_API void sfSoundStream_SetAttenuation | ( | sfSoundStream * | SoundStream,
 |  | float | Attenuation
 | ) |  |

Set the attenuation factor - the higher the attenuation, the more the sound stream will be attenuated with distance from listener.

The default attenuation factor 1.0

Parameters:
SoundStream | : Sound stream to modify
Attenuation | : New attenuation factor for the sound stream

CSFML_API void sfSoundStream_SetLoop | ( | sfSoundStream * | SoundStream,
 |  | sfBool | Loop
 | ) |  |

Set a stream loop state.

Parameters:
SoundStream | : Stream to set the loop state
Loop | : sfTrue to play in loop, sfFalse to play once

CSFML_API void sfSoundStream_SetMinDistance | ( | sfSoundStream * | SoundStream,
 |  | float | MinDistance
 | ) |  |

Set the minimum distance - closer than this distance, the listener will hear the sound stream at its maximum volume.

The default minimum distance is 1.0

Parameters:
SoundStream | : Sound stream to modify
MinDistance | : New minimum distance for the sound stream

CSFML_API void sfSoundStream_SetPitch | ( | sfSoundStream * | SoundStream,
 |  | float | Pitch
 | ) |  |

Set the pitch of a sound stream.

Parameters:
SoundStream | : Sound stream to modify
Pitch | : New pitch

CSFML_API void sfSoundStream_SetPosition | ( | sfSoundStream * | SoundStream,
 |  | float | X,
 |  | float | Y,
 |  | float | Z
 | ) |  |

Set the position of a sound stream.

Parameters:
SoundStream | : Sound stream to modify
X | : X position of the sound stream in the world
Y | : Y position of the sound stream in the world
Z | : Z position of the sound stream in the world

CSFML_API void sfSoundStream_SetRelativeToListener | ( | sfSoundStream * | SoundStream,
 |  | sfBool | Relative
 | ) |  |

Make the sound stream's position relative to the listener's position, or absolute.

The default value is false (absolute)

Parameters:
SoundStream | : Sound stream to modify
Relative | : True to set the position relative, false to set it absolute

CSFML_API void sfSoundStream_SetVolume | ( | sfSoundStream * | SoundStream,
 |  | float | Volume
 | ) |  |

Set the volume of a sound stream.

Parameters:
SoundStream | : Sound stream to modify
Volume | : Volume (in range [0, 100])

CSFML_API void sfSoundStream_Stop ( sfSoundStream * SoundStream )

Stop playing a sound stream.

Parameters:
SoundStream : Sound stream to stop


Sprite.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/BlendMode.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfSprite * | sfSprite_Create ()
Create a new sprite.
CSFML_API void | sfSprite_Destroy (sfSprite *Sprite)
Destroy an existing sprite.
CSFML_API void | sfSprite_SetX (sfSprite *Sprite, float X)
Set the X position of a sprite.
CSFML_API void | sfSprite_SetY (sfSprite *Sprite, float Y)
Set the T position of a sprite.
CSFML_API void | sfSprite_SetPosition (sfSprite *Sprite, float X, float Y)
Set the position of a sprite.
CSFML_API void | sfSprite_SetScaleX (sfSprite *Sprite, float Scale)
Set the horizontal scale of a sprite.
CSFML_API void | sfSprite_SetScaleY (sfSprite *Sprite, float Scale)
Set the vertical scale of a sprite.
CSFML_API void | sfSprite_SetScale (sfSprite *Sprite, float ScaleX, float ScaleY)
Set the scale of a sprite.
CSFML_API void | sfSprite_SetRotation (sfSprite *Sprite, float Rotation)
Set the orientation of a sprite.
CSFML_API void | sfSprite_SetCenter (sfSprite *Sprite, float X, float Y)
Set the center of a sprite, in coordinates relative to its left-top corner.
CSFML_API void | sfSprite_SetColor (sfSprite *Sprite, sfColor Color)
Set the color of a sprite.
CSFML_API void | sfSprite_SetBlendMode (sfSprite *Sprite, sfBlendMode Mode)
Set the blending mode for a sprite.
CSFML_API float | sfSprite_GetX (sfSprite *Sprite)
Get the X position of a sprite.
CSFML_API float | sfSprite_GetY (sfSprite *Sprite)
Get the Y position of a sprite.
CSFML_API float | sfSprite_GetScaleX (sfSprite *Sprite)
Get the horizontal scale of a sprite.
CSFML_API float | sfSprite_GetScaleY (sfSprite *Sprite)
Get the vertical scale of a sprite.
CSFML_API float | sfSprite_GetRotation (sfSprite *Sprite)
Get the orientation of a sprite.
CSFML_API float | sfSprite_GetCenterX (sfSprite *Sprite)
Get the X position of the center a sprite.
CSFML_API float | sfSprite_GetCenterY (sfSprite *Sprite)
Get the Y position of the center a sprite.
CSFML_API sfColor | sfSprite_GetColor (sfSprite *Sprite)
Get the color of a sprite.
CSFML_API sfBlendMode | sfSprite_GetBlendMode (sfSprite *Sprite)
Get the current blending mode of a sprite.
CSFML_API void | sfSprite_Move (sfSprite *Sprite, float OffsetX, float OffsetY)
Move a sprite.
CSFML_API void | sfSprite_Scale (sfSprite *Sprite, float FactorX, float FactorY)
Scale a sprite.
CSFML_API void | sfSprite_Rotate (sfSprite *Sprite, float Angle)
Rotate a sprite.
CSFML_API void | sfSprite_TransformToLocal (sfSprite *Sprite, float PointX, float PointY, float *X, float *Y)
Transform a point from global coordinates into the sprite's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).
CSFML_API void | sfSprite_TransformToGlobal (sfSprite *Sprite, float PointX, float PointY, float *X, float *Y)
Transform a point from the sprite's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).
CSFML_API void | sfSprite_SetImage (sfSprite *Sprite, sfImage *Image)
Change the image of a sprite.
CSFML_API void | sfSprite_SetSubRect (sfSprite *Sprite, sfIntRect SubRect)
Set the sub-rectangle of a sprite inside the source image.
CSFML_API void | sfSprite_Resize (sfSprite *Sprite, float Width, float Height)
Resize a sprite (by changing its scale factors).
CSFML_API void | sfSprite_FlipX (sfSprite *Sprite, sfBool Flipped)
Flip a sprite horizontally.
CSFML_API void | sfSprite_FlipY (sfSprite *Sprite, sfBool Flipped)
Flip a sprite vertically.
CSFML_API sfImage * | sfSprite_GetImage (sfSprite *Sprite)
Get the source image of a sprite.
CSFML_API sfIntRect | sfSprite_GetSubRect (sfSprite *Sprite)
Get the sub-rectangle of a sprite inside the source image.
CSFML_API float | sfSprite_GetWidth (sfSprite *Sprite)
Get a sprite width.
CSFML_API float | sfSprite_GetHeight (sfSprite *Sprite)
Get a sprite height.
CSFML_API sfColor | sfSprite_GetPixel (sfSprite *Sprite, unsigned int X, unsigned int Y)
Get the color of a given pixel in a sprite.

Function Documentation

CSFML_API sfSprite* sfSprite_Create ( )

Create a new sprite.

Returns:
A new sfSprite object, or NULL if it failed

CSFML_API void sfSprite_Destroy ( sfSprite * Sprite )

Destroy an existing sprite.

Parameters:
Sprite : Sprite to delete

CSFML_API void sfSprite_FlipX | ( | sfSprite * | Sprite,
 |  | sfBool | Flipped
 | ) |  |

Flip a sprite horizontally.

Parameters:
Sprite | : Sprite to modify
Flipped | : sfTrue to flip the sprite

CSFML_API void sfSprite_FlipY | ( | sfSprite * | Sprite,
 |  | sfBool | Flipped
 | ) |  |

Flip a sprite vertically.

Parameters:
Sprite | : Sprite to modify
Flipped | : sfTrue to flip the sprite

CSFML_API sfBlendMode sfSprite_GetBlendMode ( sfSprite * Sprite )

Get the current blending mode of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current blending mode

CSFML_API float sfSprite_GetCenterX ( sfSprite * Sprite )

Get the X position of the center a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current X center

CSFML_API float sfSprite_GetCenterY ( sfSprite * Sprite )

Get the Y position of the center a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current Y center

CSFML_API sfColor sfSprite_GetColor ( sfSprite * Sprite )

Get the color of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current color

CSFML_API float sfSprite_GetHeight ( sfSprite * Sprite )

Get a sprite height.

Parameters:
Sprite : Sprite to read
Returns:
Height of the sprite

CSFML_API sfImage* sfSprite_GetImage ( sfSprite * Sprite )

Get the source image of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Pointer to the image (can be NULL)

CSFML_API sfColor sfSprite_GetPixel | ( | sfSprite * | Sprite,
 |  | unsigned int | X,
 |  | unsigned int | Y
 | ) |  |

Get the color of a given pixel in a sprite.

Parameters:
Sprite | : Sprite to read
X | : X coordinate of the pixel to get
Y | : Y coordinate of the pixel to get
Returns:
Color of pixel (X, Y)

CSFML_API float sfSprite_GetRotation ( sfSprite * Sprite )

Get the orientation of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current rotation, in degrees

CSFML_API float sfSprite_GetScaleX ( sfSprite * Sprite )

Get the horizontal scale of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current X scale factor (always positive)

CSFML_API float sfSprite_GetScaleY ( sfSprite * Sprite )

Get the vertical scale of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current Y scale factor (always positive)

CSFML_API sfIntRect sfSprite_GetSubRect ( sfSprite * Sprite )

Get the sub-rectangle of a sprite inside the source image.

Parameters:
Sprite : Sprite to read
Returns:
Sub-rectangle

CSFML_API float sfSprite_GetWidth ( sfSprite * Sprite )

Get a sprite width.

Parameters:
Sprite : Sprite to read
Returns:
Width of the sprite

CSFML_API float sfSprite_GetX ( sfSprite * Sprite )

Get the X position of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current X position

CSFML_API float sfSprite_GetY ( sfSprite * Sprite )

Get the Y position of a sprite.

Parameters:
Sprite : Sprite to read
Returns:
Current Y position

CSFML_API void sfSprite_Move | ( | sfSprite * | Sprite,
 |  | float | OffsetX,
 |  | float | OffsetY
 | ) |  |

Move a sprite.

Parameters:
Sprite | : Sprite to modify
OffsetX | : Offset on the X axis
OffsetY | : Offset on the Y axis

CSFML_API void sfSprite_Resize | ( | sfSprite * | Sprite,
 |  | float | Width,
 |  | float | Height
 | ) |  |

Resize a sprite (by changing its scale factors).

Parameters:
Sprite | : Sprite to modify
Width | : New width (must be strictly positive)
Height | : New height (must be strictly positive)

CSFML_API void sfSprite_Rotate | ( | sfSprite * | Sprite,
 |  | float | Angle
 | ) |  |

Rotate a sprite.

Parameters:
Sprite | : Sprite to modify
Angle | : Angle of rotation, in degrees

CSFML_API void sfSprite_Scale | ( | sfSprite * | Sprite,
 |  | float | FactorX,
 |  | float | FactorY
 | ) |  |

Scale a sprite.

Parameters:
Sprite | : Sprite to modify
FactorX | : Horizontal scaling factor (must be strictly positive)
FactorY | : Vertical scaling factor (must be strictly positive)

CSFML_API void sfSprite_SetBlendMode | ( | sfSprite * | Sprite,
 |  | sfBlendMode | Mode
 | ) |  |

Set the blending mode for a sprite.

Parameters:
Sprite | : Sprite to modify
Mode | : New blending mode

CSFML_API void sfSprite_SetCenter | ( | sfSprite * | Sprite,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set the center of a sprite, in coordinates relative to its left-top corner.

Parameters:
Sprite | : Sprite to modify
X | : X coordinate of the center
Y | : Y coordinate of the center

CSFML_API void sfSprite_SetColor | ( | sfSprite * | Sprite,
 |  | sfColor | Color
 | ) |  |

Set the color of a sprite.

Parameters:
Sprite | : Sprite to modify
Color | : New color

CSFML_API void sfSprite_SetImage | ( | sfSprite * | Sprite,
 |  | sfImage * | Image
 | ) |  |

Change the image of a sprite.

Parameters:
Sprite | : Sprite to modify
Image | : New image

CSFML_API void sfSprite_SetPosition | ( | sfSprite * | Sprite,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set the position of a sprite.

Parameters:
Sprite | : Sprite to modify
X | : New X coordinate
Y | : New Y coordinate

CSFML_API void sfSprite_SetRotation | ( | sfSprite * | Sprite,
 |  | float | Rotation
 | ) |  |

Set the orientation of a sprite.

Parameters:
Sprite | : Sprite to modify
Rotation | : Angle of rotation, in degrees

CSFML_API void sfSprite_SetScale | ( | sfSprite * | Sprite,
 |  | float | ScaleX,
 |  | float | ScaleY
 | ) |  |

Set the scale of a sprite.

Parameters:
Sprite | : Sprite to modify
ScaleX | : New horizontal scale (must be strictly positive)
ScaleY | : New vertical scale (must be strictly positive)

CSFML_API void sfSprite_SetScaleX | ( | sfSprite * | Sprite,
 |  | float | Scale
 | ) |  |

Set the horizontal scale of a sprite.

Parameters:
Sprite | : Sprite to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfSprite_SetScaleY | ( | sfSprite * | Sprite,
 |  | float | Scale
 | ) |  |

Set the vertical scale of a sprite.

Parameters:
Sprite | : Sprite to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfSprite_SetSubRect | ( | sfSprite * | Sprite,
 |  | sfIntRect | SubRect
 | ) |  |

Set the sub-rectangle of a sprite inside the source image.

Parameters:
Sprite | : Sprite to modify
SubRect | : New sub-rectangle

CSFML_API void sfSprite_SetX | ( | sfSprite * | Sprite,
 |  | float | X
 | ) |  |

Set the X position of a sprite.

Parameters:
Sprite | : Sprite to modify
X | : New X coordinate

CSFML_API void sfSprite_SetY | ( | sfSprite * | Sprite,
 |  | float | Y
 | ) |  |

Set the T position of a sprite.

Parameters:
Sprite | : Sprite to modify
Y | : New Y coordinate

CSFML_API void sfSprite_TransformToGlobal | ( | sfSprite * | Sprite,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from the sprite's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).

Parameters:
Sprite | : Sprite object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point

CSFML_API void sfSprite_TransformToLocal | ( | sfSprite * | Sprite,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from global coordinates into the sprite's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).

Parameters:
Sprite | : Sprite object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point


String.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/BlendMode.h>
#include <SFML/Graphics/Color.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Enumerations

enum sfStringStyle {
sfStringRegular = 0,
sfStringBold = 1 << 0,
sfStringItalic = 1 << 1,
sfStringUnderlined = 1 << 2
}
sfString styles More...

Functions

CSFML_API sfString * | sfString_Create ()
Create a new string.
CSFML_API void | sfString_Destroy (sfString *String)
Destroy an existing string.
CSFML_API void | sfString_SetX (sfString *String, float X)
Set the X position of a string.
CSFML_API void | sfString_SetY (sfString *String, float Y)
Set the Y position of a string.
CSFML_API void | sfString_SetPosition (sfString *String, float Left, float Top)
Set the position of a string.
CSFML_API void | sfString_SetScaleX (sfString *String, float Scale)
Set the horizontal scale of a string.
CSFML_API void | sfString_SetScaleY (sfString *String, float Scale)
Set the vertical scale of a string.
CSFML_API void | sfString_SetScale (sfString *String, float ScaleX, float ScaleY)
Set the scale of a string.
CSFML_API void | sfString_SetRotation (sfString *String, float Rotation)
Set the orientation of a string.
CSFML_API void | sfString_SetCenter (sfString *String, float X, float Y)
Set the center of a string, in coordinates relative to its left-top corner.
CSFML_API void | sfString_SetColor (sfString *String, sfColor Color)
Set the color of a string.
CSFML_API void | sfString_SetBlendMode (sfString *String, sfBlendMode Mode)
Set the blending mode for a string.
CSFML_API float | sfString_GetX (sfString *String)
Get the X position of a string.
CSFML_API float | sfString_GetY (sfString *String)
Get the top Y of a string.
CSFML_API float | sfString_GetScaleX (sfString *String)
Get the horizontal scale of a string.
CSFML_API float | sfString_GetScaleY (sfString *String)
Get the vertical scale of a string.
CSFML_API float | sfString_GetRotation (sfString *String)
Get the orientation of a string.
CSFML_API float | sfString_GetCenterX (sfString *String)
Get the X position of the center a string.
CSFML_API float | sfString_GetCenterY (sfString *String)
Get the top Y of the center of a string.
CSFML_API sfColor | sfString_GetColor (sfString *String)
Get the color of a string.
CSFML_API sfBlendMode | sfString_GetBlendMode (sfString *String)
Get the current blending mode of a string.
CSFML_API void | sfString_Move (sfString *String, float OffsetX, float OffsetY)
Move a string.
CSFML_API void | sfString_Scale (sfString *String, float FactorX, float FactorY)
Scale a string.
CSFML_API void | sfString_Rotate (sfString *String, float Angle)
Rotate a string.
CSFML_API void | sfString_TransformToLocal (sfString *String, float PointX, float PointY, float *X, float *Y)
Transform a point from global coordinates into the string's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).
CSFML_API void | sfString_TransformToGlobal (sfString *String, float PointX, float PointY, float *X, float *Y)
Transform a point from the string's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).
CSFML_API void | sfString_SetText (sfString *String, const char *Text)
Set the text of a string (from a multibyte string).
CSFML_API void | sfString_SetUnicodeText (sfString *String, const sfUint32 *Text)
Set the text of a string (from a unicode string).
CSFML_API void | sfString_SetFont (sfString *String, sfFont *Font)
Set the font of a string.
CSFML_API void | sfString_SetSize (sfString *String, float Size)
Set the size of a string.
CSFML_API void | sfString_SetStyle (sfString *String, unsigned long Style)
Set the style of a string.
CSFML_API const sfUint32 * | sfString_GetUnicodeText (sfString *String)
Get the text of a string (returns a unicode string).
CSFML_API const char * | sfString_GetText (sfString *String)
Get the text of a string (returns an ANSI string).
CSFML_API sfFont * | sfString_GetFont (sfString *String)
Get the font used by a string.
CSFML_API float | sfString_GetSize (sfString *String)
Get the size of the characters of a string.
CSFML_API unsigned long | sfString_GetStyle (sfString *String)
Get the style of a string.
CSFML_API void | sfString_GetCharacterPos (sfString *String, size_t Index, float *X, float *Y)
Return the visual position of the Index-th character of the string, in coordinates relative to the string (note : translation, center, rotation and scale are not applied).
CSFML_API sfFloatRect | sfString_GetRect (sfString *String)
Get the bounding rectangle of a string on screen.

Enumeration Type Documentation

enum sfStringStyle

sfString styles

Enumerator:
sfStringRegular | Regular characters, no style.
sfStringBold | Characters are bold.
sfStringItalic | Characters are in italic.
sfStringUnderlined | Characters are underlined.

Definition at line 41 of file String.h.

Function Documentation

CSFML_API sfString* sfString_Create ( )

Create a new string.

Returns:
A new sfString object, or NULL if it failed

CSFML_API void sfString_Destroy ( sfString * String )

Destroy an existing string.

Parameters:
String : String to delete

CSFML_API sfBlendMode sfString_GetBlendMode ( sfString * String )

Get the current blending mode of a string.

Parameters:
String : String to read
Returns:
Current blending mode

CSFML_API float sfString_GetCenterX ( sfString * String )

Get the X position of the center a string.

Parameters:
String : String to read
Returns:
Current X center position

CSFML_API float sfString_GetCenterY ( sfString * String )

Get the top Y of the center of a string.

Parameters:
String : String to read
Returns:
Current Y center position

CSFML_API void sfString_GetCharacterPos | ( | sfString * | String,
 |  | size_t | Index,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Return the visual position of the Index-th character of the string, in coordinates relative to the string (note : translation, center, rotation and scale are not applied).

Parameters:
String | : String to read
Index | : Index of the character
X | : Value to fill with the X coordinate of the position
Y | : Value to fill with the y coordinate of the position

CSFML_API sfColor sfString_GetColor ( sfString * String )

Get the color of a string.

Parameters:
String : String to read
Returns:
Current color

CSFML_API sfFont* sfString_GetFont ( sfString * String )

Get the font used by a string.

Parameters:
String : String to read
Returns:
Pointer to the font

CSFML_API sfFloatRect sfString_GetRect ( sfString * String )

Get the bounding rectangle of a string on screen.

Parameters:
String : String to read
Returns:
Rectangle contaning the string in screen coordinates

CSFML_API float sfString_GetRotation ( sfString * String )

Get the orientation of a string.

Parameters:
String : String to read
Returns:
Current rotation, in degrees

CSFML_API float sfString_GetScaleX ( sfString * String )

Get the horizontal scale of a string.

Parameters:
String : String to read
Returns:
Current X scale factor (always positive)

CSFML_API float sfString_GetScaleY ( sfString * String )

Get the vertical scale of a string.

Parameters:
String : String to read
Returns:
Current Y scale factor (always positive)

CSFML_API float sfString_GetSize ( sfString * String )

Get the size of the characters of a string.

Parameters:
String : String to read
Returns:
Size of the characters

CSFML_API unsigned long sfString_GetStyle ( sfString * String )

Get the style of a string.

Parameters:
String : String to read
Returns:
Current string style (see sfStringStyle enum)

CSFML_API const char* sfString_GetText ( sfString * String )

Get the text of a string (returns an ANSI string).

Parameters:
String : String to read
Returns:
Text an a locale-dependant ANSI string

CSFML_API const sfUint32* sfString_GetUnicodeText ( sfString * String )

Get the text of a string (returns a unicode string).

Parameters:
String : String to read
Returns:
Text as UTF-32

CSFML_API float sfString_GetX ( sfString * String )

Get the X position of a string.

Parameters:
String : String to read
Returns:
Current X position

CSFML_API float sfString_GetY ( sfString * String )

Get the top Y of a string.

Parameters:
String : String to read
Returns:
Current Y position

CSFML_API void sfString_Move | ( | sfString * | String,
 |  | float | OffsetX,
 |  | float | OffsetY
 | ) |  |

Move a string.

Parameters:
String | : String to modify
OffsetX | : Offset on the X axis
OffsetY | : Offset on the Y axis

CSFML_API void sfString_Rotate | ( | sfString * | String,
 |  | float | Angle
 | ) |  |

Rotate a string.

Parameters:
String | : String to modify
Angle | : Angle of rotation, in degrees

CSFML_API void sfString_Scale | ( | sfString * | String,
 |  | float | FactorX,
 |  | float | FactorY
 | ) |  |

Scale a string.

Parameters:
String | : String to modify
FactorX | : Horizontal scaling factor (must be strictly positive)
FactorY | : Vertical scaling factor (must be strictly positive)

CSFML_API void sfString_SetBlendMode | ( | sfString * | String,
 |  | sfBlendMode | Mode
 | ) |  |

Set the blending mode for a string.

Parameters:
String | : String to modify
Mode | : New blending mode

CSFML_API void sfString_SetCenter | ( | sfString * | String,
 |  | float | X,
 |  | float | Y
 | ) |  |

Set the center of a string, in coordinates relative to its left-top corner.

Parameters:
String | : String to modify
X | : X coordinate of the center
Y | : Y coordinate of the center

CSFML_API void sfString_SetColor | ( | sfString * | String,
 |  | sfColor | Color
 | ) |  |

Set the color of a string.

Parameters:
String | : String to modify
Color | : New color

CSFML_API void sfString_SetFont | ( | sfString * | String,
 |  | sfFont * | Font
 | ) |  |

Set the font of a string.

Parameters:
String | : String to modify
Font | : Font to use

CSFML_API void sfString_SetPosition | ( | sfString * | String,
 |  | float | Left,
 |  | float | Top
 | ) |  |

Set the position of a string.

Parameters:
String | : String to modify
Left | : New left coordinate
Top | : New top coordinate

CSFML_API void sfString_SetRotation | ( | sfString * | String,
 |  | float | Rotation
 | ) |  |

Set the orientation of a string.

Parameters:
String | : String to modify
Rotation | : Angle of rotation, in degrees

CSFML_API void sfString_SetScale | ( | sfString * | String,
 |  | float | ScaleX,
 |  | float | ScaleY
 | ) |  |

Set the scale of a string.

Parameters:
String | : String to modify
ScaleX | : New horizontal scale (must be strictly positive)
ScaleY | : New vertical scale (must be strictly positive)

CSFML_API void sfString_SetScaleX | ( | sfString * | String,
 |  | float | Scale
 | ) |  |

Set the horizontal scale of a string.

Parameters:
String | : String to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfString_SetScaleY | ( | sfString * | String,
 |  | float | Scale
 | ) |  |

Set the vertical scale of a string.

Parameters:
String | : String to modify
Scale | : New scale (must be strictly positive)

CSFML_API void sfString_SetSize | ( | sfString * | String,
 |  | float | Size
 | ) |  |

Set the size of a string.

Parameters:
String | : String to modify
Size | : New size, in pixels

CSFML_API void sfString_SetStyle | ( | sfString * | String,
 |  | unsigned long | Style
 | ) |  |

Set the style of a string.

Parameters:
String | : String to modify
Size | : New style (see sfStringStyle enum)

CSFML_API void sfString_SetText | ( | sfString * | String,
 |  | const char * | Text
 | ) |  |

Set the text of a string (from a multibyte string).

Parameters:
String | : String to modify
Text | : New text

CSFML_API void sfString_SetUnicodeText | ( | sfString * | String,
 |  | const sfUint32 * | Text
 | ) |  |

Set the text of a string (from a unicode string).

Parameters:
String | : String to modify
Text | : New text

CSFML_API void sfString_SetX | ( | sfString * | String,
 |  | float | X
 | ) |  |

Set the X position of a string.

Parameters:
String | : String to modify
X | : New X coordinate

CSFML_API void sfString_SetY | ( | sfString * | String,
 |  | float | Y
 | ) |  |

Set the Y position of a string.

Parameters:
String | : String to modify
Y | : New Y coordinate

CSFML_API void sfString_TransformToGlobal | ( | sfString * | String,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from the string's local coordinates into global coordinates (ie it applies the object's center, translation, rotation and scale to the point).

Parameters:
String | : String object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point

CSFML_API void sfString_TransformToLocal | ( | sfString * | String,
 |  | float | PointX,
 |  | float | PointY,
 |  | float * | X,
 |  | float * | Y
 | ) |  |

Transform a point from global coordinates into the string's local coordinates (ie it applies the inverse of object's center, translation, rotation and scale to the point).

Parameters:
String | : String object
PointX | : X coordinate of the point to transform
PointY | : Y coordinate of the point to transform
X | : Value to fill with the X coordinate of the converted point
Y | : Value to fill with the y coordinate of the converted point


System.h File Reference

#include <SFML/Config.h>
#include <SFML/System/Clock.h>
#include <SFML/System/Mutex.h>
#include <SFML/System/Randomizer.h>
#include <SFML/System/Sleep.h>
#include <SFML/System/Thread.h>

Go to the source code of this file.


Thread.h File Reference

#include <SFML/Config.h>
#include <SFML/System/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfThread * | sfThread_Create (void(*Function)(void *), void *UserData)
Construct a new thread from a function pointer.
CSFML_API void | sfThread_Destroy (sfThread *Thread)
Destroy an existing thread.
CSFML_API void | sfThread_Launch (sfThread *Thread)
Run a thread.
CSFML_API void | sfThread_Wait (sfThread *Thread)
Wait until a thread finishes.
CSFML_API void | sfThread_Terminate (sfThread *Thread)
Terminate a thread Terminating a thread with this function is not safe, you should rather try to make the thread function terminate by itself.

Function Documentation

CSFML_API sfThread* sfThread_Create | ( | void(*)(void *) | Function,
 |  | void * | UserData
 | ) |  |

Construct a new thread from a function pointer.

Parameters:
Function | : Entry point of the thread
UserData | : Data to pass to the thread function

CSFML_API void sfThread_Destroy ( sfThread * Thread )

Destroy an existing thread.

Parameters:
Thread : Thread to delete

CSFML_API void sfThread_Launch ( sfThread * Thread )

Run a thread.

Parameters:
Thread : Thread to launch

CSFML_API void sfThread_Terminate ( sfThread * Thread )

Terminate a thread Terminating a thread with this function is not safe, you should rather try to make the thread function terminate by itself.

Parameters:
Thread : Thread to terminate

CSFML_API void sfThread_Wait ( sfThread * Thread )

Wait until a thread finishes.

Parameters:
Thread : Thread to wait for


Types.h File Reference

Go to the source code of this file.

Typedefs

typedef struct sfMusic | sfMusic
typedef struct sfSound | sfSound
typedef struct sfSoundBuffer | sfSoundBuffer
typedef struct
sfSoundBufferRecorder 		sfSoundBufferRecorder
typedef struct sfSoundRecorder | sfSoundRecorder
typedef struct sfSoundStream | sfSoundStream

Typedef Documentation

typedef struct sfMusic sfMusic

Definition at line 29 of file Audio/Types.h.

typedef struct sfSound sfSound

Definition at line 30 of file Audio/Types.h.

typedef struct sfSoundBuffer sfSoundBuffer

Definition at line 31 of file Audio/Types.h.

typedef struct sfSoundBufferRecorder sfSoundBufferRecorder

Definition at line 32 of file Audio/Types.h.

typedef struct sfSoundRecorder sfSoundRecorder

Definition at line 33 of file Audio/Types.h.

typedef struct sfSoundStream sfSoundStream

Definition at line 34 of file Audio/Types.h.


Types.h File Reference

Go to the source code of this file.

Typedefs

typedef struct sfFont | sfFont
typedef struct sfImage | sfImage
typedef struct sfPostFX | sfPostFX
typedef struct sfRenderWindow | sfRenderWindow
typedef struct sfShape | sfShape
typedef struct sfSprite | sfSprite
typedef struct sfString | sfString
typedef struct sfView | sfView

Typedef Documentation

typedef struct sfFont sfFont

Definition at line 29 of file Graphics/Types.h.

typedef struct sfImage sfImage

Definition at line 30 of file Graphics/Types.h.

typedef struct sfPostFX sfPostFX

Definition at line 31 of file Graphics/Types.h.

typedef struct sfRenderWindow sfRenderWindow

Definition at line 32 of file Graphics/Types.h.

typedef struct sfShape sfShape

Definition at line 33 of file Graphics/Types.h.

typedef struct sfSprite sfSprite

Definition at line 34 of file Graphics/Types.h.

typedef struct sfString sfString

Definition at line 35 of file Graphics/Types.h.

typedef struct sfView sfView

Definition at line 36 of file Graphics/Types.h.


Types.h File Reference

Go to the source code of this file.

Typedefs

typedef struct
sfFtpDirectoryResponse 		sfFtpDirectoryResponse
typedef struct sfFtpListingResponse | sfFtpListingResponse
typedef struct sfFtpResponse | sfFtpResponse
typedef struct sfFtp | sfFtp
typedef struct sfHttpRequest | sfHttpRequest
typedef struct sfHttpResponse | sfHttpResponse
typedef struct sfHttp | sfHttp
typedef struct sfPacket | sfPacket
typedef struct sfSelectorTCP | sfSelectorTCP
typedef struct sfSelectorUDP | sfSelectorUDP
typedef struct sfSocketTCP | sfSocketTCP
typedef struct sfSocketUDP | sfSocketUDP

Typedef Documentation

typedef struct sfFtp sfFtp

Definition at line 32 of file Network/Types.h.

typedef struct sfFtpDirectoryResponse sfFtpDirectoryResponse

Definition at line 29 of file Network/Types.h.

typedef struct sfFtpListingResponse sfFtpListingResponse

Definition at line 30 of file Network/Types.h.

typedef struct sfFtpResponse sfFtpResponse

Definition at line 31 of file Network/Types.h.

typedef struct sfHttp sfHttp

Definition at line 35 of file Network/Types.h.

typedef struct sfHttpRequest sfHttpRequest

Definition at line 33 of file Network/Types.h.

typedef struct sfHttpResponse sfHttpResponse

Definition at line 34 of file Network/Types.h.

typedef struct sfPacket sfPacket

Definition at line 36 of file Network/Types.h.

typedef struct sfSelectorTCP sfSelectorTCP

Definition at line 37 of file Network/Types.h.

typedef struct sfSelectorUDP sfSelectorUDP

Definition at line 38 of file Network/Types.h.

typedef struct sfSocketTCP sfSocketTCP

Definition at line 39 of file Network/Types.h.

typedef struct sfSocketUDP sfSocketUDP

Definition at line 40 of file Network/Types.h.


Types.h File Reference

Go to the source code of this file.

Typedefs

typedef struct sfClock | sfClock
typedef struct sfMutex | sfMutex
typedef struct sfThread | sfThread

Typedef Documentation

typedef struct sfClock sfClock

Definition at line 29 of file System/Types.h.

typedef struct sfMutex sfMutex

Definition at line 30 of file System/Types.h.

typedef struct sfThread sfThread

Definition at line 31 of file System/Types.h.


Types.h File Reference

Go to the source code of this file.

Typedefs

typedef struct sfContext | sfContext
typedef struct sfInput | sfInput
typedef struct sfWindow | sfWindow

Typedef Documentation

typedef struct sfContext sfContext

Definition at line 29 of file Window/Types.h.

typedef struct sfInput sfInput

Definition at line 30 of file Window/Types.h.

typedef struct sfWindow sfWindow

Definition at line 31 of file Window/Types.h.


VideoMode.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.

Data Structures

struct | sfVideoMode
sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device More...

Functions

CSFML_API sfVideoMode | sfVideoMode_GetDesktopMode ()
Get the current desktop video mode.
CSFML_API sfVideoMode | sfVideoMode_GetMode (size_t Index)
Get a valid video mode Index must be in range [0, GetModesCount()[ Modes are sorted from best to worst.
CSFML_API size_t | sfVideoMode_GetModesCount ()
Get valid video modes count.
CSFML_API sfBool | sfVideoMode_IsValid (sfVideoMode Mode)
Tell whether or not a video mode is supported.

Function Documentation

CSFML_API sfVideoMode sfVideoMode_GetDesktopMode ( )

Get the current desktop video mode.

Returns:
Current desktop video mode

CSFML_API sfVideoMode sfVideoMode_GetMode ( size_t Index )

Get a valid video mode Index must be in range [0, GetModesCount()[ Modes are sorted from best to worst.

Parameters:
Index : Index of video mode to get
Returns:
Corresponding video mode (invalid mode if index is out of range)

CSFML_API size_t sfVideoMode_GetModesCount ( )

Get valid video modes count.

Returns:
Number of valid video modes available

CSFML_API sfBool sfVideoMode_IsValid ( sfVideoMode Mode )

Tell whether or not a video mode is supported.

Parameters:
Mode : Video mode to check
Returns:
True if video mode is supported, false otherwise


View.h File Reference

#include <SFML/Config.h>
#include <SFML/Graphics/Rect.h>
#include <SFML/Graphics/Types.h>

Go to the source code of this file.

Functions

CSFML_API sfView * | sfView_Create ()
Construct a default view (1000x1000).
CSFML_API sfView * | sfView_CreateFromRect (sfFloatRect Rect)
Construct a view from a rectangle.
CSFML_API void | sfView_Destroy (sfView *View)
Destroy an existing view.
CSFML_API void | sfView_SetCenter (sfView *View, float X, float Y)
Change the center of a view.
CSFML_API void | sfView_SetHalfSize (sfView *View, float HalfWidth, float HalfHeight)
Change the half-size of a view.
CSFML_API void | sfView_SetFromRect (sfView *View, sfFloatRect ViewRect)
Rebuild a view from a rectangle.
CSFML_API float | sfView_GetCenterX (sfView *View)
Get the X coordinate of the center of a view.
CSFML_API float | sfView_GetCenterY (sfView *View)
Get the Y coordinate of the center of a view.
CSFML_API float | sfView_GetHalfSizeX (sfView *View)
Get the half-width of the view.
CSFML_API float | sfView_GetHalfSizeY (sfView *View)
Get the half-height of the view.
CSFML_API sfFloatRect | sfView_GetRect (sfView *View)
Get the bounding rectangle of a view.
CSFML_API void | sfView_Move (sfView *View, float OffsetX, float OffsetY)
Move a view.
CSFML_API void | sfView_Zoom (sfView *View, float Factor)
Resize a view rectangle to simulate a zoom / unzoom effect.

Function Documentation

CSFML_API sfView* sfView_Create ( )

Construct a default view (1000x1000).

CSFML_API sfView* sfView_CreateFromRect ( sfFloatRect Rect )

Construct a view from a rectangle.

Parameters:
Rect : Rectangle defining the bounds of the view

CSFML_API void sfView_Destroy ( sfView * View )

Destroy an existing view.

Parameters:
View : View to destroy

CSFML_API float sfView_GetCenterX ( sfView * View )

Get the X coordinate of the center of a view.

Parameters:
View : View to read
Returns:
X coordinate of the center of the view

CSFML_API float sfView_GetCenterY ( sfView * View )

Get the Y coordinate of the center of a view.

Parameters:
View : View to read
Returns:
Y coordinate of the center of the view

CSFML_API float sfView_GetHalfSizeX ( sfView * View )

Get the half-width of the view.

Parameters:
View : View to read
Returns:
Half-width of the view

CSFML_API float sfView_GetHalfSizeY ( sfView * View )

Get the half-height of the view.

Parameters:
View : View to read
Returns:
Half-height of the view

CSFML_API sfFloatRect sfView_GetRect ( sfView * View )

Get the bounding rectangle of a view.

Parameters:
View : View to read
Returns:
Bounding rectangle of the view

CSFML_API void sfView_Move | ( | sfView * | View,
 |  | float | OffsetX,
 |  | float | OffsetY
 | ) |  |

Move a view.

Parameters:
View | : View to move
OffsetX | : Offset to move the view, on X axis
OffsetY | : Offset to move the view, on Y axis

CSFML_API void sfView_SetCenter | ( | sfView * | View,
 |  | float | X,
 |  | float | Y
 | ) |  |

Change the center of a view.

Parameters:
View | : View to modify
X | : X coordinate of the new center
Y | : Y coordinate of the new center

CSFML_API void sfView_SetFromRect | ( | sfView * | View,
 |  | sfFloatRect | ViewRect
 | ) |  |

Rebuild a view from a rectangle.

Parameters:
View | : View to modify
ViewRect | : Rectangle defining the position and size of the view

CSFML_API void sfView_SetHalfSize | ( | sfView * | View,
 |  | float | HalfWidth,
 |  | float | HalfHeight
 | ) |  |

Change the half-size of a view.

Parameters:
View | : View to modify
HalfWidth | : New half-width
HalfHeight | : New half-height

CSFML_API void sfView_Zoom | ( | sfView * | View,
 |  | float | Factor
 | ) |  |

Resize a view rectangle to simulate a zoom / unzoom effect.

Parameters:
View | : View to zoom
Factor | : Zoom factor to apply, relative to the current zoom


Window.h File Reference

#include <SFML/Config.h>
#include <SFML/Window/Event.h>
#include <SFML/Window/VideoMode.h>
#include <SFML/Window/WindowHandle.h>
#include <SFML/Window/Types.h>

Go to the source code of this file.

Data Structures

struct | sfWindowSettings
Structure defining the window's creation settings. More...

Enumerations

enum {
sfNone = 0,
sfTitlebar = 1 << 0,
sfResize = 1 << 1,
sfClose = 1 << 2,
sfFullscreen = 1 << 3
}
Enumeration of window creation styles. More...

Functions

CSFML_API sfWindow * | sfWindow_Create (sfVideoMode Mode, const char *Title, unsigned long Style, sfWindowSettings Params)
Construct a new window.
CSFML_API sfWindow * | sfWindow_CreateFromHandle (sfWindowHandle Handle, sfWindowSettings Params)
Construct a window from an existing control.
CSFML_API void | sfWindow_Destroy (sfWindow *Window)
Destroy an existing window.
CSFML_API void | sfWindow_Close (sfWindow *Window)
Close a window (but doesn't destroy the internal data).
CSFML_API sfBool | sfWindow_IsOpened (sfWindow *Window)
Tell whether or not a window is opened.
CSFML_API unsigned int | sfWindow_GetWidth (sfWindow *Window)
Get the width of the rendering region of a window.
CSFML_API unsigned int | sfWindow_GetHeight (sfWindow *Window)
Get the height of the rendering region of a window.
CSFML_API sfWindowSettings | sfWindow_GetSettings (sfWindow *Window)
Get the creation settings of a window.
CSFML_API sfBool | sfWindow_GetEvent (sfWindow *Window, sfEvent *Event)
Get the event on top of events stack of a window, if any, and pop it.
CSFML_API void | sfWindow_UseVerticalSync (sfWindow *Window, sfBool Enabled)
Enable / disable vertical synchronization on a window.
CSFML_API void | sfWindow_ShowMouseCursor (sfWindow *Window, sfBool Show)
Show or hide the mouse cursor on a window.
CSFML_API void | sfWindow_SetCursorPosition (sfWindow *Window, unsigned int Left, unsigned int Top)
Change the position of the mouse cursor on a window.
CSFML_API void | sfWindow_SetPosition (sfWindow *Window, int Left, int Top)
Change the position of a window on screen.
CSFML_API void | sfWindow_SetSize (sfWindow *Window, unsigned int Width, unsigned int Height)
Change the size of the rendering region of a window.
CSFML_API void | sfWindow_Show (sfWindow *Window, sfBool State)
Show or hide a window.
CSFML_API void | sfWindow_EnableKeyRepeat (sfWindow *Window, sfBool Enabled)
Enable or disable automatic key-repeat for keydown events.
CSFML_API void | sfWindow_SetIcon (sfWindow *Window, unsigned int Width, unsigned int Height, sfUint8 *Pixels)
Change the window's icon.
CSFML_API sfBool | sfWindow_SetActive (sfWindow *Window, sfBool Active)
Activate or deactivate a window as the current target for rendering.
CSFML_API void | sfWindow_Display (sfWindow *Window)
Display a window on screen.
CSFML_API sfInput * | sfWindow_GetInput (sfWindow *Window)
Get the input manager of a window.
CSFML_API void | sfWindow_SetFramerateLimit (sfWindow *Window, unsigned int Limit)
Limit the framerate to a maximum fixed frequency for a window.
CSFML_API float | sfWindow_GetFrameTime (sfWindow *Window)
Get time elapsed since last frame of a window.
CSFML_API void | sfWindow_SetJoystickThreshold (sfWindow *Window, float Threshold)
Change the joystick threshold, ie.

Enumeration Type Documentation

anonymous enum

Enumeration of window creation styles.

Enumerator:
sfNone | No border / title bar (this flag and all others are mutually exclusive).
sfTitlebar | Title bar + fixed border.
sfResize | Titlebar + resizable border + maximize button.
sfClose | Titlebar + close button.
sfFullscreen | Fullscreen mode (this flag and all others are mutually exclusive).

Definition at line 42 of file Window/Window.h.

Function Documentation

CSFML_API void sfWindow_Close ( sfWindow * Window )

Close a window (but doesn't destroy the internal data).

Parameters:
Window : Window to close

CSFML_API sfWindow* sfWindow_Create | ( | sfVideoMode | Mode,
 |  | const char * | Title,
 |  | unsigned long | Style,
 |  | sfWindowSettings | Params
 | ) |  |

Construct a new window.

Parameters:
Mode | : Video mode to use
Title | : Title of the window
Style | : Window style
Params | : Creation settings

CSFML_API sfWindow* sfWindow_CreateFromHandle | ( | sfWindowHandle | Handle,
 |  | sfWindowSettings | Params
 | ) |  |

Construct a window from an existing control.

Parameters:
Handle | : Platform-specific handle of the control
Params | : Creation settings

CSFML_API void sfWindow_Destroy ( sfWindow * Window )

Destroy an existing window.

Parameters:
Window : Window to destroy

CSFML_API void sfWindow_Display ( sfWindow * Window )

Display a window on screen.

Parameters:
Window : Window object

CSFML_API void sfWindow_EnableKeyRepeat | ( | sfWindow * | Window,
 |  | sfBool | Enabled
 | ) |  |

Enable or disable automatic key-repeat for keydown events.

Automatic key-repeat is enabled by default

Parameters:
Window | : Window object
Enabled | : sfTrue to enable, sfFalse to disable

CSFML_API sfBool sfWindow_GetEvent | ( | sfWindow * | Window,
 |  | sfEvent * | Event
 | ) |  |

Get the event on top of events stack of a window, if any, and pop it.

Parameters:
Window | : Window object
Event | : Event to fill, if any
Returns:
sfTrue if an event was returned, sfFalse if events stack was empty

CSFML_API float sfWindow_GetFrameTime ( sfWindow * Window )

Get time elapsed since last frame of a window.

Parameters:
Window : Window object
Returns:
Time elapsed, in seconds

CSFML_API unsigned int sfWindow_GetHeight ( sfWindow * Window )

Get the height of the rendering region of a window.

Parameters:
Window : Window object
Returns:
Height in pixels

CSFML_API sfInput* sfWindow_GetInput ( sfWindow * Window )

Get the input manager of a window.

Parameters:
Window : Window object
Returns:
Reference to the input

CSFML_API sfWindowSettings sfWindow_GetSettings ( sfWindow * Window )

Get the creation settings of a window.

Parameters:
Window : Window object
Returns:
Settings used to create the window

CSFML_API unsigned int sfWindow_GetWidth ( sfWindow * Window )

Get the width of the rendering region of a window.

Parameters:
Window : Window object
Returns:
Width in pixels

CSFML_API sfBool sfWindow_IsOpened ( sfWindow * Window )

Tell whether or not a window is opened.

Parameters:
Window : Window object

CSFML_API sfBool sfWindow_SetActive | ( | sfWindow * | Window,
 |  | sfBool | Active
 | ) |  |

Activate or deactivate a window as the current target for rendering.

Parameters:
Window | : Window object
Active | : sfTrue to activate, sfFalse to deactivate
Returns:
True if operation was successful, false otherwise

CSFML_API void sfWindow_SetCursorPosition | ( | sfWindow * | Window,
 |  | unsigned int | Left,
 |  | unsigned int | Top
 | ) |  |

Change the position of the mouse cursor on a window.

Parameters:
Window | : Window object
Left | : Left coordinate of the cursor, relative to the window
Top | : Top coordinate of the cursor, relative to the window

CSFML_API void sfWindow_SetFramerateLimit | ( | sfWindow * | Window,
 |  | unsigned int | Limit
 | ) |  |

Limit the framerate to a maximum fixed frequency for a window.

Parameters:
Window | : Window object
Limit | : Framerate limit, in frames per seconds (use 0 to disable limit)

CSFML_API void sfWindow_SetIcon | ( | sfWindow * | Window,
 |  | unsigned int | Width,
 |  | unsigned int | Height,
 |  | sfUint8 * | Pixels
 | ) |  |

Change the window's icon.

Parameters:
Window | : Window object
Width | : Icon's width, in pixels
Height | : Icon's height, in pixels
Pixels | : Pointer to the pixels in memory, format must be RGBA 32 bits

CSFML_API void sfWindow_SetJoystickThreshold | ( | sfWindow * | Window,
 |  | float | Threshold
 | ) |  |

Change the joystick threshold, ie.

the value below which no move event will be generated

Parameters:
Window | : Window object
Threshold | : New threshold, in range [0, 100]

CSFML_API void sfWindow_SetPosition | ( | sfWindow * | Window,
 |  | int | Left,
 |  | int | Top
 | ) |  |

Change the position of a window on screen.

Only works for top-level windows

Parameters:
Window | : Window object
Left | : Left position
Top | : Top position

CSFML_API void sfWindow_SetSize | ( | sfWindow * | Window,
 |  | unsigned int | Width,
 |  | unsigned int | Height
 | ) |  |

Change the size of the rendering region of a window.

Parameters:
Window | : Window object
Width | : New Width
Height | : New Height

CSFML_API void sfWindow_Show | ( | sfWindow * | Window,
 |  | sfBool | State
 | ) |  |

Show or hide a window.

Parameters:
Window | : Window object
State | : sfTrue to show, sfFalse to hide

CSFML_API void sfWindow_ShowMouseCursor | ( | sfWindow * | Window,
 |  | sfBool | Show
 | ) |  |

Show or hide the mouse cursor on a window.

Parameters:
Window | : Window object
Show | : sfTrue to show, sfFalse to hide

CSFML_API void sfWindow_UseVerticalSync | ( | sfWindow * | Window,
 |  | sfBool | Enabled
 | ) |  |

Enable / disable vertical synchronization on a window.

Parameters:
Window | : Window object
Enabled | : sfTrue to enable v-sync, sfFalse to deactivate


Window.h File Reference

#include <SFML/System.h>
#include <SFML/Window/Context.h>
#include <SFML/Window/Event.h>
#include <SFML/Window/Input.h>
#include <SFML/Window/OpenGL.h>
#include <SFML/Window/VideoMode.h>
#include <SFML/Window/Window.h>

Go to the source code of this file.


WindowHandle.h File Reference

#include <SFML/Config.h>

Go to the source code of this file.


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • c
  • s
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- c -

  • CSFML_API : Config.h


Types.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_AUDIO_TYPES_H
00026 #define SFML_AUDIO_TYPES_H
00027
00028
00029 typedef struct sfMusic sfMusic;
00030 typedef struct sfSound sfSound;
00031 typedef struct sfSoundBuffer sfSoundBuffer;
00032 typedef struct sfSoundBufferRecorder sfSoundBufferRecorder;
00033 typedef struct sfSoundRecorder sfSoundRecorder;
00034 typedef struct sfSoundStream sfSoundStream;
00035
00036
00037 #endif // SFML_AUDIO_TYPES_H


Audio.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_AUDIO_H
00026 #define SFML_AUDIO_H
00027
00029 // Headers
00031
00032 #include <SFML/System.h>
00033 #include <SFML/Audio/Listener.h>
00034 #include <SFML/Audio/Music.h>
00035 #include <SFML/Audio/Sound.h>
00036 #include <SFML/Audio/SoundBuffer.h>
00037 #include <SFML/Audio/SoundBufferRecorder.h>
00038 #include <SFML/Audio/SoundRecorder.h>
00039
00040
00041 #endif // SFML_AUDIO_H


BlendMode.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_BLENDMODE_H
00026 #define SFML_BLENDMODE_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00037 typedef enum
00038 {
00039     sfBlendAlpha,
00040     sfBlendAdd,
00041     sfBlendMultiply,
00042     sfBlendNone
00043 } sfBlendMode;
00044
00045
00046 #endif // SFML_BLENDMODE_H


  • Data Structures
  • Data Structure Index
  • Data Fields

Data Structure Index

S

S
sfGlyph sfJoyMoveEvent sfMouseWheelEvent sfTextEvent
sfColor sfIntRect sfKeyEvent sfSizeEvent sfVideoMode
sfEvent sfIPAddress sfMouseButtonEvent sfSoundStreamChunk sfWindowSettings
sfFloatRect sfJoyButtonEvent sfMouseMoveEvent

S


Clock.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_CLOCK_H
00026 #define SFML_CLOCK_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/System/Types.h>
00033
00034
00041 CSFML_API sfClock* sfClock_Create();
00042
00049 CSFML_API void sfClock_Destroy(sfClock* Clock);
00050
00057 CSFML_API float sfClock_GetTime(sfClock* Clock);
00058
00065 CSFML_API void sfClock_Reset(sfClock* Clock);
00066
00067
00068 #endif // SFML_CLOCK_H


Color.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_COLOR_H
00026 #define SFML_COLOR_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00037 typedef struct
00038 {
00039     sfUint8 r;
00040     sfUint8 g;
00041     sfUint8 b;
00042     sfUint8 a;
00043 } sfColor;
00044
00045
00049 CSFML_API sfColor sfBlack;
00050 CSFML_API sfColor sfWhite;
00051 CSFML_API sfColor sfRed;
00052 CSFML_API sfColor sfGreen;
00053 CSFML_API sfColor sfBlue;
00054 CSFML_API sfColor sfYellow;
00055 CSFML_API sfColor sfMagenta;
00056 CSFML_API sfColor sfCyan;
00057
00058
00069 CSFML_API sfColor sfColor_FromRGB(sfUint8 R, sfUint8 G, sfUint8 B);
00070
00082 CSFML_API sfColor sfColor_FromRGBA(sfUint8 R, sfUint8 G, sfUint8 B, sfUint8 A);
00083
00093 CSFML_API sfColor sfColor_Add(sfColor Color1, sfColor Color2);
00094
00104 CSFML_API sfColor sfColor_Modulate(sfColor Color1, sfColor Color2);
00105
00106
00107 #endif // SFML_COLOR_H


Config.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_CONFIG_H
00026 #define SFML_CONFIG_H
00027
00028
00030 // Identify the operating system
00032 #if defined(_WIN32) || defined(__WIN32__)
00033
00034     // Windows
00035     #define CSFML_SYSTEM_WINDOWS
00036
00037 #elif defined(linux) || defined(__linux)
00038
00039     // Linux
00040     #define CSFML_SYSTEM_LINUX
00041
00042 #elif defined(__APPLE__) || defined(MACOSX) || defined(macintosh) || defined(Macintosh)
00043
00044     // MacOS
00045     #define CSFML_SYSTEM_MACOS
00046
00047 #elif defined(__FreeBSD__) || defined(__FreeBSD_kernel__)
00048
00049     // FreeBSD
00050     #define CSFML_SYSTEM_FREEBSD
00051
00052 #else
00053
00054     // Unsupported system
00055     #error This operating system is not supported by SFML library
00056
00057 #endif
00058
00059
00061 // Define portable import / export macros
00063 #ifdef CSFML_EXPORTS
00064
00065     #define CSFML_API extern "C"
00066
00067 #else
00068
00069     #define CSFML_API extern
00070
00071 #endif
00072
00073
00075 // Define a portable boolean type
00077 typedef int sfBool;
00078 #define sfFalse 0
00079 #define sfTrue  1
00080
00081
00083 // Define portable types
00085 #include <stdlib.h>
00086 #include <limits.h>
00087
00088 // 8 bits integer types
00089 #if UCHAR_MAX == 0xFF
00090     typedef signed   char sfInt8;
00091     typedef unsigned char sfUint8;
00092 #else
00093     #error No 8 bits integer type for this platform
00094 #endif
00095
00096 // 16 bits integer types
00097 #if USHRT_MAX == 0xFFFF
00098     typedef signed   short sfInt16;
00099     typedef unsigned short sfUint16;
00100 #elif UINT_MAX == 0xFFFF
00101     typedef signed   int sfInt16;
00102     typedef unsigned int sfUint16;
00103 #elif ULONG_MAX == 0xFFFF
00104     typedef signed   long sfInt16;
00105     typedef unsigned long sfUint16;
00106 #else
00107     #error No 16 bits integer type for this platform
00108 #endif
00109
00110 // 32 bits integer types
00111 #if USHRT_MAX == 0xFFFFFFFF
00112     typedef signed   short sfInt32;
00113     typedef unsigned short sfUint32;
00114 #elif UINT_MAX == 0xFFFFFFFF
00115     typedef signed   int sfInt32;
00116     typedef unsigned int sfUint32;
00117 #elif ULONG_MAX == 0xFFFFFFFF
00118     typedef signed   long sfInt32;
00119     typedef unsigned long sfUint32;
00120 #else
00121     #error No 32 bits integer type for this platform
00122 #endif
00123
00124
00125 #endif // SFML_CONFIG_H


Context.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_CONTEXT_H
00026 #define SFML_CONTEXT_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Window/Types.h>
00033
00034
00041 CSFML_API sfContext* sfContext_Create();
00042
00049 CSFML_API void sfContext_Destroy(sfContext* Context);
00050
00058 CSFML_API void sfContext_SetActive(sfContext* Context, sfBool Active);
00059
00060
00061 #endif // SFML_CONTEXT_H


Doxygen.hpp

Go to the documentation of this file.
00001
00002
00003
00004
00005
00006
00007
00008
00009
00010
00011
00012
00013
00014
00015
00016
00017
00018
00019
00020
00021
00022
00023
00024
00025
00026
00027
00028
00029
00030
00031
00032
00033
00034
00035
00036
00037
00038
00039
00040
00041
00042
00043
00044
00045
00046
00047
00048
00049
00050
00051
00052
00053
00054
00055
00056
00057
00058
00059
00060
00061
00062
00063
00064
00065
00066
00067
00068
00069
00070
00071
00072
00073
00074
00075
00076
00077
00078
00079
00080
00081
00082
00083
00084
00085
00086
00087
00088
00089
00090
00091
00092
00093
00094
00095


Event.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_EVENT_H
00026 #define SFML_EVENT_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00037 typedef enum
00038 {
00039     sfKeyA = 'a',
00040     sfKeyB = 'b',
00041     sfKeyC = 'c',
00042     sfKeyD = 'd',
00043     sfKeyE = 'e',
00044     sfKeyF = 'f',
00045     sfKeyG = 'g',
00046     sfKeyH = 'h',
00047     sfKeyI = 'i',
00048     sfKeyJ = 'j',
00049     sfKeyK = 'k',
00050     sfKeyL = 'l',
00051     sfKeyM = 'm',
00052     sfKeyN = 'n',
00053     sfKeyO = 'o',
00054     sfKeyP = 'p',
00055     sfKeyQ = 'q',
00056     sfKeyR = 'r',
00057     sfKeyS = 's',
00058     sfKeyT = 't',
00059     sfKeyU = 'u',
00060     sfKeyV = 'v',
00061     sfKeyW = 'w',
00062     sfKeyX = 'x',
00063     sfKeyY = 'y',
00064     sfKeyZ = 'z',
00065     sfKeyNum0 = '0',
00066     sfKeyNum1 = '1',
00067     sfKeyNum2 = '2',
00068     sfKeyNum3 = '3',
00069     sfKeyNum4 = '4',
00070     sfKeyNum5 = '5',
00071     sfKeyNum6 = '6',
00072     sfKeyNum7 = '7',
00073     sfKeyNum8 = '8',
00074     sfKeyNum9 = '9',
00075     sfKeyEscape = 256,
00076     sfKeyLControl,
00077     sfKeyLShift,
00078     sfKeyLAlt,
00079     sfKeyLSystem,
00080     sfKeyRControl,
00081     sfKeyRShift,
00082     sfKeyRAlt,
00083     sfKeyRSystem,
00084     sfKeyMenu,
00085     sfKeyLBracket,
00086     sfKeyRBracket,
00087     sfKeySemiColon,
00088     sfKeyComma,
00089     sfKeyPeriod,
00090     sfKeyQuote,
00091     sfKeySlash,
00092     sfKeyBackSlash,
00093     sfKeyTilde,
00094     sfKeyEqual,
00095     sfKeyDash,
00096     sfKeySpace,
00097     sfKeyReturn,
00098     sfKeyBack,
00099     sfKeyTab,
00100     sfKeyPageUp,
00101     sfKeyPageDown,
00102     sfKeyEnd,
00103     sfKeyHome,
00104     sfKeyInsert,
00105     sfKeyDelete,
00106     sfKeyAdd,
00107     sfKeySubtract,
00108     sfKeyMultiply,
00109     sfKeyDivide,
00110     sfKeyLeft,
00111     sfKeyRight,
00112     sfKeyUp,
00113     sfKeyDown,
00114     sfKeyNumpad0,
00115     sfKeyNumpad1,
00116     sfKeyNumpad2,
00117     sfKeyNumpad3,
00118     sfKeyNumpad4,
00119     sfKeyNumpad5,
00120     sfKeyNumpad6,
00121     sfKeyNumpad7,
00122     sfKeyNumpad8,
00123     sfKeyNumpad9,
00124     sfKeyF1,
00125     sfKeyF2,
00126     sfKeyF3,
00127     sfKeyF4,
00128     sfKeyF5,
00129     sfKeyF6,
00130     sfKeyF7,
00131     sfKeyF8,
00132     sfKeyF9,
00133     sfKeyF10,
00134     sfKeyF11,
00135     sfKeyF12,
00136     sfKeyF13,
00137     sfKeyF14,
00138     sfKeyF15,
00139     sfKeyPause,
00140
00141     sfKeyCount // For internal use
00142 } sfKeyCode;
00143
00144
00148 typedef enum
00149 {
00150     sfButtonLeft,
00151     sfButtonRight,
00152     sfButtonMiddle,
00153     sfButtonX1,
00154     sfButtonX2
00155 } sfMouseButton;
00156
00157
00161 typedef enum
00162 {
00163     sfJoyAxisX,
00164     sfJoyAxisY,
00165     sfJoyAxisZ,
00166     sfJoyAxisR,
00167     sfJoyAxisU,
00168     sfJoyAxisV,
00169     sfJoyAxisPOV
00170 } sfJoyAxis;
00171
00172
00176 typedef enum
00177 {
00178     sfEvtClosed,
00179     sfEvtResized,
00180     sfEvtLostFocus,
00181     sfEvtGainedFocus,
00182     sfEvtTextEntered,
00183     sfEvtKeyPressed,
00184     sfEvtKeyReleased,
00185     sfEvtMouseWheelMoved,
00186     sfEvtMouseButtonPressed,
00187     sfEvtMouseButtonReleased,
00188     sfEvtMouseMoved,
00189     sfEvtMouseEntered,
00190     sfEvtMouseLeft,
00191     sfEvtJoyButtonPressed,
00192     sfEvtJoyButtonReleased,
00193     sfEvtJoyMoved
00194 } sfEventType;
00195
00196
00200 struct sfKeyEvent
00201 {
00202     sfEventType Type;
00203     sfKeyCode   Code;
00204     sfBool      Alt;
00205     sfBool      Control;
00206     sfBool      Shift;
00207 };
00208
00212 struct sfTextEvent
00213 {
00214     sfEventType Type;
00215     sfUint32    Unicode;
00216 };
00217
00221 struct sfMouseMoveEvent
00222 {
00223     sfEventType Type;
00224     int         X;
00225     int         Y;
00226 };
00227
00231 struct sfMouseButtonEvent
00232 {
00233     sfEventType   Type;
00234     sfMouseButton Button;
00235     int           X;
00236     int           Y;
00237 };
00238
00242 struct sfMouseWheelEvent
00243 {
00244     sfEventType Type;
00245     int         Delta;
00246 };
00247
00251 struct sfJoyMoveEvent
00252 {
00253     sfEventType  Type;
00254     unsigned int JoystickId;
00255     sfJoyAxis    Axis;
00256     float        Position;
00257 };
00258
00262 struct sfJoyButtonEvent
00263 {
00264     sfEventType  Type;
00265     unsigned int JoystickId;
00266     unsigned int Button;
00267 };
00268
00272 struct sfSizeEvent
00273 {
00274     sfEventType  Type;
00275     unsigned int Width;
00276     unsigned int Height;
00277 };
00278
00279
00283 typedef union
00284 {
00286     // Member data
00288     sfEventType               Type;
00289     struct sfKeyEvent         Key;
00290     struct sfTextEvent        Text;
00291     struct sfMouseMoveEvent   MouseMove;
00292     struct sfMouseButtonEvent MouseButton;
00293     struct sfMouseWheelEvent  MouseWheel;
00294     struct sfJoyMoveEvent     JoyMove;
00295     struct sfJoyButtonEvent   JoyButton;
00296     struct sfSizeEvent        Size;
00297 } sfEvent;
00298
00299
00300 #endif // SFML_EVENT_H


Font.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_FONT_H
00026 #define SFML_FONT_H
00027
00029 // Headers
00031 #include <SFML/Graphics/Glyph.h>
00032 #include <SFML/Graphics/Types.h>
00033
00034
00041 CSFML_API sfFont* sfFont_Create();
00042
00053 CSFML_API sfFont* sfFont_CreateFromFile(const char* Filename, unsigned int CharSize, const sfUint32* Charset);
00054
00066 CSFML_API sfFont* sfFont_CreateFromMemory(const char* Data, size_t SizeInBytes, unsigned int CharSize, const sfUint32* Charset);
00067
00074 CSFML_API void sfFont_Destroy(sfFont* Font);
00075
00085 CSFML_API unsigned int sfFont_GetCharacterSize(sfFont* Font);
00086
00093 CSFML_API sfFont* sfFont_GetDefaultFont();
00094
00095
00096 #endif // SFML_IMAGE_H


Ftp.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_FTP_H
00026 #define SFML_FTP_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/IPAddress.h>
00033 #include <SFML/Network/Types.h>
00034
00035
00039 enum sfFtpTransferMode
00040 {
00041     sfFtpBinary,
00042     sfFtpAscii,
00043     sfFtpEbcdic
00044 };
00045
00046
00051 enum sfFtpStatus
00052 {
00053     // 1xx: the requested action is being initiated,
00054     // expect another reply before proceeding with a new command
00055     sfFtpRestartMarkerReply          = 110,
00056     sfFtpServiceReadySoon            = 120,
00057     sfFtpDataConnectionAlreadyOpened = 125,
00058     sfFtpOpeningDataConnection       = 150,
00059
00060     // 2xx: the requested action has been successfully completed
00061     sfFtpOk                    = 200,
00062     sfFtpPointlessCommand      = 202,
00063     sfFtpSystemStatus          = 211,
00064     sfFtpDirectoryStatus       = 212,
00065     sfFtpFileStatus            = 213,
00066     sfFtpHelpMessage           = 214,
00067     sfFtpSystemType            = 215,
00068     sfFtpServiceReady          = 220,
00069     sfFtpClosingConnection     = 221,
00070     sfFtpDataConnectionOpened  = 225,
00071     sfFtpClosingDataConnection = 226,
00072     sfFtpEnteringPassiveMode   = 227,
00073     sfFtpLoggedIn              = 230,
00074     sfFtpFileActionOk          = 250,
00075     sfFtpDirectoryOk           = 257,
00076
00077     // 3xx: the command has been accepted, but the requested action
00078     // is dormant, pending receipt of further information
00079     sfFtpNeedPassword       = 331,
00080     sfFtpNeedAccountToLogIn = 332,
00081     sfFtpNeedInformation    = 350,
00082
00083     // 4xx: the command was not accepted and the requested action did not take place,
00084     // but the error condition is temporary and the action may be requested again
00085     sfFtpServiceUnavailable        = 421,
00086     sfFtpDataConnectionUnavailable = 425,
00087     sfFtpTransferAborted           = 426,
00088     sfFtpFileActionAborted         = 450,
00089     sfFtpLocalError                = 451,
00090     sfFtpInsufficientStorageSpace  = 452,
00091
00092     // 5xx: the command was not accepted and
00093     // the requested action did not take place
00094     sfFtpCommandUnknown          = 500,
00095     sfFtpParametersUnknown       = 501,
00096     sfFtpCommandNotImplemented   = 502,
00097     sfFtpBadCommandSequence      = 503,
00098     sfFtpParameterNotImplemented = 504,
00099     sfFtpNotLoggedIn             = 530,
00100     sfFtpNeedAccountToStore      = 532,
00101     sfFtpFileUnavailable         = 550,
00102     sfFtpPageTypeUnknown         = 551,
00103     sfFtpNotEnoughMemory         = 552,
00104     sfFtpFilenameNotAllowed      = 553,
00105
00106     // 10xx: SFML custom codes
00107     sfFtpInvalidResponse  = 1000,
00108     sfFtpConnectionFailed = 1001,
00109     sfFtpConnectionClosed = 1002,
00110     sfFtpInvalidFile      = 1003
00111 };
00112
00113
00120 CSFML_API void sfFtpListingResponse_Destroy(sfFtpListingResponse* FtpListingResponse);
00121
00131 CSFML_API sfBool sfFtpListingResponse_IsOk(sfFtpListingResponse* FtpListingResponse);
00132
00141 CSFML_API sfFtpStatus sfFtpListingResponse_GetStatus(sfFtpListingResponse* FtpListingResponse);
00142
00151 CSFML_API const char* sfFtpListingResponse_GetMessage(sfFtpListingResponse* FtpListingResponse);
00152
00161 CSFML_API size_t sfFtpListingResponse_GetCount(sfFtpListingResponse* FtpListingResponse);
00162
00172 CSFML_API const char* sfFtpListingResponse_GetFilename(sfFtpListingResponse* FtpListingResponse, size_t Index);
00173
00180 CSFML_API void sfFtpDirectoryResponse_Destroy(sfFtpDirectoryResponse* FtpDirectoryResponse);
00181
00191 CSFML_API sfBool sfFtpDirectoryResponse_IsOk(sfFtpDirectoryResponse* FtpDirectoryResponse);
00192
00201 CSFML_API sfFtpStatus sfFtpDirectoryResponse_GetStatus(sfFtpDirectoryResponse* FtpDirectoryResponse);
00202
00211 CSFML_API const char* sfFtpDirectoryResponse_GetMessage(sfFtpDirectoryResponse* FtpDirectoryResponse);
00212
00221 CSFML_API const char* sfFtpDirectoryResponse_GetDirectory(sfFtpDirectoryResponse* FtpDirectoryResponse);
00222
00223
00230 CSFML_API void sfFtpResponse_Destroy(sfFtpResponse* FtpResponse);
00231
00241 CSFML_API sfBool sfFtpResponse_IsOk(sfFtpResponse* FtpResponse);
00242
00251 CSFML_API sfFtpStatus sfFtpResponse_GetStatus(sfFtpResponse* FtpResponse);
00252
00261 CSFML_API const char* sfFtpResponse_GetMessage(sfFtpResponse* FtpResponse);
00262
00269 CSFML_API sfFtp* sfFtp_Create();
00270
00277 CSFML_API void sfFtp_Destroy(sfFtp* Ftp);
00278
00290 CSFML_API sfFtpResponse* sfFtp_Connect(sfFtp* Ftp, sfIPAddress Server, unsigned short Port, float Timeout);
00291
00300 CSFML_API sfFtpResponse* sfFtp_LoginAnonymous(sfFtp* Ftp);
00301
00312 CSFML_API sfFtpResponse* sfFtp_Login(sfFtp* Ftp, const char* UserName, const char* Password);
00313
00322 CSFML_API sfFtpResponse* sfFtp_Disconnect(sfFtp* Ftp);
00323
00332 CSFML_API sfFtpResponse* sfFtp_KeepAlive(sfFtp* Ftp);
00333
00342 CSFML_API sfFtpDirectoryResponse* sfFtp_GetWorkingDirectory(sfFtp* Ftp);
00343
00354 CSFML_API sfFtpListingResponse* sfFtp_GetDirectoryListing(sfFtp* Ftp, const char* Directory);
00355
00365 CSFML_API sfFtpResponse* sfFtp_ChangeDirectory(sfFtp* Ftp, const char* Directory);
00366
00375 CSFML_API sfFtpResponse* sfFtp_ParentDirectory(sfFtp* Ftp);
00376
00386 CSFML_API sfFtpResponse* sfFtp_MakeDirectory(sfFtp* Ftp, const char* Name);
00387
00397 CSFML_API sfFtpResponse* sfFtp_DeleteDirectory(sfFtp* Ftp, const char* Name);
00398
00409 CSFML_API sfFtpResponse* sfFtp_RenameFile(sfFtp* Ftp, const char* File, const char* NewName);
00410
00420 CSFML_API sfFtpResponse* sfFtp_DeleteFile(sfFtp* Ftp, const char* Name);
00421
00433 CSFML_API sfFtpResponse* sfFtp_Download(sfFtp* Ftp, const char* DistantFile, const char* DestPath, sfFtpTransferMode Mode);
00434
00446 CSFML_API sfFtpResponse* sfFtp_Upload(sfFtp* Ftp, const char* LocalFile, const char* DestPath, sfFtpTransferMode Mode);
00447
00448
00449 #endif // SFML_FTP_H


  • Data Structures
  • Data Structure Index
  • Data Fields
  • All
  • Variables
  • a
  • b
  • c
  • d
  • g
  • h
  • j
  • k
  • l
  • m
  • n
  • p
  • r
  • s
  • t
  • u
  • w
  • x
  • y

- a -

  • a : sfColor
  • Address : sfIPAddress
  • Advance : sfGlyph
  • Alt : sfKeyEvent
  • AntialiasingLevel : sfWindowSettings
  • Axis : sfJoyMoveEvent

- b -

  • b : sfColor
  • BitsPerPixel : sfVideoMode
  • Bottom : sfIntRect , sfFloatRect
  • Button : sfJoyButtonEvent , sfMouseButtonEvent

- c -

  • Code : sfKeyEvent
  • Control : sfKeyEvent

- d -

  • Delta : sfMouseWheelEvent
  • DepthBits : sfWindowSettings

- g -

  • g : sfColor

- h -

  • Height : sfSizeEvent , sfVideoMode

- j -

  • JoyButton : sfEvent
  • JoyMove : sfEvent
  • JoystickId : sfJoyMoveEvent , sfJoyButtonEvent

- k -

  • Key : sfEvent

- l -

  • Left : sfFloatRect , sfIntRect

- m -

  • MouseButton : sfEvent
  • MouseMove : sfEvent
  • MouseWheel : sfEvent

- n -

  • NbSamples : sfSoundStreamChunk

- p -

  • Position : sfJoyMoveEvent

- r -

  • r : sfColor
  • Rectangle : sfGlyph
  • Right : sfFloatRect , sfIntRect

- s -

  • Samples : sfSoundStreamChunk
  • Shift : sfKeyEvent
  • Size : sfEvent
  • StencilBits : sfWindowSettings

- t -

  • TexCoords : sfGlyph
  • Text : sfEvent
  • Top : sfIntRect , sfFloatRect
  • Type : sfJoyMoveEvent , sfMouseWheelEvent , sfMouseButtonEvent , sfMouseMoveEvent , sfTextEvent , sfKeyEvent , sfEvent , sfJoyButtonEvent , sfSizeEvent

- u -

  • Unicode : sfTextEvent

- w -

  • Width : sfSizeEvent , sfVideoMode

- x -

  • X : sfMouseMoveEvent , sfMouseButtonEvent

- y -

  • Y : sfMouseMoveEvent , sfMouseButtonEvent


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • c
  • s
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

- s -

  • sfBlack : Color.h
  • sfBlendAdd : BlendMode.h
  • sfBlendAlpha : BlendMode.h
  • sfBlendMode : BlendMode.h
  • sfBlendMultiply : BlendMode.h
  • sfBlendNone : BlendMode.h
  • sfBlue : Color.h
  • sfBool : Config.h
  • sfButtonLeft : Event.h
  • sfButtonMiddle : Event.h
  • sfButtonRight : Event.h
  • sfButtonX1 : Event.h
  • sfButtonX2 : Event.h
  • sfClock : System/Types.h
  • sfClock_Create() : Clock.h
  • sfClock_Destroy() : Clock.h
  • sfClock_GetTime() : Clock.h
  • sfClock_Reset() : Clock.h
  • sfClose : Window/Window.h
  • sfColor_Add() : Color.h
  • sfColor_FromRGB() : Color.h
  • sfColor_FromRGBA() : Color.h
  • sfColor_Modulate() : Color.h
  • sfContext : Window/Types.h
  • sfContext_Create() : Context.h
  • sfContext_Destroy() : Context.h
  • sfContext_SetActive() : Context.h
  • sfCyan : Color.h
  • sfEventType : Event.h
  • sfEvtClosed : Event.h
  • sfEvtGainedFocus : Event.h
  • sfEvtJoyButtonPressed : Event.h
  • sfEvtJoyButtonReleased : Event.h
  • sfEvtJoyMoved : Event.h
  • sfEvtKeyPressed : Event.h
  • sfEvtKeyReleased : Event.h
  • sfEvtLostFocus : Event.h
  • sfEvtMouseButtonPressed : Event.h
  • sfEvtMouseButtonReleased : Event.h
  • sfEvtMouseEntered : Event.h
  • sfEvtMouseLeft : Event.h
  • sfEvtMouseMoved : Event.h
  • sfEvtMouseWheelMoved : Event.h
  • sfEvtResized : Event.h
  • sfEvtTextEntered : Event.h
  • sfFalse : Config.h
  • sfFloatRect_Contains() : Rect.h
  • sfFloatRect_Intersects() : Rect.h
  • sfFloatRect_Offset() : Rect.h
  • sfFont : Graphics/Types.h
  • sfFont_Create() : Font.h
  • sfFont_CreateFromFile() : Font.h
  • sfFont_CreateFromMemory() : Font.h
  • sfFont_Destroy() : Font.h
  • sfFont_GetCharacterSize() : Font.h
  • sfFont_GetDefaultFont() : Font.h
  • sfFtp : Network/Types.h
  • sfFtp_ChangeDirectory() : Ftp.h
  • sfFtp_Connect() : Ftp.h
  • sfFtp_Create() : Ftp.h
  • sfFtp_DeleteDirectory() : Ftp.h
  • sfFtp_DeleteFile() : Ftp.h
  • sfFtp_Destroy() : Ftp.h
  • sfFtp_Disconnect() : Ftp.h
  • sfFtp_Download() : Ftp.h
  • sfFtp_GetDirectoryListing() : Ftp.h
  • sfFtp_GetWorkingDirectory() : Ftp.h
  • sfFtp_KeepAlive() : Ftp.h
  • sfFtp_Login() : Ftp.h
  • sfFtp_LoginAnonymous() : Ftp.h
  • sfFtp_MakeDirectory() : Ftp.h
  • sfFtp_ParentDirectory() : Ftp.h
  • sfFtp_RenameFile() : Ftp.h
  • sfFtp_Upload() : Ftp.h
  • sfFtpAscii : Ftp.h
  • sfFtpBadCommandSequence : Ftp.h
  • sfFtpBinary : Ftp.h
  • sfFtpClosingConnection : Ftp.h
  • sfFtpClosingDataConnection : Ftp.h
  • sfFtpCommandNotImplemented : Ftp.h
  • sfFtpCommandUnknown : Ftp.h
  • sfFtpConnectionClosed : Ftp.h
  • sfFtpConnectionFailed : Ftp.h
  • sfFtpDataConnectionAlreadyOpened : Ftp.h
  • sfFtpDataConnectionOpened : Ftp.h
  • sfFtpDataConnectionUnavailable : Ftp.h
  • sfFtpDirectoryOk : Ftp.h
  • sfFtpDirectoryResponse : Network/Types.h
  • sfFtpDirectoryResponse_Destroy() : Ftp.h
  • sfFtpDirectoryResponse_GetDirectory() : Ftp.h
  • sfFtpDirectoryResponse_GetMessage() : Ftp.h
  • sfFtpDirectoryResponse_GetStatus() : Ftp.h
  • sfFtpDirectoryResponse_IsOk() : Ftp.h
  • sfFtpDirectoryStatus : Ftp.h
  • sfFtpEbcdic : Ftp.h
  • sfFtpEnteringPassiveMode : Ftp.h
  • sfFtpFileActionAborted : Ftp.h
  • sfFtpFileActionOk : Ftp.h
  • sfFtpFilenameNotAllowed : Ftp.h
  • sfFtpFileStatus : Ftp.h
  • sfFtpFileUnavailable : Ftp.h
  • sfFtpHelpMessage : Ftp.h
  • sfFtpInsufficientStorageSpace : Ftp.h
  • sfFtpInvalidFile : Ftp.h
  • sfFtpInvalidResponse : Ftp.h
  • sfFtpListingResponse : Network/Types.h
  • sfFtpListingResponse_Destroy() : Ftp.h
  • sfFtpListingResponse_GetCount() : Ftp.h
  • sfFtpListingResponse_GetFilename() : Ftp.h
  • sfFtpListingResponse_GetMessage() : Ftp.h
  • sfFtpListingResponse_GetStatus() : Ftp.h
  • sfFtpListingResponse_IsOk() : Ftp.h
  • sfFtpLocalError : Ftp.h
  • sfFtpLoggedIn : Ftp.h
  • sfFtpNeedAccountToLogIn : Ftp.h
  • sfFtpNeedAccountToStore : Ftp.h
  • sfFtpNeedInformation : Ftp.h
  • sfFtpNeedPassword : Ftp.h
  • sfFtpNotEnoughMemory : Ftp.h
  • sfFtpNotLoggedIn : Ftp.h
  • sfFtpOk : Ftp.h
  • sfFtpOpeningDataConnection : Ftp.h
  • sfFtpPageTypeUnknown : Ftp.h
  • sfFtpParameterNotImplemented : Ftp.h
  • sfFtpParametersUnknown : Ftp.h
  • sfFtpPointlessCommand : Ftp.h
  • sfFtpResponse : Network/Types.h
  • sfFtpResponse_Destroy() : Ftp.h
  • sfFtpResponse_GetMessage() : Ftp.h
  • sfFtpResponse_GetStatus() : Ftp.h
  • sfFtpResponse_IsOk() : Ftp.h
  • sfFtpRestartMarkerReply : Ftp.h
  • sfFtpServiceReady : Ftp.h
  • sfFtpServiceReadySoon : Ftp.h
  • sfFtpServiceUnavailable : Ftp.h
  • sfFtpStatus : Ftp.h
  • sfFtpSystemStatus : Ftp.h
  • sfFtpSystemType : Ftp.h
  • sfFtpTransferAborted : Ftp.h
  • sfFtpTransferMode : Ftp.h
  • sfFullscreen : Window/Window.h
  • sfGreen : Color.h
  • sfHttp : Network/Types.h
  • sfHttp_Create() : Http.h
  • sfHttp_Destroy() : Http.h
  • sfHttp_SendRequest() : Http.h
  • sfHttp_SetHost() : Http.h
  • sfHttpAccepted : Http.h
  • sfHttpBadGateway : Http.h
  • sfHttpBadRequest : Http.h
  • sfHttpConnectionFailed : Http.h
  • sfHttpCreated : Http.h
  • sfHttpForbidden : Http.h
  • sfHttpGet : Http.h
  • sfHttpHead : Http.h
  • sfHttpInternalServerError : Http.h
  • sfHttpInvalidResponse : Http.h
  • sfHttpMethod : Http.h
  • sfHttpMovedPermanently : Http.h
  • sfHttpMovedTemporarily : Http.h
  • sfHttpMultipleChoices : Http.h
  • sfHttpNoContent : Http.h
  • sfHttpNotFound : Http.h
  • sfHttpNotImplemented : Http.h
  • sfHttpNotModified : Http.h
  • sfHttpOk : Http.h
  • sfHttpPost : Http.h
  • sfHttpRequest : Network/Types.h
  • sfHttpRequest_Create() : Http.h
  • sfHttpRequest_Destroy() : Http.h
  • sfHttpRequest_SetBody() : Http.h
  • sfHttpRequest_SetField() : Http.h
  • sfHttpRequest_SetHttpVersion() : Http.h
  • sfHttpRequest_SetMethod() : Http.h
  • sfHttpRequest_SetURI() : Http.h
  • sfHttpResponse : Network/Types.h
  • sfHttpResponse_Destroy() : Http.h
  • sfHttpResponse_GetBody() : Http.h
  • sfHttpResponse_GetField() : Http.h
  • sfHttpResponse_GetMajorVersion() : Http.h
  • sfHttpResponse_GetMinorVersion() : Http.h
  • sfHttpResponse_GetStatus() : Http.h
  • sfHttpServiceNotAvailable : Http.h
  • sfHttpStatus : Http.h
  • sfHttpUnauthorized : Http.h
  • sfImage : Graphics/Types.h
  • sfImage_Bind() : Image.h
  • sfImage_Copy() : Image.h
  • sfImage_CopyScreen() : Image.h
  • sfImage_Create() : Image.h
  • sfImage_CreateFromColor() : Image.h
  • sfImage_CreateFromFile() : Image.h
  • sfImage_CreateFromMemory() : Image.h
  • sfImage_CreateFromPixels() : Image.h
  • sfImage_CreateMaskFromColor() : Image.h
  • sfImage_Destroy() : Image.h
  • sfImage_GetHeight() : Image.h
  • sfImage_GetPixel() : Image.h
  • sfImage_GetPixelsPtr() : Image.h
  • sfImage_GetWidth() : Image.h
  • sfImage_IsSmooth() : Image.h
  • sfImage_SaveToFile() : Image.h
  • sfImage_SetPixel() : Image.h
  • sfImage_SetSmooth() : Image.h
  • sfInput : Window/Types.h
  • sfInput_GetJoystickAxis() : Input.h
  • sfInput_GetMouseX() : Input.h
  • sfInput_GetMouseY() : Input.h
  • sfInput_IsJoystickButtonDown() : Input.h
  • sfInput_IsKeyDown() : Input.h
  • sfInput_IsMouseButtonDown() : Input.h
  • sfIntRect_Contains() : Rect.h
  • sfIntRect_Intersects() : Rect.h
  • sfIntRect_Offset() : Rect.h
  • sfIPAddress_FromBytes() : IPAddress.h
  • sfIPAddress_FromInteger() : IPAddress.h
  • sfIPAddress_FromString() : IPAddress.h
  • sfIPAddress_GetLocalAddress() : IPAddress.h
  • sfIPAddress_GetPublicAddress() : IPAddress.h
  • sfIPAddress_IsValid() : IPAddress.h
  • sfIPAddress_LocalHost() : IPAddress.h
  • sfIPAddress_ToInteger() : IPAddress.h
  • sfIPAddress_ToString() : IPAddress.h
  • sfJoyAxis : Event.h
  • sfJoyAxisPOV : Event.h
  • sfJoyAxisR : Event.h
  • sfJoyAxisU : Event.h
  • sfJoyAxisV : Event.h
  • sfJoyAxisX : Event.h
  • sfJoyAxisY : Event.h
  • sfJoyAxisZ : Event.h
  • sfKeyA : Event.h
  • sfKeyAdd : Event.h
  • sfKeyB : Event.h
  • sfKeyBack : Event.h
  • sfKeyBackSlash : Event.h
  • sfKeyC : Event.h
  • sfKeyCode : Event.h
  • sfKeyComma : Event.h
  • sfKeyCount : Event.h
  • sfKeyD : Event.h
  • sfKeyDash : Event.h
  • sfKeyDelete : Event.h
  • sfKeyDivide : Event.h
  • sfKeyDown : Event.h
  • sfKeyE : Event.h
  • sfKeyEnd : Event.h
  • sfKeyEqual : Event.h
  • sfKeyEscape : Event.h
  • sfKeyF : Event.h
  • sfKeyF1 : Event.h
  • sfKeyF10 : Event.h
  • sfKeyF11 : Event.h
  • sfKeyF12 : Event.h
  • sfKeyF13 : Event.h
  • sfKeyF14 : Event.h
  • sfKeyF15 : Event.h
  • sfKeyF2 : Event.h
  • sfKeyF3 : Event.h
  • sfKeyF4 : Event.h
  • sfKeyF5 : Event.h
  • sfKeyF6 : Event.h
  • sfKeyF7 : Event.h
  • sfKeyF8 : Event.h
  • sfKeyF9 : Event.h
  • sfKeyG : Event.h
  • sfKeyH : Event.h
  • sfKeyHome : Event.h
  • sfKeyI : Event.h
  • sfKeyInsert : Event.h
  • sfKeyJ : Event.h
  • sfKeyK : Event.h
  • sfKeyL : Event.h
  • sfKeyLAlt : Event.h
  • sfKeyLBracket : Event.h
  • sfKeyLControl : Event.h
  • sfKeyLeft : Event.h
  • sfKeyLShift : Event.h
  • sfKeyLSystem : Event.h
  • sfKeyM : Event.h
  • sfKeyMenu : Event.h
  • sfKeyMultiply : Event.h
  • sfKeyN : Event.h
  • sfKeyNum0 : Event.h
  • sfKeyNum1 : Event.h
  • sfKeyNum2 : Event.h
  • sfKeyNum3 : Event.h
  • sfKeyNum4 : Event.h
  • sfKeyNum5 : Event.h
  • sfKeyNum6 : Event.h
  • sfKeyNum7 : Event.h
  • sfKeyNum8 : Event.h
  • sfKeyNum9 : Event.h
  • sfKeyNumpad0 : Event.h
  • sfKeyNumpad1 : Event.h
  • sfKeyNumpad2 : Event.h
  • sfKeyNumpad3 : Event.h
  • sfKeyNumpad4 : Event.h
  • sfKeyNumpad5 : Event.h
  • sfKeyNumpad6 : Event.h
  • sfKeyNumpad7 : Event.h
  • sfKeyNumpad8 : Event.h
  • sfKeyNumpad9 : Event.h
  • sfKeyO : Event.h
  • sfKeyP : Event.h
  • sfKeyPageDown : Event.h
  • sfKeyPageUp : Event.h
  • sfKeyPause : Event.h
  • sfKeyPeriod : Event.h
  • sfKeyQ : Event.h
  • sfKeyQuote : Event.h
  • sfKeyR : Event.h
  • sfKeyRAlt : Event.h
  • sfKeyRBracket : Event.h
  • sfKeyRControl : Event.h
  • sfKeyReturn : Event.h
  • sfKeyRight : Event.h
  • sfKeyRShift : Event.h
  • sfKeyRSystem : Event.h
  • sfKeyS : Event.h
  • sfKeySemiColon : Event.h
  • sfKeySlash : Event.h
  • sfKeySpace : Event.h
  • sfKeySubtract : Event.h
  • sfKeyT : Event.h
  • sfKeyTab : Event.h
  • sfKeyTilde : Event.h
  • sfKeyU : Event.h
  • sfKeyUp : Event.h
  • sfKeyV : Event.h
  • sfKeyW : Event.h
  • sfKeyX : Event.h
  • sfKeyY : Event.h
  • sfKeyZ : Event.h
  • sfListener_GetGlobalVolume() : Listener.h
  • sfListener_GetPosition() : Listener.h
  • sfListener_GetTarget() : Listener.h
  • sfListener_SetGlobalVolume() : Listener.h
  • sfListener_SetPosition() : Listener.h
  • sfListener_SetTarget() : Listener.h
  • sfMagenta : Color.h
  • sfMouseButton : Event.h
  • sfMusic : Audio/Types.h
  • sfMusic_CreateFromFile() : Music.h
  • sfMusic_CreateFromMemory() : Music.h
  • sfMusic_Destroy() : Music.h
  • sfMusic_GetAttenuation() : Music.h
  • sfMusic_GetChannelsCount() : Music.h
  • sfMusic_GetDuration() : Music.h
  • sfMusic_GetLoop() : Music.h
  • sfMusic_GetMinDistance() : Music.h
  • sfMusic_GetPitch() : Music.h
  • sfMusic_GetPlayingOffset() : Music.h
  • sfMusic_GetPosition() : Music.h
  • sfMusic_GetSampleRate() : Music.h
  • sfMusic_GetStatus() : Music.h
  • sfMusic_GetVolume() : Music.h
  • sfMusic_IsRelativeToListener() : Music.h
  • sfMusic_Pause() : Music.h
  • sfMusic_Play() : Music.h
  • sfMusic_SetAttenuation() : Music.h
  • sfMusic_SetLoop() : Music.h
  • sfMusic_SetMinDistance() : Music.h
  • sfMusic_SetPitch() : Music.h
  • sfMusic_SetPosition() : Music.h
  • sfMusic_SetRelativeToListener() : Music.h
  • sfMusic_SetVolume() : Music.h
  • sfMusic_Stop() : Music.h
  • sfMutex : System/Types.h
  • sfMutex_Create() : Mutex.h
  • sfMutex_Destroy() : Mutex.h
  • sfMutex_Lock() : Mutex.h
  • sfMutex_Unlock() : Mutex.h
  • sfNone : Window/Window.h
  • sfPacket : Network/Types.h
  • sfPacket_Append() : Packet.h
  • sfPacket_CanRead() : Packet.h
  • sfPacket_Clear() : Packet.h
  • sfPacket_Create() : Packet.h
  • sfPacket_Destroy() : Packet.h
  • sfPacket_EndOfPacket() : Packet.h
  • sfPacket_GetData() : Packet.h
  • sfPacket_GetDataSize() : Packet.h
  • sfPacket_ReadBool() : Packet.h
  • sfPacket_ReadDouble() : Packet.h
  • sfPacket_ReadFloat() : Packet.h
  • sfPacket_ReadInt16() : Packet.h
  • sfPacket_ReadInt32() : Packet.h
  • sfPacket_ReadInt8() : Packet.h
  • sfPacket_ReadString() : Packet.h
  • sfPacket_ReadUint16() : Packet.h
  • sfPacket_ReadUint32() : Packet.h
  • sfPacket_ReadUint8() : Packet.h
  • sfPacket_ReadWideString() : Packet.h
  • sfPacket_WriteBool() : Packet.h
  • sfPacket_WriteDouble() : Packet.h
  • sfPacket_WriteFloat() : Packet.h
  • sfPacket_WriteInt16() : Packet.h
  • sfPacket_WriteInt32() : Packet.h
  • sfPacket_WriteInt8() : Packet.h
  • sfPacket_WriteString() : Packet.h
  • sfPacket_WriteUint16() : Packet.h
  • sfPacket_WriteUint32() : Packet.h
  • sfPacket_WriteUint8() : Packet.h
  • sfPacket_WriteWideString() : Packet.h
  • sfPaused : SoundStatus.h
  • sfPlaying : SoundStatus.h
  • sfPostFX : Graphics/Types.h
  • sfPostFX_CanUsePostFX() : PostFX.h
  • sfPostFX_CreateFromFile() : PostFX.h
  • sfPostFX_CreateFromMemory() : PostFX.h
  • sfPostFX_Destroy() : PostFX.h
  • sfPostFX_SetParameter1() : PostFX.h
  • sfPostFX_SetParameter2() : PostFX.h
  • sfPostFX_SetParameter3() : PostFX.h
  • sfPostFX_SetParameter4() : PostFX.h
  • sfPostFX_SetTexture() : PostFX.h
  • sfRandom_Float() : Randomizer.h
  • sfRandom_GetSeed() : Randomizer.h
  • sfRandom_Int() : Randomizer.h
  • sfRandom_SetSeed() : Randomizer.h
  • sfRed : Color.h
  • sfRenderWindow : Graphics/Types.h
  • sfRenderWindow_Capture() : RenderWindow.h
  • sfRenderWindow_Clear() : RenderWindow.h
  • sfRenderWindow_Close() : RenderWindow.h
  • sfRenderWindow_ConvertCoords() : RenderWindow.h
  • sfRenderWindow_Create() : RenderWindow.h
  • sfRenderWindow_CreateFromHandle() : RenderWindow.h
  • sfRenderWindow_Destroy() : RenderWindow.h
  • sfRenderWindow_Display() : RenderWindow.h
  • sfRenderWindow_DrawPostFX() : RenderWindow.h
  • sfRenderWindow_DrawShape() : RenderWindow.h
  • sfRenderWindow_DrawSprite() : RenderWindow.h
  • sfRenderWindow_DrawString() : RenderWindow.h
  • sfRenderWindow_EnableKeyRepeat() : RenderWindow.h
  • sfRenderWindow_GetDefaultView() : RenderWindow.h
  • sfRenderWindow_GetEvent() : RenderWindow.h
  • sfRenderWindow_GetFrameTime() : RenderWindow.h
  • sfRenderWindow_GetHeight() : RenderWindow.h
  • sfRenderWindow_GetInput() : RenderWindow.h
  • sfRenderWindow_GetSettings() : RenderWindow.h
  • sfRenderWindow_GetView() : RenderWindow.h
  • sfRenderWindow_GetWidth() : RenderWindow.h
  • sfRenderWindow_IsOpened() : RenderWindow.h
  • sfRenderWindow_PreserveOpenGLStates() : RenderWindow.h
  • sfRenderWindow_SetActive() : RenderWindow.h
  • sfRenderWindow_SetCursorPosition() : RenderWindow.h
  • sfRenderWindow_SetFramerateLimit() : RenderWindow.h
  • sfRenderWindow_SetIcon() : RenderWindow.h
  • sfRenderWindow_SetJoystickThreshold() : RenderWindow.h
  • sfRenderWindow_SetPosition() : RenderWindow.h
  • sfRenderWindow_SetSize() : RenderWindow.h
  • sfRenderWindow_SetView() : RenderWindow.h
  • sfRenderWindow_Show() : RenderWindow.h
  • sfRenderWindow_ShowMouseCursor() : RenderWindow.h
  • sfRenderWindow_UseVerticalSync() : RenderWindow.h
  • sfResize : Window/Window.h
  • sfSelectorTCP : Network/Types.h
  • sfSelectorTCP_Add() : Selector.h
  • sfSelectorTCP_Clear() : Selector.h
  • sfSelectorTCP_Create() : Selector.h
  • sfSelectorTCP_Destroy() : Selector.h
  • sfSelectorTCP_GetSocketReady() : Selector.h
  • sfSelectorTCP_Remove() : Selector.h
  • sfSelectorTCP_Wait() : Selector.h
  • sfSelectorUDP : Network/Types.h
  • sfSelectorUDP_Add() : Selector.h
  • sfSelectorUDP_Clear() : Selector.h
  • sfSelectorUDP_Create() : Selector.h
  • sfSelectorUDP_Destroy() : Selector.h
  • sfSelectorUDP_GetSocketReady() : Selector.h
  • sfSelectorUDP_Remove() : Selector.h
  • sfSelectorUDP_Wait() : Selector.h
  • sfShape : Graphics/Types.h
  • sfShape_AddPoint() : Shape.h
  • sfShape_Create() : Shape.h
  • sfShape_CreateCircle() : Shape.h
  • sfShape_CreateLine() : Shape.h
  • sfShape_CreateRectangle() : Shape.h
  • sfShape_Destroy() : Shape.h
  • sfShape_EnableFill() : Shape.h
  • sfShape_EnableOutline() : Shape.h
  • sfShape_GetBlendMode() : Shape.h
  • sfShape_GetCenterX() : Shape.h
  • sfShape_GetCenterY() : Shape.h
  • sfShape_GetColor() : Shape.h
  • sfShape_GetNbPoints() : Shape.h
  • sfShape_GetOutlineWidth() : Shape.h
  • sfShape_GetPointColor() : Shape.h
  • sfShape_GetPointOutlineColor() : Shape.h
  • sfShape_GetPointPosition() : Shape.h
  • sfShape_GetRotation() : Shape.h
  • sfShape_GetScaleX() : Shape.h
  • sfShape_GetScaleY() : Shape.h
  • sfShape_GetX() : Shape.h
  • sfShape_GetY() : Shape.h
  • sfShape_Move() : Shape.h
  • sfShape_Rotate() : Shape.h
  • sfShape_Scale() : Shape.h
  • sfShape_SetBlendMode() : Shape.h
  • sfShape_SetCenter() : Shape.h
  • sfShape_SetColor() : Shape.h
  • sfShape_SetOutlineWidth() : Shape.h
  • sfShape_SetPointColor() : Shape.h
  • sfShape_SetPointOutlineColor() : Shape.h
  • sfShape_SetPointPosition() : Shape.h
  • sfShape_SetPosition() : Shape.h
  • sfShape_SetRotation() : Shape.h
  • sfShape_SetScale() : Shape.h
  • sfShape_SetScaleX() : Shape.h
  • sfShape_SetScaleY() : Shape.h
  • sfShape_SetX() : Shape.h
  • sfShape_SetY() : Shape.h
  • sfShape_TransformToGlobal() : Shape.h
  • sfShape_TransformToLocal() : Shape.h
  • sfSleep() : Sleep.h
  • sfSocketDisconnected : SocketStatus.h
  • sfSocketDone : SocketStatus.h
  • sfSocketError : SocketStatus.h
  • sfSocketNotReady : SocketStatus.h
  • sfSocketStatus : SocketStatus.h
  • sfSocketTCP : Network/Types.h
  • sfSocketTCP_Accept() : SocketTCP.h
  • sfSocketTCP_Connect() : SocketTCP.h
  • sfSocketTCP_Create() : SocketTCP.h
  • sfSocketTCP_Destroy() : SocketTCP.h
  • sfSocketTCP_IsValid() : SocketTCP.h
  • sfSocketTCP_Listen() : SocketTCP.h
  • sfSocketTCP_Receive() : SocketTCP.h
  • sfSocketTCP_ReceivePacket() : SocketTCP.h
  • sfSocketTCP_Send() : SocketTCP.h
  • sfSocketTCP_SendPacket() : SocketTCP.h
  • sfSocketTCP_SetBlocking() : SocketTCP.h
  • sfSocketUDP : Network/Types.h
  • sfSocketUDP_Bind() : SocketUDP.h
  • sfSocketUDP_Create() : SocketUDP.h
  • sfSocketUDP_Destroy() : SocketUDP.h
  • sfSocketUDP_IsValid() : SocketUDP.h
  • sfSocketUDP_Receive() : SocketUDP.h
  • sfSocketUDP_ReceivePacket() : SocketUDP.h
  • sfSocketUDP_Send() : SocketUDP.h
  • sfSocketUDP_SendPacket() : SocketUDP.h
  • sfSocketUDP_SetBlocking() : SocketUDP.h
  • sfSocketUDP_Unbind() : SocketUDP.h
  • sfSound : Audio/Types.h
  • sfSound_Create() : Sound.h
  • sfSound_Destroy() : Sound.h
  • sfSound_GetAttenuation() : Sound.h
  • sfSound_GetBuffer() : Sound.h
  • sfSound_GetLoop() : Sound.h
  • sfSound_GetMinDistance() : Sound.h
  • sfSound_GetPitch() : Sound.h
  • sfSound_GetPlayingOffset() : Sound.h
  • sfSound_GetPosition() : Sound.h
  • sfSound_GetStatus() : Sound.h
  • sfSound_GetVolume() : Sound.h
  • sfSound_IsRelativeToListener() : Sound.h
  • sfSound_Pause() : Sound.h
  • sfSound_Play() : Sound.h
  • sfSound_SetAttenuation() : Sound.h
  • sfSound_SetBuffer() : Sound.h
  • sfSound_SetLoop() : Sound.h
  • sfSound_SetMinDistance() : Sound.h
  • sfSound_SetPitch() : Sound.h
  • sfSound_SetPlayingOffset() : Sound.h
  • sfSound_SetPosition() : Sound.h
  • sfSound_SetRelativeToListener() : Sound.h
  • sfSound_SetVolume() : Sound.h
  • sfSound_Stop() : Sound.h
  • sfSoundBuffer : Audio/Types.h
  • sfSoundBuffer_CreateFromFile() : SoundBuffer.h
  • sfSoundBuffer_CreateFromMemory() : SoundBuffer.h
  • sfSoundBuffer_CreateFromSamples() : SoundBuffer.h
  • sfSoundBuffer_Destroy() : SoundBuffer.h
  • sfSoundBuffer_GetChannelsCount() : SoundBuffer.h
  • sfSoundBuffer_GetDuration() : SoundBuffer.h
  • sfSoundBuffer_GetSampleRate() : SoundBuffer.h
  • sfSoundBuffer_GetSamples() : SoundBuffer.h
  • sfSoundBuffer_GetSamplesCount() : SoundBuffer.h
  • sfSoundBuffer_SaveToFile() : SoundBuffer.h
  • sfSoundBufferRecorder : Audio/Types.h
  • sfSoundBufferRecorder_Create() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Destroy() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_GetBuffer() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_GetSampleRate() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Start() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Stop() : SoundBufferRecorder.h
  • sfSoundRecorder : Audio/Types.h
  • sfSoundRecorder_CanCapture() : SoundRecorder.h
  • sfSoundRecorder_Create() : SoundRecorder.h
  • sfSoundRecorder_Destroy() : SoundRecorder.h
  • sfSoundRecorder_GetSampleRate() : SoundRecorder.h
  • sfSoundRecorder_Start() : SoundRecorder.h
  • sfSoundRecorder_Stop() : SoundRecorder.h
  • sfSoundRecorderProcessCallback : SoundRecorder.h
  • sfSoundRecorderStartCallback : SoundRecorder.h
  • sfSoundRecorderStopCallback : SoundRecorder.h
  • sfSoundStatus : SoundStatus.h
  • sfSoundStream : Audio/Types.h
  • sfSoundStream_Create() : SoundStream.h
  • sfSoundStream_Destroy() : SoundStream.h
  • sfSoundStream_GetAttenuation() : SoundStream.h
  • sfSoundStream_GetChannelsCount() : SoundStream.h
  • sfSoundStream_GetLoop() : SoundStream.h
  • sfSoundStream_GetMinDistance() : SoundStream.h
  • sfSoundStream_GetPitch() : SoundStream.h
  • sfSoundStream_GetPlayingOffset() : SoundStream.h
  • sfSoundStream_GetPosition() : SoundStream.h
  • sfSoundStream_GetSampleRate() : SoundStream.h
  • sfSoundStream_GetStatus() : SoundStream.h
  • sfSoundStream_GetVolume() : SoundStream.h
  • sfSoundStream_IsRelativeToListener() : SoundStream.h
  • sfSoundStream_Pause() : SoundStream.h
  • sfSoundStream_Play() : SoundStream.h
  • sfSoundStream_SetAttenuation() : SoundStream.h
  • sfSoundStream_SetLoop() : SoundStream.h
  • sfSoundStream_SetMinDistance() : SoundStream.h
  • sfSoundStream_SetPitch() : SoundStream.h
  • sfSoundStream_SetPosition() : SoundStream.h
  • sfSoundStream_SetRelativeToListener() : SoundStream.h
  • sfSoundStream_SetVolume() : SoundStream.h
  • sfSoundStream_Stop() : SoundStream.h
  • sfSoundStreamGetDataCallback : SoundStream.h
  • sfSoundStreamStartCallback : SoundStream.h
  • sfSprite : Graphics/Types.h
  • sfSprite_Create() : Sprite.h
  • sfSprite_Destroy() : Sprite.h
  • sfSprite_FlipX() : Sprite.h
  • sfSprite_FlipY() : Sprite.h
  • sfSprite_GetBlendMode() : Sprite.h
  • sfSprite_GetCenterX() : Sprite.h
  • sfSprite_GetCenterY() : Sprite.h
  • sfSprite_GetColor() : Sprite.h
  • sfSprite_GetHeight() : Sprite.h
  • sfSprite_GetImage() : Sprite.h
  • sfSprite_GetPixel() : Sprite.h
  • sfSprite_GetRotation() : Sprite.h
  • sfSprite_GetScaleX() : Sprite.h
  • sfSprite_GetScaleY() : Sprite.h
  • sfSprite_GetSubRect() : Sprite.h
  • sfSprite_GetWidth() : Sprite.h
  • sfSprite_GetX() : Sprite.h
  • sfSprite_GetY() : Sprite.h
  • sfSprite_Move() : Sprite.h
  • sfSprite_Resize() : Sprite.h
  • sfSprite_Rotate() : Sprite.h
  • sfSprite_Scale() : Sprite.h
  • sfSprite_SetBlendMode() : Sprite.h
  • sfSprite_SetCenter() : Sprite.h
  • sfSprite_SetColor() : Sprite.h
  • sfSprite_SetImage() : Sprite.h
  • sfSprite_SetPosition() : Sprite.h
  • sfSprite_SetRotation() : Sprite.h
  • sfSprite_SetScale() : Sprite.h
  • sfSprite_SetScaleX() : Sprite.h
  • sfSprite_SetScaleY() : Sprite.h
  • sfSprite_SetSubRect() : Sprite.h
  • sfSprite_SetX() : Sprite.h
  • sfSprite_SetY() : Sprite.h
  • sfSprite_TransformToGlobal() : Sprite.h
  • sfSprite_TransformToLocal() : Sprite.h
  • sfStopped : SoundStatus.h
  • sfString : Graphics/Types.h
  • sfString_Create() : String.h
  • sfString_Destroy() : String.h
  • sfString_GetBlendMode() : String.h
  • sfString_GetCenterX() : String.h
  • sfString_GetCenterY() : String.h
  • sfString_GetCharacterPos() : String.h
  • sfString_GetColor() : String.h
  • sfString_GetFont() : String.h
  • sfString_GetRect() : String.h
  • sfString_GetRotation() : String.h
  • sfString_GetScaleX() : String.h
  • sfString_GetScaleY() : String.h
  • sfString_GetSize() : String.h
  • sfString_GetStyle() : String.h
  • sfString_GetText() : String.h
  • sfString_GetUnicodeText() : String.h
  • sfString_GetX() : String.h
  • sfString_GetY() : String.h
  • sfString_Move() : String.h
  • sfString_Rotate() : String.h
  • sfString_Scale() : String.h
  • sfString_SetBlendMode() : String.h
  • sfString_SetCenter() : String.h
  • sfString_SetColor() : String.h
  • sfString_SetFont() : String.h
  • sfString_SetPosition() : String.h
  • sfString_SetRotation() : String.h
  • sfString_SetScale() : String.h
  • sfString_SetScaleX() : String.h
  • sfString_SetScaleY() : String.h
  • sfString_SetSize() : String.h
  • sfString_SetStyle() : String.h
  • sfString_SetText() : String.h
  • sfString_SetUnicodeText() : String.h
  • sfString_SetX() : String.h
  • sfString_SetY() : String.h
  • sfString_TransformToGlobal() : String.h
  • sfString_TransformToLocal() : String.h
  • sfStringBold : String.h
  • sfStringItalic : String.h
  • sfStringRegular : String.h
  • sfStringStyle : String.h
  • sfStringUnderlined : String.h
  • sfThread : System/Types.h
  • sfThread_Create() : Thread.h
  • sfThread_Destroy() : Thread.h
  • sfThread_Launch() : Thread.h
  • sfThread_Terminate() : Thread.h
  • sfThread_Wait() : Thread.h
  • sfTitlebar : Window/Window.h
  • sfTrue : Config.h
  • sfVideoMode_GetDesktopMode() : VideoMode.h
  • sfVideoMode_GetMode() : VideoMode.h
  • sfVideoMode_GetModesCount() : VideoMode.h
  • sfVideoMode_IsValid() : VideoMode.h
  • sfView : Graphics/Types.h
  • sfView_Create() : View.h
  • sfView_CreateFromRect() : View.h
  • sfView_Destroy() : View.h
  • sfView_GetCenterX() : View.h
  • sfView_GetCenterY() : View.h
  • sfView_GetHalfSizeX() : View.h
  • sfView_GetHalfSizeY() : View.h
  • sfView_GetRect() : View.h
  • sfView_Move() : View.h
  • sfView_SetCenter() : View.h
  • sfView_SetFromRect() : View.h
  • sfView_SetHalfSize() : View.h
  • sfView_Zoom() : View.h
  • sfWhite : Color.h
  • sfWindow : Window/Types.h
  • sfWindow_Close() : Window/Window.h
  • sfWindow_Create() : Window/Window.h
  • sfWindow_CreateFromHandle() : Window/Window.h
  • sfWindow_Destroy() : Window/Window.h
  • sfWindow_Display() : Window/Window.h
  • sfWindow_EnableKeyRepeat() : Window/Window.h
  • sfWindow_GetEvent() : Window/Window.h
  • sfWindow_GetFrameTime() : Window/Window.h
  • sfWindow_GetHeight() : Window/Window.h
  • sfWindow_GetInput() : Window/Window.h
  • sfWindow_GetSettings() : Window/Window.h
  • sfWindow_GetWidth() : Window/Window.h
  • sfWindow_IsOpened() : Window/Window.h
  • sfWindow_SetActive() : Window/Window.h
  • sfWindow_SetCursorPosition() : Window/Window.h
  • sfWindow_SetFramerateLimit() : Window/Window.h
  • sfWindow_SetIcon() : Window/Window.h
  • sfWindow_SetJoystickThreshold() : Window/Window.h
  • sfWindow_SetPosition() : Window/Window.h
  • sfWindow_SetSize() : Window/Window.h
  • sfWindow_Show() : Window/Window.h
  • sfWindow_ShowMouseCursor() : Window/Window.h
  • sfWindow_UseVerticalSync() : Window/Window.h
  • sfYellow : Color.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • CSFML_API : Config.h
  • sfFalse : Config.h
  • sfTrue : Config.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • sfBlendMode : BlendMode.h
  • sfEventType : Event.h
  • sfFtpStatus : Ftp.h
  • sfFtpTransferMode : Ftp.h
  • sfHttpMethod : Http.h
  • sfHttpStatus : Http.h
  • sfJoyAxis : Event.h
  • sfKeyCode : Event.h
  • sfMouseButton : Event.h
  • sfSocketStatus : SocketStatus.h
  • sfSoundStatus : SoundStatus.h
  • sfStringStyle : String.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • s

- s -

  • sfBlendAdd : BlendMode.h
  • sfBlendAlpha : BlendMode.h
  • sfBlendMultiply : BlendMode.h
  • sfBlendNone : BlendMode.h
  • sfButtonLeft : Event.h
  • sfButtonMiddle : Event.h
  • sfButtonRight : Event.h
  • sfButtonX1 : Event.h
  • sfButtonX2 : Event.h
  • sfClose : Window/Window.h
  • sfEvtClosed : Event.h
  • sfEvtGainedFocus : Event.h
  • sfEvtJoyButtonPressed : Event.h
  • sfEvtJoyButtonReleased : Event.h
  • sfEvtJoyMoved : Event.h
  • sfEvtKeyPressed : Event.h
  • sfEvtKeyReleased : Event.h
  • sfEvtLostFocus : Event.h
  • sfEvtMouseButtonPressed : Event.h
  • sfEvtMouseButtonReleased : Event.h
  • sfEvtMouseEntered : Event.h
  • sfEvtMouseLeft : Event.h
  • sfEvtMouseMoved : Event.h
  • sfEvtMouseWheelMoved : Event.h
  • sfEvtResized : Event.h
  • sfEvtTextEntered : Event.h
  • sfFtpAscii : Ftp.h
  • sfFtpBadCommandSequence : Ftp.h
  • sfFtpBinary : Ftp.h
  • sfFtpClosingConnection : Ftp.h
  • sfFtpClosingDataConnection : Ftp.h
  • sfFtpCommandNotImplemented : Ftp.h
  • sfFtpCommandUnknown : Ftp.h
  • sfFtpConnectionClosed : Ftp.h
  • sfFtpConnectionFailed : Ftp.h
  • sfFtpDataConnectionAlreadyOpened : Ftp.h
  • sfFtpDataConnectionOpened : Ftp.h
  • sfFtpDataConnectionUnavailable : Ftp.h
  • sfFtpDirectoryOk : Ftp.h
  • sfFtpDirectoryStatus : Ftp.h
  • sfFtpEbcdic : Ftp.h
  • sfFtpEnteringPassiveMode : Ftp.h
  • sfFtpFileActionAborted : Ftp.h
  • sfFtpFileActionOk : Ftp.h
  • sfFtpFilenameNotAllowed : Ftp.h
  • sfFtpFileStatus : Ftp.h
  • sfFtpFileUnavailable : Ftp.h
  • sfFtpHelpMessage : Ftp.h
  • sfFtpInsufficientStorageSpace : Ftp.h
  • sfFtpInvalidFile : Ftp.h
  • sfFtpInvalidResponse : Ftp.h
  • sfFtpLocalError : Ftp.h
  • sfFtpLoggedIn : Ftp.h
  • sfFtpNeedAccountToLogIn : Ftp.h
  • sfFtpNeedAccountToStore : Ftp.h
  • sfFtpNeedInformation : Ftp.h
  • sfFtpNeedPassword : Ftp.h
  • sfFtpNotEnoughMemory : Ftp.h
  • sfFtpNotLoggedIn : Ftp.h
  • sfFtpOk : Ftp.h
  • sfFtpOpeningDataConnection : Ftp.h
  • sfFtpPageTypeUnknown : Ftp.h
  • sfFtpParameterNotImplemented : Ftp.h
  • sfFtpParametersUnknown : Ftp.h
  • sfFtpPointlessCommand : Ftp.h
  • sfFtpRestartMarkerReply : Ftp.h
  • sfFtpServiceReady : Ftp.h
  • sfFtpServiceReadySoon : Ftp.h
  • sfFtpServiceUnavailable : Ftp.h
  • sfFtpSystemStatus : Ftp.h
  • sfFtpSystemType : Ftp.h
  • sfFtpTransferAborted : Ftp.h
  • sfFullscreen : Window/Window.h
  • sfHttpAccepted : Http.h
  • sfHttpBadGateway : Http.h
  • sfHttpBadRequest : Http.h
  • sfHttpConnectionFailed : Http.h
  • sfHttpCreated : Http.h
  • sfHttpForbidden : Http.h
  • sfHttpGet : Http.h
  • sfHttpHead : Http.h
  • sfHttpInternalServerError : Http.h
  • sfHttpInvalidResponse : Http.h
  • sfHttpMovedPermanently : Http.h
  • sfHttpMovedTemporarily : Http.h
  • sfHttpMultipleChoices : Http.h
  • sfHttpNoContent : Http.h
  • sfHttpNotFound : Http.h
  • sfHttpNotImplemented : Http.h
  • sfHttpNotModified : Http.h
  • sfHttpOk : Http.h
  • sfHttpPost : Http.h
  • sfHttpServiceNotAvailable : Http.h
  • sfHttpUnauthorized : Http.h
  • sfJoyAxisPOV : Event.h
  • sfJoyAxisR : Event.h
  • sfJoyAxisU : Event.h
  • sfJoyAxisV : Event.h
  • sfJoyAxisX : Event.h
  • sfJoyAxisY : Event.h
  • sfJoyAxisZ : Event.h
  • sfKeyA : Event.h
  • sfKeyAdd : Event.h
  • sfKeyB : Event.h
  • sfKeyBack : Event.h
  • sfKeyBackSlash : Event.h
  • sfKeyC : Event.h
  • sfKeyComma : Event.h
  • sfKeyCount : Event.h
  • sfKeyD : Event.h
  • sfKeyDash : Event.h
  • sfKeyDelete : Event.h
  • sfKeyDivide : Event.h
  • sfKeyDown : Event.h
  • sfKeyE : Event.h
  • sfKeyEnd : Event.h
  • sfKeyEqual : Event.h
  • sfKeyEscape : Event.h
  • sfKeyF : Event.h
  • sfKeyF1 : Event.h
  • sfKeyF10 : Event.h
  • sfKeyF11 : Event.h
  • sfKeyF12 : Event.h
  • sfKeyF13 : Event.h
  • sfKeyF14 : Event.h
  • sfKeyF15 : Event.h
  • sfKeyF2 : Event.h
  • sfKeyF3 : Event.h
  • sfKeyF4 : Event.h
  • sfKeyF5 : Event.h
  • sfKeyF6 : Event.h
  • sfKeyF7 : Event.h
  • sfKeyF8 : Event.h
  • sfKeyF9 : Event.h
  • sfKeyG : Event.h
  • sfKeyH : Event.h
  • sfKeyHome : Event.h
  • sfKeyI : Event.h
  • sfKeyInsert : Event.h
  • sfKeyJ : Event.h
  • sfKeyK : Event.h
  • sfKeyL : Event.h
  • sfKeyLAlt : Event.h
  • sfKeyLBracket : Event.h
  • sfKeyLControl : Event.h
  • sfKeyLeft : Event.h
  • sfKeyLShift : Event.h
  • sfKeyLSystem : Event.h
  • sfKeyM : Event.h
  • sfKeyMenu : Event.h
  • sfKeyMultiply : Event.h
  • sfKeyN : Event.h
  • sfKeyNum0 : Event.h
  • sfKeyNum1 : Event.h
  • sfKeyNum2 : Event.h
  • sfKeyNum3 : Event.h
  • sfKeyNum4 : Event.h
  • sfKeyNum5 : Event.h
  • sfKeyNum6 : Event.h
  • sfKeyNum7 : Event.h
  • sfKeyNum8 : Event.h
  • sfKeyNum9 : Event.h
  • sfKeyNumpad0 : Event.h
  • sfKeyNumpad1 : Event.h
  • sfKeyNumpad2 : Event.h
  • sfKeyNumpad3 : Event.h
  • sfKeyNumpad4 : Event.h
  • sfKeyNumpad5 : Event.h
  • sfKeyNumpad6 : Event.h
  • sfKeyNumpad7 : Event.h
  • sfKeyNumpad8 : Event.h
  • sfKeyNumpad9 : Event.h
  • sfKeyO : Event.h
  • sfKeyP : Event.h
  • sfKeyPageDown : Event.h
  • sfKeyPageUp : Event.h
  • sfKeyPause : Event.h
  • sfKeyPeriod : Event.h
  • sfKeyQ : Event.h
  • sfKeyQuote : Event.h
  • sfKeyR : Event.h
  • sfKeyRAlt : Event.h
  • sfKeyRBracket : Event.h
  • sfKeyRControl : Event.h
  • sfKeyReturn : Event.h
  • sfKeyRight : Event.h
  • sfKeyRShift : Event.h
  • sfKeyRSystem : Event.h
  • sfKeyS : Event.h
  • sfKeySemiColon : Event.h
  • sfKeySlash : Event.h
  • sfKeySpace : Event.h
  • sfKeySubtract : Event.h
  • sfKeyT : Event.h
  • sfKeyTab : Event.h
  • sfKeyTilde : Event.h
  • sfKeyU : Event.h
  • sfKeyUp : Event.h
  • sfKeyV : Event.h
  • sfKeyW : Event.h
  • sfKeyX : Event.h
  • sfKeyY : Event.h
  • sfKeyZ : Event.h
  • sfNone : Window/Window.h
  • sfPaused : SoundStatus.h
  • sfPlaying : SoundStatus.h
  • sfResize : Window/Window.h
  • sfSocketDisconnected : SocketStatus.h
  • sfSocketDone : SocketStatus.h
  • sfSocketError : SocketStatus.h
  • sfSocketNotReady : SocketStatus.h
  • sfStopped : SoundStatus.h
  • sfStringBold : String.h
  • sfStringItalic : String.h
  • sfStringRegular : String.h
  • sfStringUnderlined : String.h
  • sfTitlebar : Window/Window.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • s

- s -

  • sfClock_Create() : Clock.h
  • sfClock_Destroy() : Clock.h
  • sfClock_GetTime() : Clock.h
  • sfClock_Reset() : Clock.h
  • sfColor_Add() : Color.h
  • sfColor_FromRGB() : Color.h
  • sfColor_FromRGBA() : Color.h
  • sfColor_Modulate() : Color.h
  • sfContext_Create() : Context.h
  • sfContext_Destroy() : Context.h
  • sfContext_SetActive() : Context.h
  • sfFloatRect_Contains() : Rect.h
  • sfFloatRect_Intersects() : Rect.h
  • sfFloatRect_Offset() : Rect.h
  • sfFont_Create() : Font.h
  • sfFont_CreateFromFile() : Font.h
  • sfFont_CreateFromMemory() : Font.h
  • sfFont_Destroy() : Font.h
  • sfFont_GetCharacterSize() : Font.h
  • sfFont_GetDefaultFont() : Font.h
  • sfFtp_ChangeDirectory() : Ftp.h
  • sfFtp_Connect() : Ftp.h
  • sfFtp_Create() : Ftp.h
  • sfFtp_DeleteDirectory() : Ftp.h
  • sfFtp_DeleteFile() : Ftp.h
  • sfFtp_Destroy() : Ftp.h
  • sfFtp_Disconnect() : Ftp.h
  • sfFtp_Download() : Ftp.h
  • sfFtp_GetDirectoryListing() : Ftp.h
  • sfFtp_GetWorkingDirectory() : Ftp.h
  • sfFtp_KeepAlive() : Ftp.h
  • sfFtp_Login() : Ftp.h
  • sfFtp_LoginAnonymous() : Ftp.h
  • sfFtp_MakeDirectory() : Ftp.h
  • sfFtp_ParentDirectory() : Ftp.h
  • sfFtp_RenameFile() : Ftp.h
  • sfFtp_Upload() : Ftp.h
  • sfFtpDirectoryResponse_Destroy() : Ftp.h
  • sfFtpDirectoryResponse_GetDirectory() : Ftp.h
  • sfFtpDirectoryResponse_GetMessage() : Ftp.h
  • sfFtpDirectoryResponse_GetStatus() : Ftp.h
  • sfFtpDirectoryResponse_IsOk() : Ftp.h
  • sfFtpListingResponse_Destroy() : Ftp.h
  • sfFtpListingResponse_GetCount() : Ftp.h
  • sfFtpListingResponse_GetFilename() : Ftp.h
  • sfFtpListingResponse_GetMessage() : Ftp.h
  • sfFtpListingResponse_GetStatus() : Ftp.h
  • sfFtpListingResponse_IsOk() : Ftp.h
  • sfFtpResponse_Destroy() : Ftp.h
  • sfFtpResponse_GetMessage() : Ftp.h
  • sfFtpResponse_GetStatus() : Ftp.h
  • sfFtpResponse_IsOk() : Ftp.h
  • sfHttp_Create() : Http.h
  • sfHttp_Destroy() : Http.h
  • sfHttp_SendRequest() : Http.h
  • sfHttp_SetHost() : Http.h
  • sfHttpRequest_Create() : Http.h
  • sfHttpRequest_Destroy() : Http.h
  • sfHttpRequest_SetBody() : Http.h
  • sfHttpRequest_SetField() : Http.h
  • sfHttpRequest_SetHttpVersion() : Http.h
  • sfHttpRequest_SetMethod() : Http.h
  • sfHttpRequest_SetURI() : Http.h
  • sfHttpResponse_Destroy() : Http.h
  • sfHttpResponse_GetBody() : Http.h
  • sfHttpResponse_GetField() : Http.h
  • sfHttpResponse_GetMajorVersion() : Http.h
  • sfHttpResponse_GetMinorVersion() : Http.h
  • sfHttpResponse_GetStatus() : Http.h
  • sfImage_Bind() : Image.h
  • sfImage_Copy() : Image.h
  • sfImage_CopyScreen() : Image.h
  • sfImage_Create() : Image.h
  • sfImage_CreateFromColor() : Image.h
  • sfImage_CreateFromFile() : Image.h
  • sfImage_CreateFromMemory() : Image.h
  • sfImage_CreateFromPixels() : Image.h
  • sfImage_CreateMaskFromColor() : Image.h
  • sfImage_Destroy() : Image.h
  • sfImage_GetHeight() : Image.h
  • sfImage_GetPixel() : Image.h
  • sfImage_GetPixelsPtr() : Image.h
  • sfImage_GetWidth() : Image.h
  • sfImage_IsSmooth() : Image.h
  • sfImage_SaveToFile() : Image.h
  • sfImage_SetPixel() : Image.h
  • sfImage_SetSmooth() : Image.h
  • sfInput_GetJoystickAxis() : Input.h
  • sfInput_GetMouseX() : Input.h
  • sfInput_GetMouseY() : Input.h
  • sfInput_IsJoystickButtonDown() : Input.h
  • sfInput_IsKeyDown() : Input.h
  • sfInput_IsMouseButtonDown() : Input.h
  • sfIntRect_Contains() : Rect.h
  • sfIntRect_Intersects() : Rect.h
  • sfIntRect_Offset() : Rect.h
  • sfIPAddress_FromBytes() : IPAddress.h
  • sfIPAddress_FromInteger() : IPAddress.h
  • sfIPAddress_FromString() : IPAddress.h
  • sfIPAddress_GetLocalAddress() : IPAddress.h
  • sfIPAddress_GetPublicAddress() : IPAddress.h
  • sfIPAddress_IsValid() : IPAddress.h
  • sfIPAddress_LocalHost() : IPAddress.h
  • sfIPAddress_ToInteger() : IPAddress.h
  • sfIPAddress_ToString() : IPAddress.h
  • sfListener_GetGlobalVolume() : Listener.h
  • sfListener_GetPosition() : Listener.h
  • sfListener_GetTarget() : Listener.h
  • sfListener_SetGlobalVolume() : Listener.h
  • sfListener_SetPosition() : Listener.h
  • sfListener_SetTarget() : Listener.h
  • sfMusic_CreateFromFile() : Music.h
  • sfMusic_CreateFromMemory() : Music.h
  • sfMusic_Destroy() : Music.h
  • sfMusic_GetAttenuation() : Music.h
  • sfMusic_GetChannelsCount() : Music.h
  • sfMusic_GetDuration() : Music.h
  • sfMusic_GetLoop() : Music.h
  • sfMusic_GetMinDistance() : Music.h
  • sfMusic_GetPitch() : Music.h
  • sfMusic_GetPlayingOffset() : Music.h
  • sfMusic_GetPosition() : Music.h
  • sfMusic_GetSampleRate() : Music.h
  • sfMusic_GetStatus() : Music.h
  • sfMusic_GetVolume() : Music.h
  • sfMusic_IsRelativeToListener() : Music.h
  • sfMusic_Pause() : Music.h
  • sfMusic_Play() : Music.h
  • sfMusic_SetAttenuation() : Music.h
  • sfMusic_SetLoop() : Music.h
  • sfMusic_SetMinDistance() : Music.h
  • sfMusic_SetPitch() : Music.h
  • sfMusic_SetPosition() : Music.h
  • sfMusic_SetRelativeToListener() : Music.h
  • sfMusic_SetVolume() : Music.h
  • sfMusic_Stop() : Music.h
  • sfMutex_Create() : Mutex.h
  • sfMutex_Destroy() : Mutex.h
  • sfMutex_Lock() : Mutex.h
  • sfMutex_Unlock() : Mutex.h
  • sfPacket_Append() : Packet.h
  • sfPacket_CanRead() : Packet.h
  • sfPacket_Clear() : Packet.h
  • sfPacket_Create() : Packet.h
  • sfPacket_Destroy() : Packet.h
  • sfPacket_EndOfPacket() : Packet.h
  • sfPacket_GetData() : Packet.h
  • sfPacket_GetDataSize() : Packet.h
  • sfPacket_ReadBool() : Packet.h
  • sfPacket_ReadDouble() : Packet.h
  • sfPacket_ReadFloat() : Packet.h
  • sfPacket_ReadInt16() : Packet.h
  • sfPacket_ReadInt32() : Packet.h
  • sfPacket_ReadInt8() : Packet.h
  • sfPacket_ReadString() : Packet.h
  • sfPacket_ReadUint16() : Packet.h
  • sfPacket_ReadUint32() : Packet.h
  • sfPacket_ReadUint8() : Packet.h
  • sfPacket_ReadWideString() : Packet.h
  • sfPacket_WriteBool() : Packet.h
  • sfPacket_WriteDouble() : Packet.h
  • sfPacket_WriteFloat() : Packet.h
  • sfPacket_WriteInt16() : Packet.h
  • sfPacket_WriteInt32() : Packet.h
  • sfPacket_WriteInt8() : Packet.h
  • sfPacket_WriteString() : Packet.h
  • sfPacket_WriteUint16() : Packet.h
  • sfPacket_WriteUint32() : Packet.h
  • sfPacket_WriteUint8() : Packet.h
  • sfPacket_WriteWideString() : Packet.h
  • sfPostFX_CanUsePostFX() : PostFX.h
  • sfPostFX_CreateFromFile() : PostFX.h
  • sfPostFX_CreateFromMemory() : PostFX.h
  • sfPostFX_Destroy() : PostFX.h
  • sfPostFX_SetParameter1() : PostFX.h
  • sfPostFX_SetParameter2() : PostFX.h
  • sfPostFX_SetParameter3() : PostFX.h
  • sfPostFX_SetParameter4() : PostFX.h
  • sfPostFX_SetTexture() : PostFX.h
  • sfRandom_Float() : Randomizer.h
  • sfRandom_GetSeed() : Randomizer.h
  • sfRandom_Int() : Randomizer.h
  • sfRandom_SetSeed() : Randomizer.h
  • sfRenderWindow_Capture() : RenderWindow.h
  • sfRenderWindow_Clear() : RenderWindow.h
  • sfRenderWindow_Close() : RenderWindow.h
  • sfRenderWindow_ConvertCoords() : RenderWindow.h
  • sfRenderWindow_Create() : RenderWindow.h
  • sfRenderWindow_CreateFromHandle() : RenderWindow.h
  • sfRenderWindow_Destroy() : RenderWindow.h
  • sfRenderWindow_Display() : RenderWindow.h
  • sfRenderWindow_DrawPostFX() : RenderWindow.h
  • sfRenderWindow_DrawShape() : RenderWindow.h
  • sfRenderWindow_DrawSprite() : RenderWindow.h
  • sfRenderWindow_DrawString() : RenderWindow.h
  • sfRenderWindow_EnableKeyRepeat() : RenderWindow.h
  • sfRenderWindow_GetDefaultView() : RenderWindow.h
  • sfRenderWindow_GetEvent() : RenderWindow.h
  • sfRenderWindow_GetFrameTime() : RenderWindow.h
  • sfRenderWindow_GetHeight() : RenderWindow.h
  • sfRenderWindow_GetInput() : RenderWindow.h
  • sfRenderWindow_GetSettings() : RenderWindow.h
  • sfRenderWindow_GetView() : RenderWindow.h
  • sfRenderWindow_GetWidth() : RenderWindow.h
  • sfRenderWindow_IsOpened() : RenderWindow.h
  • sfRenderWindow_PreserveOpenGLStates() : RenderWindow.h
  • sfRenderWindow_SetActive() : RenderWindow.h
  • sfRenderWindow_SetCursorPosition() : RenderWindow.h
  • sfRenderWindow_SetFramerateLimit() : RenderWindow.h
  • sfRenderWindow_SetIcon() : RenderWindow.h
  • sfRenderWindow_SetJoystickThreshold() : RenderWindow.h
  • sfRenderWindow_SetPosition() : RenderWindow.h
  • sfRenderWindow_SetSize() : RenderWindow.h
  • sfRenderWindow_SetView() : RenderWindow.h
  • sfRenderWindow_Show() : RenderWindow.h
  • sfRenderWindow_ShowMouseCursor() : RenderWindow.h
  • sfRenderWindow_UseVerticalSync() : RenderWindow.h
  • sfSelectorTCP_Add() : Selector.h
  • sfSelectorTCP_Clear() : Selector.h
  • sfSelectorTCP_Create() : Selector.h
  • sfSelectorTCP_Destroy() : Selector.h
  • sfSelectorTCP_GetSocketReady() : Selector.h
  • sfSelectorTCP_Remove() : Selector.h
  • sfSelectorTCP_Wait() : Selector.h
  • sfSelectorUDP_Add() : Selector.h
  • sfSelectorUDP_Clear() : Selector.h
  • sfSelectorUDP_Create() : Selector.h
  • sfSelectorUDP_Destroy() : Selector.h
  • sfSelectorUDP_GetSocketReady() : Selector.h
  • sfSelectorUDP_Remove() : Selector.h
  • sfSelectorUDP_Wait() : Selector.h
  • sfShape_AddPoint() : Shape.h
  • sfShape_Create() : Shape.h
  • sfShape_CreateCircle() : Shape.h
  • sfShape_CreateLine() : Shape.h
  • sfShape_CreateRectangle() : Shape.h
  • sfShape_Destroy() : Shape.h
  • sfShape_EnableFill() : Shape.h
  • sfShape_EnableOutline() : Shape.h
  • sfShape_GetBlendMode() : Shape.h
  • sfShape_GetCenterX() : Shape.h
  • sfShape_GetCenterY() : Shape.h
  • sfShape_GetColor() : Shape.h
  • sfShape_GetNbPoints() : Shape.h
  • sfShape_GetOutlineWidth() : Shape.h
  • sfShape_GetPointColor() : Shape.h
  • sfShape_GetPointOutlineColor() : Shape.h
  • sfShape_GetPointPosition() : Shape.h
  • sfShape_GetRotation() : Shape.h
  • sfShape_GetScaleX() : Shape.h
  • sfShape_GetScaleY() : Shape.h
  • sfShape_GetX() : Shape.h
  • sfShape_GetY() : Shape.h
  • sfShape_Move() : Shape.h
  • sfShape_Rotate() : Shape.h
  • sfShape_Scale() : Shape.h
  • sfShape_SetBlendMode() : Shape.h
  • sfShape_SetCenter() : Shape.h
  • sfShape_SetColor() : Shape.h
  • sfShape_SetOutlineWidth() : Shape.h
  • sfShape_SetPointColor() : Shape.h
  • sfShape_SetPointOutlineColor() : Shape.h
  • sfShape_SetPointPosition() : Shape.h
  • sfShape_SetPosition() : Shape.h
  • sfShape_SetRotation() : Shape.h
  • sfShape_SetScale() : Shape.h
  • sfShape_SetScaleX() : Shape.h
  • sfShape_SetScaleY() : Shape.h
  • sfShape_SetX() : Shape.h
  • sfShape_SetY() : Shape.h
  • sfShape_TransformToGlobal() : Shape.h
  • sfShape_TransformToLocal() : Shape.h
  • sfSleep() : Sleep.h
  • sfSocketTCP_Accept() : SocketTCP.h
  • sfSocketTCP_Connect() : SocketTCP.h
  • sfSocketTCP_Create() : SocketTCP.h
  • sfSocketTCP_Destroy() : SocketTCP.h
  • sfSocketTCP_IsValid() : SocketTCP.h
  • sfSocketTCP_Listen() : SocketTCP.h
  • sfSocketTCP_Receive() : SocketTCP.h
  • sfSocketTCP_ReceivePacket() : SocketTCP.h
  • sfSocketTCP_Send() : SocketTCP.h
  • sfSocketTCP_SendPacket() : SocketTCP.h
  • sfSocketTCP_SetBlocking() : SocketTCP.h
  • sfSocketUDP_Bind() : SocketUDP.h
  • sfSocketUDP_Create() : SocketUDP.h
  • sfSocketUDP_Destroy() : SocketUDP.h
  • sfSocketUDP_IsValid() : SocketUDP.h
  • sfSocketUDP_Receive() : SocketUDP.h
  • sfSocketUDP_ReceivePacket() : SocketUDP.h
  • sfSocketUDP_Send() : SocketUDP.h
  • sfSocketUDP_SendPacket() : SocketUDP.h
  • sfSocketUDP_SetBlocking() : SocketUDP.h
  • sfSocketUDP_Unbind() : SocketUDP.h
  • sfSound_Create() : Sound.h
  • sfSound_Destroy() : Sound.h
  • sfSound_GetAttenuation() : Sound.h
  • sfSound_GetBuffer() : Sound.h
  • sfSound_GetLoop() : Sound.h
  • sfSound_GetMinDistance() : Sound.h
  • sfSound_GetPitch() : Sound.h
  • sfSound_GetPlayingOffset() : Sound.h
  • sfSound_GetPosition() : Sound.h
  • sfSound_GetStatus() : Sound.h
  • sfSound_GetVolume() : Sound.h
  • sfSound_IsRelativeToListener() : Sound.h
  • sfSound_Pause() : Sound.h
  • sfSound_Play() : Sound.h
  • sfSound_SetAttenuation() : Sound.h
  • sfSound_SetBuffer() : Sound.h
  • sfSound_SetLoop() : Sound.h
  • sfSound_SetMinDistance() : Sound.h
  • sfSound_SetPitch() : Sound.h
  • sfSound_SetPlayingOffset() : Sound.h
  • sfSound_SetPosition() : Sound.h
  • sfSound_SetRelativeToListener() : Sound.h
  • sfSound_SetVolume() : Sound.h
  • sfSound_Stop() : Sound.h
  • sfSoundBuffer_CreateFromFile() : SoundBuffer.h
  • sfSoundBuffer_CreateFromMemory() : SoundBuffer.h
  • sfSoundBuffer_CreateFromSamples() : SoundBuffer.h
  • sfSoundBuffer_Destroy() : SoundBuffer.h
  • sfSoundBuffer_GetChannelsCount() : SoundBuffer.h
  • sfSoundBuffer_GetDuration() : SoundBuffer.h
  • sfSoundBuffer_GetSampleRate() : SoundBuffer.h
  • sfSoundBuffer_GetSamples() : SoundBuffer.h
  • sfSoundBuffer_GetSamplesCount() : SoundBuffer.h
  • sfSoundBuffer_SaveToFile() : SoundBuffer.h
  • sfSoundBufferRecorder_Create() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Destroy() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_GetBuffer() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_GetSampleRate() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Start() : SoundBufferRecorder.h
  • sfSoundBufferRecorder_Stop() : SoundBufferRecorder.h
  • sfSoundRecorder_CanCapture() : SoundRecorder.h
  • sfSoundRecorder_Create() : SoundRecorder.h
  • sfSoundRecorder_Destroy() : SoundRecorder.h
  • sfSoundRecorder_GetSampleRate() : SoundRecorder.h
  • sfSoundRecorder_Start() : SoundRecorder.h
  • sfSoundRecorder_Stop() : SoundRecorder.h
  • sfSoundStream_Create() : SoundStream.h
  • sfSoundStream_Destroy() : SoundStream.h
  • sfSoundStream_GetAttenuation() : SoundStream.h
  • sfSoundStream_GetChannelsCount() : SoundStream.h
  • sfSoundStream_GetLoop() : SoundStream.h
  • sfSoundStream_GetMinDistance() : SoundStream.h
  • sfSoundStream_GetPitch() : SoundStream.h
  • sfSoundStream_GetPlayingOffset() : SoundStream.h
  • sfSoundStream_GetPosition() : SoundStream.h
  • sfSoundStream_GetSampleRate() : SoundStream.h
  • sfSoundStream_GetStatus() : SoundStream.h
  • sfSoundStream_GetVolume() : SoundStream.h
  • sfSoundStream_IsRelativeToListener() : SoundStream.h
  • sfSoundStream_Pause() : SoundStream.h
  • sfSoundStream_Play() : SoundStream.h
  • sfSoundStream_SetAttenuation() : SoundStream.h
  • sfSoundStream_SetLoop() : SoundStream.h
  • sfSoundStream_SetMinDistance() : SoundStream.h
  • sfSoundStream_SetPitch() : SoundStream.h
  • sfSoundStream_SetPosition() : SoundStream.h
  • sfSoundStream_SetRelativeToListener() : SoundStream.h
  • sfSoundStream_SetVolume() : SoundStream.h
  • sfSoundStream_Stop() : SoundStream.h
  • sfSprite_Create() : Sprite.h
  • sfSprite_Destroy() : Sprite.h
  • sfSprite_FlipX() : Sprite.h
  • sfSprite_FlipY() : Sprite.h
  • sfSprite_GetBlendMode() : Sprite.h
  • sfSprite_GetCenterX() : Sprite.h
  • sfSprite_GetCenterY() : Sprite.h
  • sfSprite_GetColor() : Sprite.h
  • sfSprite_GetHeight() : Sprite.h
  • sfSprite_GetImage() : Sprite.h
  • sfSprite_GetPixel() : Sprite.h
  • sfSprite_GetRotation() : Sprite.h
  • sfSprite_GetScaleX() : Sprite.h
  • sfSprite_GetScaleY() : Sprite.h
  • sfSprite_GetSubRect() : Sprite.h
  • sfSprite_GetWidth() : Sprite.h
  • sfSprite_GetX() : Sprite.h
  • sfSprite_GetY() : Sprite.h
  • sfSprite_Move() : Sprite.h
  • sfSprite_Resize() : Sprite.h
  • sfSprite_Rotate() : Sprite.h
  • sfSprite_Scale() : Sprite.h
  • sfSprite_SetBlendMode() : Sprite.h
  • sfSprite_SetCenter() : Sprite.h
  • sfSprite_SetColor() : Sprite.h
  • sfSprite_SetImage() : Sprite.h
  • sfSprite_SetPosition() : Sprite.h
  • sfSprite_SetRotation() : Sprite.h
  • sfSprite_SetScale() : Sprite.h
  • sfSprite_SetScaleX() : Sprite.h
  • sfSprite_SetScaleY() : Sprite.h
  • sfSprite_SetSubRect() : Sprite.h
  • sfSprite_SetX() : Sprite.h
  • sfSprite_SetY() : Sprite.h
  • sfSprite_TransformToGlobal() : Sprite.h
  • sfSprite_TransformToLocal() : Sprite.h
  • sfString_Create() : String.h
  • sfString_Destroy() : String.h
  • sfString_GetBlendMode() : String.h
  • sfString_GetCenterX() : String.h
  • sfString_GetCenterY() : String.h
  • sfString_GetCharacterPos() : String.h
  • sfString_GetColor() : String.h
  • sfString_GetFont() : String.h
  • sfString_GetRect() : String.h
  • sfString_GetRotation() : String.h
  • sfString_GetScaleX() : String.h
  • sfString_GetScaleY() : String.h
  • sfString_GetSize() : String.h
  • sfString_GetStyle() : String.h
  • sfString_GetText() : String.h
  • sfString_GetUnicodeText() : String.h
  • sfString_GetX() : String.h
  • sfString_GetY() : String.h
  • sfString_Move() : String.h
  • sfString_Rotate() : String.h
  • sfString_Scale() : String.h
  • sfString_SetBlendMode() : String.h
  • sfString_SetCenter() : String.h
  • sfString_SetColor() : String.h
  • sfString_SetFont() : String.h
  • sfString_SetPosition() : String.h
  • sfString_SetRotation() : String.h
  • sfString_SetScale() : String.h
  • sfString_SetScaleX() : String.h
  • sfString_SetScaleY() : String.h
  • sfString_SetSize() : String.h
  • sfString_SetStyle() : String.h
  • sfString_SetText() : String.h
  • sfString_SetUnicodeText() : String.h
  • sfString_SetX() : String.h
  • sfString_SetY() : String.h
  • sfString_TransformToGlobal() : String.h
  • sfString_TransformToLocal() : String.h
  • sfThread_Create() : Thread.h
  • sfThread_Destroy() : Thread.h
  • sfThread_Launch() : Thread.h
  • sfThread_Terminate() : Thread.h
  • sfThread_Wait() : Thread.h
  • sfVideoMode_GetDesktopMode() : VideoMode.h
  • sfVideoMode_GetMode() : VideoMode.h
  • sfVideoMode_GetModesCount() : VideoMode.h
  • sfVideoMode_IsValid() : VideoMode.h
  • sfView_Create() : View.h
  • sfView_CreateFromRect() : View.h
  • sfView_Destroy() : View.h
  • sfView_GetCenterX() : View.h
  • sfView_GetCenterY() : View.h
  • sfView_GetHalfSizeX() : View.h
  • sfView_GetHalfSizeY() : View.h
  • sfView_GetRect() : View.h
  • sfView_Move() : View.h
  • sfView_SetCenter() : View.h
  • sfView_SetFromRect() : View.h
  • sfView_SetHalfSize() : View.h
  • sfView_Zoom() : View.h
  • sfWindow_Close() : Window/Window.h
  • sfWindow_Create() : Window/Window.h
  • sfWindow_CreateFromHandle() : Window/Window.h
  • sfWindow_Destroy() : Window/Window.h
  • sfWindow_Display() : Window/Window.h
  • sfWindow_EnableKeyRepeat() : Window/Window.h
  • sfWindow_GetEvent() : Window/Window.h
  • sfWindow_GetFrameTime() : Window/Window.h
  • sfWindow_GetHeight() : Window/Window.h
  • sfWindow_GetInput() : Window/Window.h
  • sfWindow_GetSettings() : Window/Window.h
  • sfWindow_GetWidth() : Window/Window.h
  • sfWindow_IsOpened() : Window/Window.h
  • sfWindow_SetActive() : Window/Window.h
  • sfWindow_SetCursorPosition() : Window/Window.h
  • sfWindow_SetFramerateLimit() : Window/Window.h
  • sfWindow_SetIcon() : Window/Window.h
  • sfWindow_SetJoystickThreshold() : Window/Window.h
  • sfWindow_SetPosition() : Window/Window.h
  • sfWindow_SetSize() : Window/Window.h
  • sfWindow_Show() : Window/Window.h
  • sfWindow_ShowMouseCursor() : Window/Window.h
  • sfWindow_UseVerticalSync() : Window/Window.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines
  • s

- s -

  • sfBool : Config.h
  • sfClock : System/Types.h
  • sfContext : Window/Types.h
  • sfFont : Graphics/Types.h
  • sfFtp : Network/Types.h
  • sfFtpDirectoryResponse : Network/Types.h
  • sfFtpListingResponse : Network/Types.h
  • sfFtpResponse : Network/Types.h
  • sfHttp : Network/Types.h
  • sfHttpRequest : Network/Types.h
  • sfHttpResponse : Network/Types.h
  • sfImage : Graphics/Types.h
  • sfInput : Window/Types.h
  • sfMusic : Audio/Types.h
  • sfMutex : System/Types.h
  • sfPacket : Network/Types.h
  • sfPostFX : Graphics/Types.h
  • sfRenderWindow : Graphics/Types.h
  • sfSelectorTCP : Network/Types.h
  • sfSelectorUDP : Network/Types.h
  • sfShape : Graphics/Types.h
  • sfSocketTCP : Network/Types.h
  • sfSocketUDP : Network/Types.h
  • sfSound : Audio/Types.h
  • sfSoundBuffer : Audio/Types.h
  • sfSoundBufferRecorder : Audio/Types.h
  • sfSoundRecorder : Audio/Types.h
  • sfSoundRecorderProcessCallback : SoundRecorder.h
  • sfSoundRecorderStartCallback : SoundRecorder.h
  • sfSoundRecorderStopCallback : SoundRecorder.h
  • sfSoundStream : Audio/Types.h
  • sfSoundStreamGetDataCallback : SoundStream.h
  • sfSoundStreamStartCallback : SoundStream.h
  • sfSprite : Graphics/Types.h
  • sfString : Graphics/Types.h
  • sfThread : System/Types.h
  • sfView : Graphics/Types.h
  • sfWindow : Window/Types.h


  • All
  • Functions
  • Variables
  • Typedefs
  • Enumerations
  • Enumerator
  • Defines

  • sfBlack : Color.h
  • sfBlue : Color.h
  • sfCyan : Color.h
  • sfGreen : Color.h
  • sfMagenta : Color.h
  • sfRed : Color.h
  • sfWhite : Color.h
  • sfYellow : Color.h


Glyph.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_GLYPH_H
00026 #define SFML_GLYPH_H
00027
00029 // Headers
00031 #include <SFML/Graphics/Rect.h>
00032
00033
00037 typedef struct
00038 {
00039     int         Advance;
00040     sfIntRect   Rectangle;
00041     sfFloatRect TexCoords;
00042 } sfGlyph;
00043
00044
00045 #endif // SFML_GLYPH_H


Types.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_GRAPHICS_TYPES_H
00026 #define SFML_GRAPHICS_TYPES_H
00027
00028
00029 typedef struct sfFont sfFont;
00030 typedef struct sfImage sfImage;
00031 typedef struct sfPostFX sfPostFX;
00032 typedef struct sfRenderWindow sfRenderWindow;
00033 typedef struct sfShape sfShape;
00034 typedef struct sfSprite sfSprite;
00035 typedef struct sfString sfString;
00036 typedef struct sfView sfView;
00037
00038
00039 #endif // SFML_GRAPHICS_TYPES_H


Graphics.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_GRAPHICS_H
00026 #define SFML_GRAPHICS_H
00027
00029 // Headers
00031
00032 #include <SFML/Window.h>
00033 #include <SFML/Graphics/Color.h>
00034 #include <SFML/Graphics/Image.h>
00035 #include <SFML/Graphics/PostFX.h>
00036 #include <SFML/Graphics/Rect.h>
00037 #include <SFML/Graphics/RenderWindow.h>
00038 #include <SFML/Graphics/Shape.h>
00039 #include <SFML/Graphics/Sprite.h>
00040 #include <SFML/Graphics/String.h>
00041 #include <SFML/Graphics/View.h>
00042
00043
00044 #endif // SFML_GRAPHICS_H


Http.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_HTTP_H
00026 #define SFML_HTTP_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/Types.h>
00033
00034
00038 enum sfHttpMethod
00039 {
00040     sfHttpGet,
00041     sfHttpPost,
00042     sfHttpHead
00043 };
00044
00045
00050 enum sfHttpStatus
00051 {
00052     // 2xx: success
00053     sfHttpOk        = 200,
00054     sfHttpCreated   = 201,
00055     sfHttpAccepted  = 202,
00056     sfHttpNoContent = 204,
00057
00058     // 3xx: redirection
00059     sfHttpMultipleChoices  = 300,
00060     sfHttpMovedPermanently = 301,
00061     sfHttpMovedTemporarily = 302,
00062     sfHttpNotModified      = 304,
00063
00064     // 4xx: client error
00065     sfHttpBadRequest   = 400,
00066     sfHttpUnauthorized = 401,
00067     sfHttpForbidden    = 403,
00068     sfHttpNotFound     = 404,
00069
00070     // 5xx: server error
00071     sfHttpInternalServerError = 500,
00072     sfHttpNotImplemented      = 501,
00073     sfHttpBadGateway          = 502,
00074     sfHttpServiceNotAvailable = 503,
00075
00076     // 10xx: SFML custom codes
00077     sfHttpInvalidResponse  = 1000,
00078     sfHttpConnectionFailed = 1001
00079 };
00080
00081
00088 CSFML_API sfHttpRequest* sfHttpRequest_Create();
00089
00096 CSFML_API void sfHttpRequest_Destroy(sfHttpRequest* HttpRequest);
00097
00106 CSFML_API void sfHttpRequest_SetField(sfHttpRequest* HttpRequest, const char* Field, const char* Value);
00107
00116 CSFML_API void sfHttpRequest_SetMethod(sfHttpRequest* HttpRequest, sfHttpMethod Method);
00117
00126 CSFML_API void sfHttpRequest_SetURI(sfHttpRequest* HttpRequest, const char* URI);
00127
00137 CSFML_API void sfHttpRequest_SetHttpVersion(sfHttpRequest* HttpRequest, unsigned int Major, unsigned int Minor);
00138
00148 CSFML_API void sfHttpRequest_SetBody(sfHttpRequest* HttpRequest, const char* Body);
00149
00156 CSFML_API void sfHttpResponse_Destroy(sfHttpResponse* HttpResponse);
00157
00167 CSFML_API const char* sfHttpResponse_GetField(sfHttpResponse* HttpResponse, const char* Field);
00168
00177 CSFML_API sfHttpStatus sfHttpResponse_GetStatus(sfHttpResponse* HttpResponse);
00178
00187 CSFML_API unsigned int sfHttpResponse_GetMajorVersion(sfHttpResponse* HttpResponse);
00188
00197 CSFML_API unsigned int sfHttpResponse_GetMinorVersion(sfHttpResponse* HttpResponse);
00198
00211 CSFML_API const char* sfHttpResponse_GetBody(sfHttpResponse* HttpResponse);
00212
00219 CSFML_API sfHttp* sfHttp_Create();
00220
00227 CSFML_API void sfHttp_Destroy(sfHttp* Http);
00228
00237 CSFML_API void sfHttp_SetHost(sfHttp* Http, const char* Host, unsigned short Port);
00238
00254 CSFML_API sfHttpResponse* sfHttp_SendRequest(sfHttp* Http, sfHttpRequest* Request, float Timeout);
00255
00256
00257 #endif // SFML_HTTP_H


Image.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_IMAGE_H
00026 #define SFML_IMAGE_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/Color.h>
00033 #include <SFML/Graphics/Rect.h>
00034 #include <SFML/Graphics/Types.h>
00035
00036
00043 CSFML_API sfImage* sfImage_Create();
00044
00055 CSFML_API sfImage* sfImage_CreateFromColor(unsigned int Width, unsigned int Height, sfColor Color);
00056
00067 CSFML_API sfImage* sfImage_CreateFromPixels(unsigned int Width, unsigned int Height, const sfUint8* Data);
00068
00077 CSFML_API sfImage* sfImage_CreateFromFile(const char* Filename);
00078
00088 CSFML_API sfImage* sfImage_CreateFromMemory(const char* Data, size_t SizeInBytes);
00089
00096 CSFML_API void sfImage_Destroy(sfImage* Image);
00097
00107 CSFML_API sfBool sfImage_SaveToFile(sfImage* Image, const char* Filename);
00108
00117 CSFML_API void sfImage_CreateMaskFromColor(sfImage* Image, sfColor ColorKey, sfUint8 Alpha);
00118
00131 CSFML_API void sfImage_Copy(sfImage* Image, sfImage* Source, unsigned int DestX, unsigned int DestY, sfIntRect SourceRect);
00132
00144 CSFML_API sfBool sfImage_CopyScreen(sfImage* Image, sfRenderWindow* Window, sfIntRect SourceRect);
00145
00156 CSFML_API void sfImage_SetPixel(sfImage* Image, unsigned int X, unsigned int Y, sfColor Color);
00157
00168 CSFML_API sfColor sfImage_GetPixel(sfImage* Image, unsigned int X, unsigned int Y);
00169
00180 CSFML_API const sfUint8* sfImage_GetPixelsPtr(sfImage* Image);
00181
00188 CSFML_API void sfImage_Bind(sfImage* Image);
00189
00197 CSFML_API void sfImage_SetSmooth(sfImage* Image, sfBool Smooth);
00198
00207 CSFML_API unsigned int sfImage_GetWidth(sfImage* Image);
00208
00217 CSFML_API unsigned int sfImage_GetHeight(sfImage* Image);
00218
00227 CSFML_API sfBool sfImage_IsSmooth(sfImage* Image);
00228
00229
00230 #endif // SFML_IMAGE_H


Input.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_INPUT_H
00026 #define SFML_INPUT_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Window/Event.h>
00033 #include <SFML/Window/Types.h>
00034
00035
00045 CSFML_API sfBool sfInput_IsKeyDown(sfInput* Input, sfKeyCode KeyCode);
00046
00056 CSFML_API sfBool sfInput_IsMouseButtonDown(sfInput* Input, sfMouseButton Button);
00057
00068 CSFML_API sfBool sfInput_IsJoystickButtonDown(sfInput* Input, unsigned int JoyId, unsigned int Button);
00069
00078 CSFML_API int sfInput_GetMouseX(sfInput* Input);
00079
00088 CSFML_API int sfInput_GetMouseY(sfInput* Input);
00089
00100 CSFML_API float sfInput_GetJoystickAxis(sfInput* Input, unsigned int JoyId, sfJoyAxis Axis);
00101
00102
00103 #endif // SFML_INPUT_H


IPAddress.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_IPADDRESS_H
00026 #define SFML_IPADDRESS_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00037 typedef struct
00038 {
00039     char Address[16];
00040 } sfIPAddress;
00041
00042
00051 CSFML_API sfIPAddress sfIPAddress_FromString(const char* String);
00052
00064 CSFML_API sfIPAddress sfIPAddress_FromBytes(sfUint8 Byte0, sfUint8 Byte1, sfUint8 Byte2, sfUint8 Byte3);
00065
00072 CSFML_API sfIPAddress sfIPAddress_FromInteger(sfUint32 Address);
00073
00082 CSFML_API sfBool sfIPAddress_IsValid(sfIPAddress Address);
00083
00091 CSFML_API void sfIPAddress_ToString(sfIPAddress Address, char* String);
00092
00101 CSFML_API sfUint32 sfIPAddress_ToInteger(sfIPAddress Address);
00102
00109 CSFML_API sfIPAddress sfIPAddress_GetLocalAddress();
00110
00122 CSFML_API sfIPAddress sfIPAddress_GetPublicAddress(float Timeout);
00123
00130 CSFML_API sfIPAddress sfIPAddress_LocalHost();
00131
00132
00133 #endif // SFML_IPADDRESS_H


Listener.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_LISTENER_H
00026 #define SFML_LISTENER_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00040 CSFML_API void sfListener_SetGlobalVolume(float Volume);
00041
00048 CSFML_API float sfListener_GetGlobalVolume();
00049
00058 CSFML_API void sfListener_SetPosition(float PosX, float PosY, float PosZ);
00059
00068 CSFML_API void sfListener_GetPosition(float* PosX, float* PosY, float* PosZ);
00069
00079 CSFML_API void sfListener_SetTarget(float TargetX, float TargetY, float TargetZ);
00080
00090 CSFML_API void sfListener_GetTarget(float* TargetX, float* TargetY, float* TargetZ);
00091
00092
00093 #endif // SFML_LISTENER_H


Music.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_MUSIC_H
00026 #define SFML_MUSIC_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/SoundStatus.h>
00033 #include <SFML/Audio/Types.h>
00034
00035
00044 CSFML_API sfMusic* sfMusic_CreateFromFile(const char* Filename);
00045
00055 CSFML_API sfMusic* sfMusic_CreateFromMemory(const char* Data, size_t SizeInBytes);
00056
00063 CSFML_API void sfMusic_Destroy(sfMusic* Music);
00064
00072 CSFML_API void sfMusic_SetLoop(sfMusic* Music, sfBool Loop);
00073
00082 CSFML_API sfBool sfMusic_GetLoop(sfMusic* Music);
00083
00092 CSFML_API float sfMusic_GetDuration(sfMusic* Music);
00093
00100 CSFML_API void sfMusic_Play(sfMusic* Music);
00101
00108 CSFML_API void sfMusic_Pause(sfMusic* Music);
00109
00116 CSFML_API void sfMusic_Stop(sfMusic* Music);
00117
00126 CSFML_API unsigned int sfMusic_GetChannelsCount(sfMusic* Music);
00127
00136 CSFML_API unsigned int sfMusic_GetSampleRate(sfMusic* Music);
00137
00146 CSFML_API sfSoundStatus sfMusic_GetStatus(sfMusic* Music);
00147
00156 CSFML_API float sfMusic_GetPlayingOffset(sfMusic* Music);
00157
00165 CSFML_API void sfMusic_SetPitch(sfMusic* Music, float Pitch);
00166
00174 CSFML_API void sfMusic_SetVolume(sfMusic* Music, float Volume);
00175
00185 CSFML_API void sfMusic_SetPosition(sfMusic* Music, float X, float Y, float Z);
00186
00196 CSFML_API void sfMusic_SetRelativeToListener(sfMusic* Music, sfBool Relative);
00197
00207 CSFML_API void sfMusic_SetMinDistance(sfMusic* Music, float MinDistance);
00208
00218 CSFML_API void sfMusic_SetAttenuation(sfMusic* Music, float Attenuation);
00219
00228 CSFML_API float sfMusic_GetPitch(sfMusic* Music);
00229
00238 CSFML_API float sfMusic_GetVolume(sfMusic* Music);
00239
00249 CSFML_API void sfMusic_GetPosition(sfMusic* Music, float* X, float* Y, float* Z);
00250
00260 CSFML_API sfBool sfMusic_IsRelativeToListener(sfMusic* Music);
00261
00270 CSFML_API float sfMusic_GetMinDistance(sfMusic* Music);
00271
00280 CSFML_API float sfMusic_GetAttenuation(sfMusic* Music);
00281
00282
00283 #endif // SFML_MUSIC_H


Mutex.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_MUTEX_H
00026 #define SFML_MUTEX_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/System/Types.h>
00033
00034
00041 CSFML_API sfMutex* sfMutex_Create();
00042
00049 CSFML_API void sfMutex_Destroy(sfMutex* Mutex);
00050
00057 CSFML_API void sfMutex_Lock(sfMutex* Mutex);
00058
00065 CSFML_API void sfMutex_Unlock(sfMutex* Mutex);
00066
00067
00068 #endif // SFML_MUTEX_H


Types.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_NETWORK_TYPES_H
00026 #define SFML_NETWORK_TYPES_H
00027
00028
00029 typedef struct sfFtpDirectoryResponse sfFtpDirectoryResponse;
00030 typedef struct sfFtpListingResponse sfFtpListingResponse;
00031 typedef struct sfFtpResponse sfFtpResponse;
00032 typedef struct sfFtp sfFtp;
00033 typedef struct sfHttpRequest sfHttpRequest;
00034 typedef struct sfHttpResponse sfHttpResponse;
00035 typedef struct sfHttp sfHttp;
00036 typedef struct sfPacket sfPacket;
00037 typedef struct sfSelectorTCP sfSelectorTCP;
00038 typedef struct sfSelectorUDP sfSelectorUDP;
00039 typedef struct sfSocketTCP sfSocketTCP;
00040 typedef struct sfSocketUDP sfSocketUDP;
00041
00042
00043 #endif // SFML_NETWORK_TYPES_H


Network.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_NETWORK_H
00026 #define SFML_NETWORK_H
00027
00029 // Headers
00031
00032 #include <SFML/System.h>
00033 #include <SFML/Network/IPAddress.h>
00034 #include <SFML/Network/Packet.h>
00035 #include <SFML/Network/Selector.h>
00036 #include <SFML/Network/SocketTCP.h>
00037 #include <SFML/Network/SocketUDP.h>
00038
00039
00040 #endif // SFML_NETWORK_H


OpenGL.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_OPENGL_H
00026 #define SFML_OPENGL_H
00027
00028
00032 #include <SFML/Config.h>
00033
00034
00039 #if defined(CSFML_SYSTEM_WINDOWS)
00040
00041     #include <windows.h>
00042     #include <GL/gl.h>
00043     #include <GL/glu.h>
00044
00045 #elif defined(CSFML_SYSTEM_LINUX) || defined(CSFML_SYSTEM_FREEBSD)
00046
00047     #include <GL/gl.h>
00048     #include <GL/glu.h>
00049
00050 #elif defined(CSFML_SYSTEM_MACOS)
00051
00052     #include <OpenGL/gl.h>
00053     #include <OpenGL/glu.h>
00054
00055 #endif
00056
00057
00058 #endif // SFML_OPENGL_H
00059


Packet.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_PACKET_H
00026 #define SFML_PACKET_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/Types.h>
00033
00034
00041 CSFML_API sfPacket* sfPacket_Create();
00042
00049 CSFML_API void sfPacket_Destroy(sfPacket* Packet);
00050
00059 CSFML_API void sfPacket_Append(sfPacket* Packet, void* Data, size_t SizeInBytes);
00060
00067 CSFML_API void sfPacket_Clear(sfPacket* Packet);
00068
00079 CSFML_API const char* sfPacket_GetData(sfPacket* Packet);
00080
00089 CSFML_API size_t sfPacket_GetDataSize(sfPacket* Packet);
00090
00099 CSFML_API sfBool sfPacket_EndOfPacket(sfPacket* Packet);
00100
00109 CSFML_API sfBool sfPacket_CanRead(sfPacket* Packet);
00110
00117 CSFML_API sfBool   sfPacket_ReadBool(sfPacket* Packet);
00118 CSFML_API sfInt8   sfPacket_ReadInt8(sfPacket* Packet);
00119 CSFML_API sfUint8  sfPacket_ReadUint8(sfPacket* Packet);
00120 CSFML_API sfInt16  sfPacket_ReadInt16(sfPacket* Packet);
00121 CSFML_API sfUint16 sfPacket_ReadUint16(sfPacket* Packet);
00122 CSFML_API sfInt32  sfPacket_ReadInt32(sfPacket* Packet);
00123 CSFML_API sfUint32 sfPacket_ReadUint32(sfPacket* Packet);
00124 CSFML_API float    sfPacket_ReadFloat(sfPacket* Packet);
00125 CSFML_API double   sfPacket_ReadDouble(sfPacket* Packet);
00126 CSFML_API void     sfPacket_ReadString(sfPacket* Packet, char* String);
00127 CSFML_API void     sfPacket_ReadWideString(sfPacket* Packet, wchar_t* String);
00128
00135 CSFML_API void sfPacket_WriteBool(sfPacket* Packet, sfBool);
00136 CSFML_API void sfPacket_WriteInt8(sfPacket* Packet, sfInt8);
00137 CSFML_API void sfPacket_WriteUint8(sfPacket* Packet, sfUint8);
00138 CSFML_API void sfPacket_WriteInt16(sfPacket* Packet, sfInt16);
00139 CSFML_API void sfPacket_WriteUint16(sfPacket* Packet, sfUint16);
00140 CSFML_API void sfPacket_WriteInt32(sfPacket* Packet, sfInt32);
00141 CSFML_API void sfPacket_WriteUint32(sfPacket* Packet, sfUint32);
00142 CSFML_API void sfPacket_WriteFloat(sfPacket* Packet, float);
00143 CSFML_API void sfPacket_WriteDouble(sfPacket* Packet, double);
00144 CSFML_API void sfPacket_WriteString(sfPacket* Packet, const char* String);
00145 CSFML_API void sfPacket_WriteWideString(sfPacket* Packet, const wchar_t* String);
00146
00147
00148 #endif // SFML_PACKET_H


PostFX.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_POSTFX_H
00026 #define SFML_POSTFX_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/Types.h>
00033
00034
00043 CSFML_API sfPostFX* sfPostFX_CreateFromFile(const char* Filename);
00044
00053 CSFML_API sfPostFX* sfPostFX_CreateFromMemory(const char* Effect);
00054
00061 CSFML_API void sfPostFX_Destroy(sfPostFX* PostFX);
00062
00071 CSFML_API void sfPostFX_SetParameter1(sfPostFX* PostFX, const char* Name, float X);
00072
00081 CSFML_API void sfPostFX_SetParameter2(sfPostFX* PostFX, const char* Name, float X, float Y);
00082
00091 CSFML_API void sfPostFX_SetParameter3(sfPostFX* PostFX, const char* Name, float X, float Y, float Z);
00092
00101 CSFML_API void sfPostFX_SetParameter4(sfPostFX* PostFX, const char* Name, float X, float Y, float Z, float W);
00102
00111 CSFML_API void sfPostFX_SetTexture(sfPostFX* PostFX, const char* Name, sfImage* Texture);
00112
00119 CSFML_API sfBool sfPostFX_CanUsePostFX();
00120
00121
00122 #endif // SFML_POSTFX_H


Randomizer.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_RANDOMIZER_H
00026 #define SFML_RANDOMIZER_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00041 CSFML_API void sfRandom_SetSeed(unsigned int Seed);
00042
00049 CSFML_API unsigned int sfRandom_GetSeed();
00050
00060 CSFML_API float sfRandom_Float(float Begin, float End);
00061
00071 CSFML_API int sfRandom_Int(int Begin, int End);
00072
00073
00074 #endif // SFML_RANDOMIZER_H


Rect.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_RECT_H
00026 #define SFML_RECT_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00038 typedef struct
00039 {
00040     float Left;
00041     float Top;
00042     float Right;
00043     float Bottom;
00044 } sfFloatRect;
00045
00046 typedef struct
00047 {
00048     int Left;
00049     int Top;
00050     int Right;
00051     int Bottom;
00052 } sfIntRect;
00053
00054
00063 CSFML_API void sfFloatRect_Offset(sfFloatRect* Rect, float OffsetX, float OffsetY);
00064 CSFML_API void sfIntRect_Offset(sfIntRect* Rect, int OffsetX, int OffsetY);
00065
00076 CSFML_API sfBool sfFloatRect_Contains(sfFloatRect* Rect, float X, float Y);
00077 CSFML_API sfBool sfIntRect_Contains(sfIntRect* Rect, int X, int Y);
00078
00089 CSFML_API sfBool sfFloatRect_Intersects(sfFloatRect* Rect1, sfFloatRect* Rect2, sfFloatRect* OverlappingRect);
00090 CSFML_API sfBool sfIntRect_Intersects(sfIntRect* Rect1, sfIntRect* Rect2, sfIntRect* OverlappingRect);
00091
00092
00093 #endif // SFML_RECT_H


RenderWindow.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_RENDERWINDOW_H
00026 #define SFML_RENDERWINDOW_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/Color.h>
00033 #include <SFML/Graphics/Rect.h>
00034 #include <SFML/Graphics/Types.h>
00035 #include <SFML/Window/Event.h>
00036 #include <SFML/Window/VideoMode.h>
00037 #include <SFML/Window/WindowHandle.h>
00038 #include <SFML/Window/Window.h>
00039
00040
00050 CSFML_API sfRenderWindow* sfRenderWindow_Create(sfVideoMode Mode, const char* Title, unsigned long Style, sfWindowSettings Params);
00051
00059 CSFML_API sfRenderWindow* sfRenderWindow_CreateFromHandle(sfWindowHandle Handle, sfWindowSettings Params);
00060
00067 CSFML_API void sfRenderWindow_Destroy(sfRenderWindow* RenderWindow);
00068
00075 CSFML_API void sfRenderWindow_Close(sfRenderWindow* RenderWindow);
00076
00083 CSFML_API sfBool sfRenderWindow_IsOpened(sfRenderWindow* RenderWindow);
00084
00093 CSFML_API unsigned int sfRenderWindow_GetWidth(sfRenderWindow* RenderWindow);
00094
00103 CSFML_API unsigned int sfRenderWindow_GetHeight(sfRenderWindow* RenderWindow);
00104
00113 CSFML_API sfWindowSettings sfRenderWindow_GetSettings(sfRenderWindow* RenderWindow);
00114
00124 CSFML_API sfBool sfRenderWindow_GetEvent(sfRenderWindow* RenderWindow, sfEvent* Event);
00125
00133 CSFML_API void sfRenderWindow_UseVerticalSync(sfRenderWindow* RenderWindow, sfBool Enabled);
00134
00142 CSFML_API void sfRenderWindow_ShowMouseCursor(sfRenderWindow* RenderWindow, sfBool Show);
00143
00152 CSFML_API void sfRenderWindow_SetCursorPosition(sfRenderWindow* RenderWindow, unsigned int Left, unsigned int Top);
00153
00163 CSFML_API void sfRenderWindow_SetPosition(sfRenderWindow* RenderWindow, int Left, int Top);
00164
00173 CSFML_API void sfRenderWindow_SetSize(sfRenderWindow* RenderWindow, unsigned int Width, unsigned int Height);
00174
00182 CSFML_API void sfRenderWindow_Show(sfRenderWindow* RenderWindow, sfBool State);
00183
00192 CSFML_API void sfRenderWindow_EnableKeyRepeat(sfRenderWindow* RenderWindow, sfBool Enabled);
00193
00203 CSFML_API void sfRenderWindow_SetIcon(sfRenderWindow* RenderWindow, unsigned int Width, unsigned int Height, sfUint8* Pixels);
00204
00214 CSFML_API sfBool sfRenderWindow_SetActive(sfRenderWindow* RenderWindow, sfBool Active);
00215
00222 CSFML_API void sfRenderWindow_Display(sfRenderWindow* RenderWindow);
00223
00232 CSFML_API sfInput* sfRenderWindow_GetInput(sfRenderWindow* RenderWindow);
00233
00242 CSFML_API void sfRenderWindow_SetFramerateLimit(sfRenderWindow* RenderWindow, unsigned int Limit);
00243
00252 CSFML_API float sfRenderWindow_GetFrameTime(sfRenderWindow* RenderWindow);
00253
00262 CSFML_API void sfRenderWindow_SetJoystickThreshold(sfRenderWindow* RenderWindow, float Threshold);
00263
00271 CSFML_API void sfRenderWindow_DrawPostFX(sfRenderWindow* RenderWindow, sfPostFX* PostFX);
00272 CSFML_API void sfRenderWindow_DrawSprite(sfRenderWindow* RenderWindow, sfSprite* Sprite);
00273 CSFML_API void sfRenderWindow_DrawShape (sfRenderWindow* RenderWindow, sfShape*  Shape);
00274 CSFML_API void sfRenderWindow_DrawString(sfRenderWindow* RenderWindow, sfString* String);
00275
00284 CSFML_API sfImage* sfRenderWindow_Capture(sfRenderWindow* RenderWindow);
00285
00293 CSFML_API void sfRenderWindow_Clear(sfRenderWindow* RenderWindow, sfColor Color);
00294
00302 CSFML_API void sfRenderWindow_SetView(sfRenderWindow* RenderWindow, sfView* View);
00303
00312 CSFML_API const sfView* sfRenderWindow_GetView(sfRenderWindow* RenderWindow);
00313
00322 CSFML_API sfView* sfRenderWindow_GetDefaultView(sfRenderWindow* RenderWindow);
00323
00335 CSFML_API void sfRenderWindow_ConvertCoords(sfRenderWindow* RenderWindow, unsigned int WindowX, unsigned int WindowY, float* ViewX, float* ViewY, sfView* TargetView);
00336
00349 CSFML_API void sfRenderWindow_PreserveOpenGLStates(sfRenderWindow* RenderWindow, sfBool Preserve);
00350
00351
00352 #endif // SFML_RENDERWINDOW_H


Selector.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SELECTOR_H
00026 #define SFML_SELECTOR_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/Types.h>
00033
00034
00041 CSFML_API sfSelectorTCP* sfSelectorTCP_Create();
00042 CSFML_API sfSelectorUDP* sfSelectorUDP_Create();
00043
00050 CSFML_API void sfSelectorTCP_Destroy(sfSelectorTCP* Selector);
00051 CSFML_API void sfSelectorUDP_Destroy(sfSelectorUDP* Selector);
00052
00060 CSFML_API void sfSelectorTCP_Add(sfSelectorTCP* Selector, sfSocketTCP* Socket);
00061 CSFML_API void sfSelectorUDP_Add(sfSelectorUDP* Selector, sfSocketUDP* Socket);
00062
00070 CSFML_API void sfSelectorTCP_Remove(sfSelectorTCP* Selector, sfSocketTCP* Socket);
00071 CSFML_API void sfSelectorUDP_Remove(sfSelectorUDP* Selector, sfSocketUDP* Socket);
00072
00079 CSFML_API void sfSelectorTCP_Clear(sfSelectorTCP* Selector);
00080 CSFML_API void sfSelectorUDP_Clear(sfSelectorUDP* Selector);
00081
00093 CSFML_API unsigned int sfSelectorTCP_Wait(sfSelectorTCP* Selector, float Timeout);
00094 CSFML_API unsigned int sfSelectorUDP_Wait(sfSelectorUDP* Selector, float Timeout);
00095
00107 CSFML_API sfSocketTCP* sfSelectorTCP_GetSocketReady(sfSelectorTCP* Selector, unsigned int Index);
00108 CSFML_API sfSocketUDP* sfSelectorUDP_GetSocketReady(sfSelectorUDP* Selector, unsigned int Index);
00109
00110
00111 #endif // SFML_SELECTOR_H


Shape.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_Shape_H
00026 #define SFML_Shape_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/BlendMode.h>
00033 #include <SFML/Graphics/Color.h>
00034 #include <SFML/Graphics/Types.h>
00035
00036
00043 CSFML_API sfShape* sfShape_Create();
00044
00056 CSFML_API sfShape* sfShape_CreateLine(float P1X, float P1Y, float P2X, float P2Y, float Thickness, sfColor Col, float Outline, sfColor OutlineCol);
00057
00068 CSFML_API sfShape* sfShape_CreateRectangle(float P1X, float P1Y, float P2X, float P2Y, sfColor Col, float Outline, sfColor OutlineCol);
00069
00080 CSFML_API sfShape* sfShape_CreateCircle(float X, float Y, float Radius, sfColor Col, float Outline, sfColor OutlineCol);
00081
00088 CSFML_API void sfShape_Destroy(sfShape* Shape);
00089
00097 CSFML_API void sfShape_SetX(sfShape* Shape, float X);
00098
00106 CSFML_API void sfShape_SetY(sfShape* Shape, float Y);
00107
00116 CSFML_API void sfShape_SetPosition(sfShape* Shape, float X, float Y);
00117
00125 CSFML_API void sfShape_SetScaleX(sfShape* Shape, float Scale);
00126
00134 CSFML_API void sfShape_SetScaleY(sfShape* Shape, float Scale);
00135
00144 CSFML_API void sfShape_SetScale(sfShape* Shape, float ScaleX, float ScaleY);
00145
00153 CSFML_API void sfShape_SetRotation(sfShape* Shape, float Rotation);
00154
00164 CSFML_API void sfShape_SetCenter(sfShape* Shape, float X, float Y);
00165
00173 CSFML_API void sfShape_SetColor(sfShape* Shape, sfColor Color);
00174
00182 CSFML_API void sfShape_SetBlendMode(sfShape* Shape, sfBlendMode Mode);
00183
00192 CSFML_API float sfShape_GetX(sfShape* Shape);
00193
00202 CSFML_API float sfShape_GetY(sfShape* Shape);
00203
00212 CSFML_API float sfShape_GetScaleX(sfShape* Shape);
00213
00222 CSFML_API float sfShape_GetScaleY(sfShape* Shape);
00223
00232 CSFML_API float sfShape_GetRotation(sfShape* Shape);
00233
00242 CSFML_API float sfShape_GetCenterX(sfShape* Shape);
00243
00252 CSFML_API float sfShape_GetCenterY(sfShape* Shape);
00253
00262 CSFML_API sfColor sfShape_GetColor(sfShape* Shape);
00263
00272 CSFML_API sfBlendMode sfShape_GetBlendMode(sfShape* Shape);
00273
00282 CSFML_API void sfShape_Move(sfShape* Shape, float OffsetX, float OffsetY);
00283
00292 CSFML_API void sfShape_Scale(sfShape* Shape, float FactorX, float FactorY);
00293
00301 CSFML_API void sfShape_Rotate(sfShape* Shape, float Angle);
00302
00314 CSFML_API void sfShape_TransformToLocal(sfShape* Shape, float PointX, float PointY, float* X, float* Y);
00315
00327 CSFML_API void sfShape_TransformToGlobal(sfShape* Shape, float PointX, float PointY, float* X, float* Y);
00328
00338 CSFML_API void sfShape_AddPoint(sfShape* Shape, float X, float Y, sfColor Col, sfColor OutlineCol);
00339
00347 CSFML_API void sfShape_EnableFill(sfShape* Shape, sfBool Enable);
00348
00357 CSFML_API void sfShape_EnableOutline(sfShape* Shape, sfBool Enable);
00358
00366 CSFML_API void sfShape_SetOutlineWidth(sfShape* Shape, float Width);
00367
00376 CSFML_API float sfShape_GetOutlineWidth(sfShape* Shape);
00377
00386 CSFML_API unsigned int sfShape_GetNbPoints(sfShape* Shape);
00387
00397 CSFML_API void sfShape_GetPointPosition(sfShape* Shape, unsigned int Index, float* X, float* Y);
00398
00408 CSFML_API sfColor sfShape_GetPointColor(sfShape* Shape, unsigned int Index);
00409
00419 CSFML_API sfColor sfShape_GetPointOutlineColor(sfShape* Shape, unsigned int Index);
00420
00430 CSFML_API void sfShape_SetPointPosition(sfShape* Shape, unsigned int Index, float X, float Y);
00431
00440 CSFML_API void sfShape_SetPointColor(sfShape* Shape, unsigned int Index, sfColor Color);
00441
00450 CSFML_API void sfShape_SetPointOutlineColor(sfShape* Shape, unsigned int Index, sfColor Color);
00451
00452
00453 #endif // SFML_Shape_H


Sleep.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SLEEP_H
00026 #define SFML_SLEEP_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00040 CSFML_API void sfSleep(float Duration);
00041
00042
00043 #endif // SFML_SLEEP_H


SocketStatus.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOCKETSTATUS_H
00026 #define SFML_SOCKETSTATUS_H
00027
00028
00033 typedef enum
00034 {
00035     sfSocketDone,
00036     sfSocketNotReady,
00037     sfSocketDisconnected,
00038     sfSocketError
00039
00040 } sfSocketStatus;
00041
00042
00043 #endif // SFML_SOCKETSTATUS_H


SocketTCP.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOCKETTCP_H
00026 #define SFML_SOCKETTCP_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/IPAddress.h>
00033 #include <SFML/Network/SocketStatus.h>
00034 #include <SFML/Network/Types.h>
00035
00036
00043 CSFML_API sfSocketTCP* sfSocketTCP_Create();
00044
00051 CSFML_API void sfSocketTCP_Destroy(sfSocketTCP* Socket);
00052
00061 CSFML_API void sfSocketTCP_SetBlocking(sfSocketTCP* Socket, sfBool Blocking);
00062
00074 CSFML_API sfSocketStatus sfSocketTCP_Connect(sfSocketTCP* Socket, unsigned short Port, sfIPAddress HostAddress, float Timeout);
00075
00085 CSFML_API sfBool sfSocketTCP_Listen(sfSocketTCP* Socket, unsigned short Port);
00086
00099 CSFML_API sfSocketStatus sfSocketTCP_Accept(sfSocketTCP* Socket, sfSocketTCP** Connected, sfIPAddress* Address);
00100
00111 CSFML_API sfSocketStatus sfSocketTCP_Send(sfSocketTCP* Socket, const char* Data, size_t Size);
00112
00124 CSFML_API sfSocketStatus sfSocketTCP_Receive(sfSocketTCP* Socket, char* Data, size_t MaxSize, size_t* SizeReceived);
00125
00135 CSFML_API sfSocketStatus sfSocketTCP_SendPacket(sfSocketTCP* Socket, sfPacket* Packet);
00136
00146 CSFML_API sfSocketStatus sfSocketTCP_ReceivePacket(sfSocketTCP* Socket, sfPacket* Packet);
00147
00157 CSFML_API sfBool sfSocketTCP_IsValid(sfSocketTCP* Socket);
00158
00159
00160 #endif // SFML_SOCKETTCP_H


SocketUDP.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOCKETUDP_H
00026 #define SFML_SOCKETUDP_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Network/IPAddress.h>
00033 #include <SFML/Network/SocketStatus.h>
00034 #include <SFML/Network/Types.h>
00035
00036
00043 CSFML_API sfSocketUDP* sfSocketUDP_Create();
00044
00051 CSFML_API void sfSocketUDP_Destroy(sfSocketUDP* Socket);
00052
00061 CSFML_API void sfSocketUDP_SetBlocking(sfSocketUDP* Socket, sfBool Blocking);
00062
00072 CSFML_API sfBool sfSocketUDP_Bind(sfSocketUDP* Socket, unsigned short Port);
00073
00082 CSFML_API sfBool sfSocketUDP_Unbind(sfSocketUDP* Socket);
00083
00096 CSFML_API sfSocketStatus sfSocketUDP_Send(sfSocketUDP* Socket, const char* Data, size_t Size, sfIPAddress Address, unsigned short Port);
00097
00113 CSFML_API sfSocketStatus sfSocketUDP_Receive(sfSocketUDP* Socket, char* Data, size_t MaxSize, size_t* SizeReceived, sfIPAddress* Address, unsigned short* Port);
00114
00126 CSFML_API sfSocketStatus sfSocketUDP_SendPacket(sfSocketUDP* Socket, sfPacket* Packet, sfIPAddress Address, unsigned short Port);
00127
00141 CSFML_API sfSocketStatus sfSocketUDP_ReceivePacket(sfSocketUDP* Socket, sfPacket* Packet, sfIPAddress* Address, unsigned short* Port);
00142
00152 CSFML_API sfBool sfSocketUDP_IsValid(sfSocketUDP* Socket);
00153
00154
00155 #endif // SFML_SOCKETUDP_H


Sound.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUND_H
00026 #define SFML_SOUND_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/SoundStatus.h>
00033 #include <SFML/Audio/Types.h>
00034
00035
00042 CSFML_API sfSound* sfSound_Create();
00043
00050 CSFML_API void sfSound_Destroy(sfSound* Sound);
00051
00058 CSFML_API void sfSound_Play(sfSound* Sound);
00059
00066 CSFML_API void sfSound_Pause(sfSound* Sound);
00067
00074 CSFML_API void sfSound_Stop(sfSound* Sound);
00075
00083 CSFML_API void sfSound_SetBuffer(sfSound* Sound, sfSoundBuffer* Buffer);
00084
00093 CSFML_API sfSoundBuffer* sfSound_GetBuffer(sfSound* Sound);
00094
00102 CSFML_API void sfSound_SetLoop(sfSound* Sound, sfBool Loop);
00103
00112 CSFML_API sfBool sfSound_GetLoop(sfSound* Sound);
00113
00122 CSFML_API sfSoundStatus sfSound_GetStatus(sfSound* Sound);
00123
00131 CSFML_API void sfSound_SetPitch(sfSound* Sound, float Pitch);
00132
00140 CSFML_API void sfSound_SetVolume(sfSound* Sound, float Volume);
00141
00151 CSFML_API void sfSound_SetPosition(sfSound* Sound, float X, float Y, float Z);
00152
00162 CSFML_API void sfSound_SetRelativeToListener(sfSound* Sound, sfBool Relative);
00163
00173 CSFML_API void sfSound_SetMinDistance(sfSound* Sound, float MinDistance);
00174
00184 CSFML_API void sfSound_SetAttenuation(sfSound* Sound, float Attenuation);
00185
00193 CSFML_API void sfSound_SetPlayingOffset(sfSound* Sound, float TimeOffset);
00194
00203 CSFML_API float sfSound_GetPitch(sfSound* Sound);
00204
00213 CSFML_API float sfSound_GetVolume(sfSound* Sound);
00214
00224 CSFML_API void sfSound_GetPosition(sfSound* Sound, float* X, float* Y, float* Z);
00225
00235 CSFML_API sfBool sfSound_IsRelativeToListener(sfSound* Sound);
00236
00245 CSFML_API float sfSound_GetMinDistance(sfSound* Sound);
00246
00255 CSFML_API float sfSound_GetAttenuation(sfSound* Sound);
00256
00265 CSFML_API float sfSound_GetPlayingOffset(sfSound* Sound);
00266
00267
00268 #endif // SFML_SOUND_H


SoundBuffer.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUNDBUFFER_H
00026 #define SFML_SOUNDBUFFER_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/Types.h>
00033
00034
00043 CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromFile(const char* Filename);
00044
00054 CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromMemory(const char* Data, size_t SizeInBytes);
00055
00069 CSFML_API sfSoundBuffer* sfSoundBuffer_CreateFromSamples(const sfInt16* Samples, size_t SamplesCount, unsigned int ChannelsCount, unsigned int SampleRate);
00070
00077 CSFML_API void sfSoundBuffer_Destroy(sfSoundBuffer* SoundBuffer);
00078
00088 CSFML_API sfBool sfSoundBuffer_SaveToFile(sfSoundBuffer* SoundBuffer, const char* Filename);
00089
00098 CSFML_API const sfInt16* sfSoundBuffer_GetSamples(sfSoundBuffer* SoundBuffer);
00099
00108 CSFML_API size_t sfSoundBuffer_GetSamplesCount(sfSoundBuffer* SoundBuffer);
00109
00118 CSFML_API unsigned int sfSoundBuffer_GetSampleRate(sfSoundBuffer* SoundBuffer);
00119
00128 CSFML_API unsigned int sfSoundBuffer_GetChannelsCount(sfSoundBuffer* SoundBuffer);
00129
00138 CSFML_API float sfSoundBuffer_GetDuration(sfSoundBuffer* SoundBuffer);
00139
00140
00141 #endif // SFML_SOUNDBUFFER_H


SoundBufferRecorder.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUNDBUFFERRECORDER_H
00026 #define SFML_SOUNDBUFFERRECORDER_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/Types.h>
00033
00034
00041 CSFML_API sfSoundBufferRecorder* sfSoundBufferRecorder_Create();
00042
00049 CSFML_API void sfSoundBufferRecorder_Destroy(sfSoundBufferRecorder* SoundBufferRecorder);
00050
00059 CSFML_API void sfSoundBufferRecorder_Start(sfSoundBufferRecorder* SoundBufferRecorder, unsigned int SampleRate);
00060
00067 CSFML_API void sfSoundBufferRecorder_Stop(sfSoundBufferRecorder* SoundBufferRecorder);
00068
00077 CSFML_API unsigned int sfSoundBufferRecorder_GetSampleRate(sfSoundBufferRecorder* SoundBufferRecorder);
00078
00088 CSFML_API sfSoundBuffer* sfSoundBufferRecorder_GetBuffer(sfSoundBufferRecorder* SoundBufferRecorder);
00089
00090
00091 #endif // SFML_SOUNDBUFFERRECORDER_H


SoundRecorder.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUNDRECORDER_H
00026 #define SFML_SOUNDRECORDER_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/Types.h>
00033
00034
00035 typedef sfBool (*sfSoundRecorderStartCallback)(void*);
00036 typedef sfBool (*sfSoundRecorderProcessCallback)(const sfInt16*, size_t, void*);
00037 typedef void   (*sfSoundRecorderStopCallback)(void*);
00038
00039
00052 CSFML_API sfSoundRecorder* sfSoundRecorder_Create(sfSoundRecorderStartCallback   OnStart,
00053                                                   sfSoundRecorderProcessCallback OnProcess,
00054                                                   sfSoundRecorderStopCallback    OnStop,
00055                                                   void*                          UserData);
00056
00063 CSFML_API void sfSoundRecorder_Destroy(sfSoundRecorder* SoundRecorder);
00064
00073 CSFML_API void sfSoundRecorder_Start(sfSoundRecorder* SoundRecorder, unsigned int SampleRate);
00074
00081 CSFML_API void sfSoundRecorder_Stop(sfSoundRecorder* SoundRecorder);
00082
00091 CSFML_API unsigned int sfSoundRecorder_GetSampleRate(sfSoundRecorder* SoundRecorder);
00092
00100 CSFML_API sfBool sfSoundRecorder_CanCapture();
00101
00102
00103 #endif // SFML_SOUNDRECORDER_H


SoundStatus.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUNDSTATUS_H
00026 #define SFML_SOUNDSTATUS_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00034 typedef enum
00035 {
00036     sfStopped,
00037     sfPaused,
00038     sfPlaying
00039 } sfSoundStatus;
00040
00041
00042 #endif // SFML_SOUNDSTATUS_H


SoundStream.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SOUNDSTREAM_H
00026 #define SFML_SOUNDSTREAM_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Audio/SoundStatus.h>
00033 #include <SFML/Audio/Types.h>
00034
00035
00040 typedef struct
00041 {
00042     sfInt16*     Samples;
00043     unsigned int NbSamples;
00044 } sfSoundStreamChunk;
00045
00046 typedef sfBool (*sfSoundStreamStartCallback)(void*);
00047 typedef sfBool (*sfSoundStreamGetDataCallback)(sfSoundStreamChunk*, void*);
00048
00049
00062 CSFML_API sfSoundStream* sfSoundStream_Create(sfSoundStreamStartCallback   OnStart,
00063                                               sfSoundStreamGetDataCallback OnGetData,
00064                                               unsigned int                 ChannelsCount,
00065                                               unsigned int                 SampleRate,
00066                                               void*                        UserData);
00067
00074 CSFML_API void sfSoundStream_Destroy(sfSoundStream* SoundStreamStream);
00075
00082 CSFML_API void sfSoundStream_Play(sfSoundStream* SoundStream);
00083
00090 CSFML_API void sfSoundStream_Pause(sfSoundStream* SoundStream);
00091
00098 CSFML_API void sfSoundStream_Stop(sfSoundStream* SoundStream);
00099
00108 CSFML_API sfSoundStatus sfSoundStream_GetStatus(sfSoundStream* SoundStream);
00109
00119 CSFML_API unsigned int sfSoundStream_GetChannelsCount(sfSoundStream* SoundStream);
00120
00129 CSFML_API unsigned int sfSoundStream_GetSampleRate(sfSoundStream* SoundStream);
00130
00138 CSFML_API void sfSoundStream_SetPitch(sfSoundStream* SoundStream, float Pitch);
00139
00147 CSFML_API void sfSoundStream_SetVolume(sfSoundStream* SoundStream, float Volume);
00148
00158 CSFML_API void sfSoundStream_SetPosition(sfSoundStream* SoundStream, float X, float Y, float Z);
00159
00169 CSFML_API void sfSoundStream_SetRelativeToListener(sfSoundStream* SoundStream, sfBool Relative);
00170
00180 CSFML_API void sfSoundStream_SetMinDistance(sfSoundStream* SoundStream, float MinDistance);
00181
00191 CSFML_API void sfSoundStream_SetAttenuation(sfSoundStream* SoundStream, float Attenuation);
00192
00200 CSFML_API void sfSoundStream_SetLoop(sfSoundStream* SoundStream, sfBool Loop);
00201
00210 CSFML_API float sfSoundStream_GetPitch(sfSoundStream* SoundStream);
00211
00220 CSFML_API float sfSoundStream_GetVolume(sfSoundStream* SoundStream);
00221
00231 CSFML_API void sfSoundStream_GetPosition(sfSoundStream* SoundStream, float* X, float* Y, float* Z);
00232
00242 CSFML_API sfBool sfSoundStream_IsRelativeToListener(sfSoundStream* SoundStream);
00243
00252 CSFML_API float sfSoundStream_GetMinDistance(sfSoundStream* SoundStream);
00253
00262 CSFML_API float sfSoundStream_GetAttenuation(sfSoundStream* SoundStream);
00263
00272 CSFML_API sfBool sfSoundStream_GetLoop(sfSoundStream* SoundStream);
00273
00282 CSFML_API float sfSoundStream_GetPlayingOffset(sfSoundStream* SoundStream);
00283
00284
00285 #endif // SFML_SOUNDSTREAM_H


Sprite.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SPRITE_H
00026 #define SFML_SPRITE_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/BlendMode.h>
00033 #include <SFML/Graphics/Color.h>
00034 #include <SFML/Graphics/Rect.h>
00035 #include <SFML/Graphics/Types.h>
00036
00037
00044 CSFML_API sfSprite* sfSprite_Create();
00045
00052 CSFML_API void sfSprite_Destroy(sfSprite* Sprite);
00053
00061 CSFML_API void sfSprite_SetX(sfSprite* Sprite, float X);
00062
00070 CSFML_API void sfSprite_SetY(sfSprite* Sprite, float Y);
00071
00080 CSFML_API void sfSprite_SetPosition(sfSprite* Sprite, float X, float Y);
00081
00089 CSFML_API void sfSprite_SetScaleX(sfSprite* Sprite, float Scale);
00090
00098 CSFML_API void sfSprite_SetScaleY(sfSprite* Sprite, float Scale);
00099
00108 CSFML_API void sfSprite_SetScale(sfSprite* Sprite, float ScaleX, float ScaleY);
00109
00117 CSFML_API void sfSprite_SetRotation(sfSprite* Sprite, float Rotation);
00118
00128 CSFML_API void sfSprite_SetCenter(sfSprite* Sprite, float X, float Y);
00129
00137 CSFML_API void sfSprite_SetColor(sfSprite* Sprite, sfColor Color);
00138
00146 CSFML_API void sfSprite_SetBlendMode(sfSprite* Sprite, sfBlendMode Mode);
00147
00156 CSFML_API float sfSprite_GetX(sfSprite* Sprite);
00157
00166 CSFML_API float sfSprite_GetY(sfSprite* Sprite);
00167
00176 CSFML_API float sfSprite_GetScaleX(sfSprite* Sprite);
00177
00186 CSFML_API float sfSprite_GetScaleY(sfSprite* Sprite);
00187
00196 CSFML_API float sfSprite_GetRotation(sfSprite* Sprite);
00197
00206 CSFML_API float sfSprite_GetCenterX(sfSprite* Sprite);
00207
00216 CSFML_API float sfSprite_GetCenterY(sfSprite* Sprite);
00217
00226 CSFML_API sfColor sfSprite_GetColor(sfSprite* Sprite);
00227
00236 CSFML_API sfBlendMode sfSprite_GetBlendMode(sfSprite* Sprite);
00237
00246 CSFML_API void sfSprite_Move(sfSprite* Sprite, float OffsetX, float OffsetY);
00247
00256 CSFML_API void sfSprite_Scale(sfSprite* Sprite, float FactorX, float FactorY);
00257
00265 CSFML_API void sfSprite_Rotate(sfSprite* Sprite, float Angle);
00266
00278 CSFML_API void sfSprite_TransformToLocal(sfSprite* Sprite, float PointX, float PointY, float* X, float* Y);
00279
00291 CSFML_API void sfSprite_TransformToGlobal(sfSprite* Sprite, float PointX, float PointY, float* X, float* Y);
00292
00300 CSFML_API void sfSprite_SetImage(sfSprite* Sprite, sfImage* Image);
00301
00309 CSFML_API void sfSprite_SetSubRect(sfSprite* Sprite, sfIntRect SubRect);
00310
00319 CSFML_API void sfSprite_Resize(sfSprite* Sprite, float Width, float Height);
00320
00328 CSFML_API void sfSprite_FlipX(sfSprite* Sprite, sfBool Flipped);
00329
00337 CSFML_API void sfSprite_FlipY(sfSprite* Sprite, sfBool Flipped);
00338
00347 CSFML_API sfImage* sfSprite_GetImage(sfSprite* Sprite);
00348
00357 CSFML_API sfIntRect sfSprite_GetSubRect(sfSprite* Sprite);
00358
00367 CSFML_API float sfSprite_GetWidth(sfSprite* Sprite);
00368
00377 CSFML_API float sfSprite_GetHeight(sfSprite* Sprite);
00378
00389 CSFML_API sfColor sfSprite_GetPixel(sfSprite* Sprite, unsigned int X, unsigned int Y);
00390
00391
00392 #endif // SFML_SPRITE_H


String.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_STRING_H
00026 #define SFML_STRING_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/BlendMode.h>
00033 #include <SFML/Graphics/Color.h>
00034 #include <SFML/Graphics/Rect.h>
00035 #include <SFML/Graphics/Types.h>
00036
00037
00041 typedef enum
00042 {
00043     sfStringRegular    = 0,
00044     sfStringBold       = 1 << 0,
00045     sfStringItalic     = 1 << 1,
00046     sfStringUnderlined = 1 << 2
00047 } sfStringStyle;
00048
00049
00056 CSFML_API sfString* sfString_Create();
00057
00064 CSFML_API void sfString_Destroy(sfString* String);
00065
00073 CSFML_API void sfString_SetX(sfString* String, float X);
00074
00082 CSFML_API void sfString_SetY(sfString* String, float Y);
00083
00092 CSFML_API void sfString_SetPosition(sfString* String, float Left, float Top);
00093
00101 CSFML_API void sfString_SetScaleX(sfString* String, float Scale);
00102
00110 CSFML_API void sfString_SetScaleY(sfString* String, float Scale);
00111
00120 CSFML_API void sfString_SetScale(sfString* String, float ScaleX, float ScaleY);
00121
00129 CSFML_API void sfString_SetRotation(sfString* String, float Rotation);
00130
00140 CSFML_API void sfString_SetCenter(sfString* String, float X, float Y);
00141
00149 CSFML_API void sfString_SetColor(sfString* String, sfColor Color);
00150
00158 CSFML_API void sfString_SetBlendMode(sfString* String, sfBlendMode Mode);
00159
00168 CSFML_API float sfString_GetX(sfString* String);
00169
00178 CSFML_API float sfString_GetY(sfString* String);
00179
00188 CSFML_API float sfString_GetScaleX(sfString* String);
00189
00198 CSFML_API float sfString_GetScaleY(sfString* String);
00199
00208 CSFML_API float sfString_GetRotation(sfString* String);
00209
00218 CSFML_API float sfString_GetCenterX(sfString* String);
00219
00228 CSFML_API float sfString_GetCenterY(sfString* String);
00229
00238 CSFML_API sfColor sfString_GetColor(sfString* String);
00239
00248 CSFML_API sfBlendMode sfString_GetBlendMode(sfString* String);
00249
00258 CSFML_API void sfString_Move(sfString* String, float OffsetX, float OffsetY);
00259
00268 CSFML_API void sfString_Scale(sfString* String, float FactorX, float FactorY);
00269
00277 CSFML_API void sfString_Rotate(sfString* String, float Angle);
00278
00290 CSFML_API void sfString_TransformToLocal(sfString* String, float PointX, float PointY, float* X, float* Y);
00291
00303 CSFML_API void sfString_TransformToGlobal(sfString* String, float PointX, float PointY, float* X, float* Y);
00304
00312 CSFML_API void sfString_SetText(sfString* String, const char* Text);
00313
00321 CSFML_API void sfString_SetUnicodeText(sfString* String, const sfUint32* Text);
00322
00330 CSFML_API void sfString_SetFont(sfString* String, sfFont* Font);
00331
00339 CSFML_API void sfString_SetSize(sfString* String, float Size);
00340
00348 CSFML_API void sfString_SetStyle(sfString* String, unsigned long Style);
00349
00358 CSFML_API const sfUint32* sfString_GetUnicodeText(sfString* String);
00359
00368 CSFML_API const char* sfString_GetText(sfString* String);
00369
00378 CSFML_API sfFont* sfString_GetFont(sfString* String);
00379
00388 CSFML_API float sfString_GetSize(sfString* String);
00389
00398 CSFML_API unsigned long sfString_GetStyle(sfString* String);
00399
00411 CSFML_API void sfString_GetCharacterPos(sfString* String, size_t Index, float* X, float* Y);
00412
00421 CSFML_API sfFloatRect sfString_GetRect(sfString* String);
00422
00423
00424 #endif // SFML_STRING_H


Types.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SYSTEM_TYPES_H
00026 #define SFML_SYSTEM_TYPES_H
00027
00028
00029 typedef struct sfClock sfClock;
00030 typedef struct sfMutex sfMutex;
00031 typedef struct sfThread sfThread;
00032
00033
00034 #endif // SFML_SYSTEM_TYPES_H


System.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SYSTEM_H
00026 #define SFML_SYSTEM_H
00027
00029 // Headers
00031
00032 #include <SFML/Config.h>
00033 #include <SFML/System/Clock.h>
00034 #include <SFML/System/Mutex.h>
00035 #include <SFML/System/Randomizer.h>
00036 #include <SFML/System/Sleep.h>
00037 #include <SFML/System/Thread.h>
00038
00039
00040 #endif // SFML_SYSTEM_H


Thread.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_THREAD_H
00026 #define SFML_THREAD_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/System/Types.h>
00033
00034
00042 CSFML_API sfThread* sfThread_Create(void (*Function)(void*), void* UserData);
00043
00050 CSFML_API void sfThread_Destroy(sfThread* Thread);
00051
00058 CSFML_API void sfThread_Launch(sfThread* Thread);
00059
00066 CSFML_API void sfThread_Wait(sfThread* Thread);
00067
00077 CSFML_API void sfThread_Terminate(sfThread* Thread);
00078
00079
00080 #endif // SFML_THREAD_H


VideoMode.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_VIDEOMODE_H
00026 #define SFML_VIDEOMODE_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00039 typedef struct
00040 {
00041     unsigned int Width;
00042     unsigned int Height;
00043     unsigned int BitsPerPixel;
00044 } sfVideoMode;
00045
00046
00053 CSFML_API sfVideoMode sfVideoMode_GetDesktopMode();
00054
00065 CSFML_API sfVideoMode sfVideoMode_GetMode(size_t Index);
00066
00073 CSFML_API size_t sfVideoMode_GetModesCount();
00074
00084 CSFML_API sfBool sfVideoMode_IsValid(sfVideoMode Mode);
00085
00086
00087 #endif // SFML_VIDEOMODE_H


View.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_VIEW_H
00026 #define SFML_VIEW_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Graphics/Rect.h>
00033 #include <SFML/Graphics/Types.h>
00034
00035
00040 CSFML_API sfView* sfView_Create();
00041
00048 CSFML_API sfView* sfView_CreateFromRect(sfFloatRect Rect);
00049
00056 CSFML_API void sfView_Destroy(sfView* View);
00057
00066 CSFML_API void sfView_SetCenter(sfView* View, float X, float Y);
00067
00076 CSFML_API void sfView_SetHalfSize(sfView* View, float HalfWidth, float HalfHeight);
00077
00085 CSFML_API void sfView_SetFromRect(sfView* View, sfFloatRect ViewRect);
00086
00095 CSFML_API float sfView_GetCenterX(sfView* View);
00096
00105 CSFML_API float sfView_GetCenterY(sfView* View);
00106
00115 CSFML_API float sfView_GetHalfSizeX(sfView* View);
00116
00125 CSFML_API float sfView_GetHalfSizeY(sfView* View);
00126
00135 CSFML_API sfFloatRect sfView_GetRect(sfView* View);
00136
00145 CSFML_API void sfView_Move(sfView* View, float OffsetX, float OffsetY);
00146
00154 CSFML_API void sfView_Zoom(sfView* View, float Factor);
00155
00156
00157 #endif // SFML_VIEW_H


Types.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_WINDOW_TYPES_H
00026 #define SFML_WINDOW_TYPES_H
00027
00028
00029 typedef struct sfContext sfContext;
00030 typedef struct sfInput sfInput;
00031 typedef struct sfWindow sfWindow;
00032
00033
00034 #endif // SFML_WINDOW_TYPES_H


Window.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_WINDOW_H
00026 #define SFML_WINDOW_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032 #include <SFML/Window/Event.h>
00033 #include <SFML/Window/VideoMode.h>
00034 #include <SFML/Window/WindowHandle.h>
00035 #include <SFML/Window/Types.h>
00036
00037
00042 enum
00043 {
00044     sfNone       = 0,
00045     sfTitlebar   = 1 << 0,
00046     sfResize     = 1 << 1,
00047     sfClose      = 1 << 2,
00048     sfFullscreen = 1 << 3
00049 };
00050
00051
00055 typedef struct
00056 {
00057     unsigned int DepthBits;
00058     unsigned int StencilBits;
00059     unsigned int AntialiasingLevel;
00060 } sfWindowSettings;
00061
00062
00072 CSFML_API sfWindow* sfWindow_Create(sfVideoMode Mode, const char* Title, unsigned long Style, sfWindowSettings Params);
00073
00081 CSFML_API sfWindow* sfWindow_CreateFromHandle(sfWindowHandle Handle, sfWindowSettings Params);
00082
00089 CSFML_API void sfWindow_Destroy(sfWindow* Window);
00090
00097 CSFML_API void sfWindow_Close(sfWindow* Window);
00098
00105 CSFML_API sfBool sfWindow_IsOpened(sfWindow* Window);
00106
00115 CSFML_API unsigned int sfWindow_GetWidth(sfWindow* Window);
00116
00125 CSFML_API unsigned int sfWindow_GetHeight(sfWindow* Window);
00126
00135 CSFML_API sfWindowSettings sfWindow_GetSettings(sfWindow* Window);
00136
00146 CSFML_API sfBool sfWindow_GetEvent(sfWindow* Window, sfEvent* Event);
00147
00155 CSFML_API void sfWindow_UseVerticalSync(sfWindow* Window, sfBool Enabled);
00156
00164 CSFML_API void sfWindow_ShowMouseCursor(sfWindow* Window, sfBool Show);
00165
00174 CSFML_API void sfWindow_SetCursorPosition(sfWindow* Window, unsigned int Left, unsigned int Top);
00175
00185 CSFML_API void sfWindow_SetPosition(sfWindow* Window, int Left, int Top);
00186
00195 CSFML_API void sfWindow_SetSize(sfWindow* Window, unsigned int Width, unsigned int Height);
00196
00204 CSFML_API void sfWindow_Show(sfWindow* Window, sfBool State);
00205
00214 CSFML_API void sfWindow_EnableKeyRepeat(sfWindow* Window, sfBool Enabled);
00215
00225 CSFML_API void sfWindow_SetIcon(sfWindow* Window, unsigned int Width, unsigned int Height, sfUint8* Pixels);
00226
00236 CSFML_API sfBool sfWindow_SetActive(sfWindow* Window, sfBool Active);
00237
00244 CSFML_API void sfWindow_Display(sfWindow* Window);
00245
00254 CSFML_API sfInput* sfWindow_GetInput(sfWindow* Window);
00255
00264 CSFML_API void sfWindow_SetFramerateLimit(sfWindow* Window, unsigned int Limit);
00265
00274 CSFML_API float sfWindow_GetFrameTime(sfWindow* Window);
00275
00284 CSFML_API void sfWindow_SetJoystickThreshold(sfWindow* Window, float Threshold);
00285
00286
00287 #endif // SFML_WINDOW_H


Window.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_SFML_WINDOW_H
00026 #define SFML_SFML_WINDOW_H
00027
00029 // Headers
00031
00032 #include <SFML/System.h>
00033 #include <SFML/Window/Context.h>
00034 #include <SFML/Window/Event.h>
00035 #include <SFML/Window/Input.h>
00036 #include <SFML/Window/OpenGL.h>
00037 #include <SFML/Window/VideoMode.h>
00038 #include <SFML/Window/Window.h>
00039
00040
00041 #endif // SFML_SFML_WINDOW_H


WindowHandle.h

Go to the documentation of this file.
00001
00002 //
00003 // SFML - Simple and Fast Multimedia Library
00004 // Copyright (C) 2007-2009 Laurent Gomila (laurent.gom@gmail.com)
00005 //
00006 // This software is provided 'as-is', without any express or implied warranty.
00007 // In no event will the authors be held liable for any damages arising from the use of this software.
00008 //
00009 // Permission is granted to anyone to use this software for any purpose,
00010 // including commercial applications, and to alter it and redistribute it freely,
00011 // subject to the following restrictions:
00012 //
00013 // 1. The origin of this software must not be misrepresented;
00014 //    you must not claim that you wrote the original software.
00015 //    If you use this software in a product, an acknowledgment
00016 //    in the product documentation would be appreciated but is not required.
00017 //
00018 // 2. Altered source versions must be plainly marked as such,
00019 //    and must not be misrepresented as being the original software.
00020 //
00021 // 3. This notice may not be removed or altered from any source distribution.
00022 //
00024
00025 #ifndef SFML_WINDOWHANDLE_H
00026 #define SFML_WINDOWHANDLE_H
00027
00029 // Headers
00031 #include <SFML/Config.h>
00032
00033
00038 #if defined(CSFML_SYSTEM_WINDOWS)
00039
00040     // Windows defines a void* handle (HWND)
00041     typedef void* sfWindowHandle;
00042
00043 #elif defined(CSFML_SYSTEM_LINUX) || defined(CSFML_SYSTEM_FREEBSD)
00044
00045     // Unix - X11 defines an unsigned integer handle (Window)
00046     typedef unsigned long sfWindowHandle;
00047
00048 #elif defined(CSFML_SYSTEM_MACOS)
00049
00050     // Mac OS X defines a void* handle (NSWindow)
00051     typedef void * sfWindowHandle;
00052
00053 #endif
00054
00055
00056 #endif // SFML_WINDOWHANDLE_H